<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] FEED PRINCIPAL    ( Double A, Double B, Double C )
	[B] DETALLE DE NOTICIA
	[C] FEED ACTIVIDADES
	[D] DETALLE DE ACTIVIDAD
	[E] DETALLE DE UNIDADES SELECT


*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;

if($debug == true){

//$_POST['double_list'] = true;


// $_POST['double_detail'] = true;
// $_POST['current_d'] = 1;

//  $_POST['data_list'] = true;
//  $_POST['current_step'] = 1;

		$_POST['insert_record'] = true;
		$_POST['double'] = 2;
		$_POST['unit'] = 4;
		$_POST['unit_cat'] = 1000;
		$_POST['step'] = 3;
		$_POST['record']= 12;
		$_POST['data'] = 43534534534534;
		$_POST['type'] = 2;

 // $_POST['data_units'] = true;
 // $_POST['current_units'] = 4;


}
// [A] DOUBLE FEED
	// #Genera la lista de dobles
	// #Se activa: Si existe "POST - double_list"

if($_POST['double_list']){
  $jsondata = array();
  /* C O D E */
  $jsondata['doubles']=array();
	
	// $query_rsData = sprintf("SELECT dbl_id, dbl_label, phase_icon FROM mh_doubles_tb, app_phases_tb WHERE dbl_step = phase_id AND mh_doubles_tb.hideField = %s AND mh_doubles_tb.dbl_finish = 0;", '0');

	$query_rsData = sprintf("SELECT dbl_id, dbl_label, phase_icon FROM mh_doubles_tb, app_phases_tb WHERE dbl_step = phase_id AND mh_doubles_tb.hideField = %s", '0');

	$rsData = mysqli_query($connectMySql,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	if($totalRows_rsData){
		do{
			
			array_push($jsondata['doubles'],array(
			'id'=>$row_rsData['dbl_id'],
			'name'=>$row_rsData['dbl_label'],
			'step_img'=>$row_rsData['phase_icon']			
			));
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}


// [B] DOUBLE DETAIL
	// #Extrae el detalle uina vez que seleccionas el doble
	// #Se activa: Si existe "POST - double_detail"

if($_POST['double_detail']){
  $jsondata = array();
  /* C O D E */
  $jsondata['double']=array();
	
	$query_rsData = sprintf("SELECT * FROM mh_doubles_tb, app_phases_tb WHERE dbl_step = phase_id AND dbl_id = %s;", $_POST['current_d']);

	$rsData = mysqli_query($connectMySql,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	if($totalRows_rsData){

			array_push($jsondata['double'],array(
			'id'=>$row_rsData['dbl_id'],
			'number'=>$row_rsData['dbl_number'],
			'name'=>$row_rsData['dbl_label'],
			'step_img'=>$row_rsData['phase_icon'],
			'step_name'=>$row_rsData['phase_label'],
			'step'=>$row_rsData['dbl_step'],
			'statusstep'=>$row_rsData['dbl_finish']

			));
		}
	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}


// [C] Data Feed
	// #Genera la lista de registros posibles segín el doble
	// #Se activa: Si existe "POST - data_list"
	//quitar cuando este listo subproceso   AND app_datas_tb.type_data != 3;
if($_POST['data_list']){
  $jsondata = array();
  /* C O D E */
  $jsondata['records']=array();
	
	$query_rsData = "SELECT * FROM app_datas_tb WHERE data_steps LIKE '%[".$_POST['current_step']."]%' AND app_datas_tb.type_data != 3;";
	$rsData = mysqli_query($connectMySql,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	
	if($totalRows_rsData){

		
		do{

			$unites = explode('[',$row_rsData['unit_data_id']);
                    $arrayUnites = array();
                    $arrayUnit = array();


                for( $i = 0; $i < sizeof($unites); $i++ ) {
                    if( $unites[$i] > 0 ) {
                        $u = explode(']',$unites[$i]);
                        array_push($arrayUnites,$u[0]);
                    }
                }
   
                for( $i = 0; $i < sizeof($arrayUnites); $i++ ) {
                    $query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $arrayUnites[$i] );
                    						
                    //IN (45,4,52)
                    
                    //debug echo $query_rsService; //exit;
                    $rsUnit = mysqli_query($connectMySql,$query_rsUnit);
                    $row_rsUnit = mysqli_fetch_assoc($rsUnit);
                    $totalRows_rsUnit = mysqli_num_rows($rsUnit);

                     if( $totalRows_rsUnit ) { 
				        do {
                  			array_push($arrayUnit,array(
                  			'u_id' => $row_rsUnit['unit_id'],
                  			'u_value' => $row_rsUnit['unit_value']));

                  			
				     	} while( $row_rsProduct = mysqli_fetch_assoc($rsUnit) ); }

                    //$arrayUnit .= $row_rsUnit['unit_value'] . ', ';

                  
                }

			

			array_push($jsondata['records'],array(
			'id'=>$row_rsData['data_id'],
			'name'=>$row_rsData['data_label'],
			'units'=> $arrayUnit
			));
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
	
	
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}

// [D] INSERT RECORD
	// #Inserta el registro
	// #Se activa: Si existe "POST - insert_record"
// $_POST['insert_record'] = true;
// $_POST['double'] = 1;
// $query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$_POST['double']);
// var_dump($query_rsSelectCode);
// exit;

if($_POST['insert_record']){
  $jsondata = array();
  /* C O D E */
  $jsondata['response']=array();
	
	//insert_record : true, double : current_double, record : current_record, data : last_data
  	// el v_type_unit nos indica 1: Data, 2: Catalog, 3: subprocess
  	// el v_fav_unit indica el id de la tabla 
  	// DATA 	Ejemplo 	WATERING	 type : 1, v_unit_id = 12 (data_id),  v_fav_unit = 0 
  	// CATALOG  Ejemplo		SUPPLEMENT 	 type : 2, v_unit_id =  4 (data_id),  v_fav_unit = 0 
  	$double_id =  $_POST['double'];

	$insert_unit = ($_POST['unit']) ? $_POST['unit'] :'1';

	$insert_unitCat = ($_POST['unit_cat']) ? $_POST['unit_cat'] :'0';   //si es tipo Catalog recibe el post, sino es tipo Data 0

		$query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$double_id);

        $rsSelectCode = mysqli_query($connectMySql,$query_rsSelectCode);
        $row_rsSelectCode = mysqli_fetch_assoc($rsSelectCode);
        $totalRows_rsSelectCode = mysqli_num_rows($rsSelectCode);

        if($rsSelectCode){

	$query_rsData = sprintf("INSERT INTO app_values2_tb 
		(v_dbl_id, 
		v_unit_id, 

		v_unit_cat_id,

		v_phase, 
		v_data,
		v_value, 
		v_type_unit, 
		user_add,
		v_folio) 
		VALUES (%s, %s, %s, %s, %s, %s, %s, %s, '%s')", 
		$double_id, 
		$insert_unit, 
		$insert_unitCat,
		$_POST['step'], 
		$_POST['record'], 
		$_POST['data'], 
		$_POST['type'], 
		$_POST['user_id'],
		$row_rsSelectCode['dbl_folio']);

	//var_dump($query_rsData);

	// v_phase FK app_phases_tb 	
	// v_data FK app_datas_tb 	
	// v_value example pH 9.2 		'ok' 	'no_ok' 

	if(mysqli_query($connectMySql,$query_rsData)){
		 echo '1';
		}else{
		 echo '0';
		}
	
	exit();

	}//en code
}



// [E] Data Units
	// #Genera la lista de las unidades del double selecionado
	// #Se activa: Si existe "POST - data_units"

if($_POST['data_units']){

  $jsondata = array();
  
  $jsondata['units']=array();

	$query_rsData = "SELECT * FROM app_datas_tb WHERE data_id = '".$_POST['current_units']."';";
	
	//echo $query_rsData;
	$rsData = mysqli_query($connectMySql,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	//var_dump($rsData);

	if($totalRows_rsData){
		do{

				switch ($row_rsData['type_data']) {

				case 1:
					//TIPO 1 si el dato es tipo Data
	                $fav_unit =  $row_rsData['fav_unit'];

	                if( $fav_unit  == ''){

					 	$jsondata['units'] =  0;

					}else{

		                $arrayUnites = array();
	                    $arrayUnit = array();


	                    $query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $fav_unit );

	                    $rsUnit = mysqli_query($connectMySql,$query_rsUnit);
	                    $row_rsUnit = mysqli_fetch_assoc($rsUnit);
	                    $totalRows_rsUnit = mysqli_num_rows($rsUnit);

	                    if( $totalRows_rsUnit ) { 
					        do {
	                  			array_push($jsondata['units'],array(
	                  			'u_id' => $row_rsUnit['unit_id'],
	                  			'u_value' => $row_rsUnit['unit_value'],
	                  			'u_type' => $row_rsData['type_data']));

					     	} while( $row_rsProduct = mysqli_fetch_assoc($rsUnit) ); 
					    }
					}
					
					/*FIN TIPO 1 */
					break;

					case 2:
					/*TIPO 2 si el dato es tipo catálogo			todos los id de los catalogos van a ser a partir cat_id 	1000 */

					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = '".$row_rsData['data_unit_id']."' AND hideField = 0;" );
					

					$rsIndexCatalogs = mysqli_query($connectMySql,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);


	                if( $totalRows_rsIndexCatalogs ) { 

	                	//se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	                	//SELECT * FROM cat_table WHERE hideField = 0

	                	$query_rsCatalog = sprintf("SELECT * FROM %s WHERE 1 and hideField = 0;", $row_rsIndexCatalogs['cat_table']);
						//echo  $query_rsCatalog;

	                	$rsCatalog = mysqli_query($connectMySql,$query_rsCatalog);
	                    $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	                    $totalRows_rsCatalog = mysqli_num_rows($rsCatalog);

	                    //var_dump($row_rsCatalog);

		                    if( $totalRows_rsCatalog ) { 
						        do {
		                  			array_push($jsondata['units'],array(
		                  			'u_id' => $row_rsCatalog['cat_id'],
		                  			'u_value' => $row_rsCatalog['cat_value'],
		                  			'u_type' => $row_rsData['type_data'],
		                  			'u_catid' => $row_rsData['data_unit_id']) );

						    	} while( $row_rsCatalog = mysqli_fetch_assoc($rsCatalog) ); 
						    }
	                } //cierre if $totalRows_rsIndexCatalogs
	                break;
					/*FIN TIPO 2*/


					//TIPO 3 si el dato es tipo SUBPROCESO
					case 3:
						array_push($jsondata['units'],array(
		                  			'u_type' => '3' ));
					//FIN TIPO 3

					break;   
	        }
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
	
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}



?>