<?php 
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Cambiar o finalizar una fase.
Consulta: Varias tablas según parametros POST
	[A] NEXT STEP
	[B] FINISH STEP
	
*/

$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");

$debug = false;


if($debug == true){
    // $_POST['startprocess'] = true;
    // $_POST['double_id'] = 1;
    // var_dump($query_rsCode);
    // var_dump($totalRows_rsCode);
    // var_dump($query_rsInsertCode);
}


/* [A] NEXT STEP 		siguiente fase */
if($_POST['nextstep']){
    $double_id =  $_POST['double_id'];
    $next_step =  $_POST['step'];


   if ($next_step != 10) {
   		$query_rsData = sprintf("UPDATE mh_doubles_tb SET dbl_step = %s WHERE dbl_id = %s", $next_step , $double_id);

   		$rsData = mysqli_query($connectMySql,$query_rsData);
        $row_rsData = mysqli_fetch_assoc($rsData);
        $totalRows_rsData = mysqli_num_rows($rsData);
 
        if($rsData){
            // sí      
                echo "1";   
        }else{
            // no     
                echo "0"; 
        }

   }else{
        
   		$query_rsData = sprintf("UPDATE mh_doubles_tb SET dbl_finish = 1, dbl_step = 0 WHERE dbl_id = %s", $double_id);

   		$rsData = mysqli_query($connectMySql,$query_rsData);
        $row_rsData = mysqli_fetch_assoc($rsData);
        $totalRows_rsData = mysqli_num_rows($rsData);
 
        if($rsData){
            // sí      
                echo "1";   
        }else{
            // no     
                echo "0"; 
        }

   }

} //end if post




/* [B] START PROCESS         */
if($_POST['startprocess']){
        $double_id =  $_POST['double_id'];
        $user_id =  $_POST['user_id'];

  
        $code = randomCode(6);
        $query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = 1, dbl_finish=0, dbl_folio= '%s', user_add =%s WHERE dbl_id= %s" ,$code,$user_id, $double_id);

        $rsUpdateCode = mysqli_query($connectMySql,$query_rsUpdateCode);
        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

        if($rsUpdateCode){
        //si se hizo el update
        $st = 'START PROCESS';

        $query_rsData = sprintf("INSERT INTO app_values2_tb 
        (v_dbl_id, 
        v_unit_id, 
        v_unit_cat_id,
        v_type_unit, 
        v_phase, 
        v_data,
        v_value, 
        v_folio,
        
        user_add) 
        VALUES (%s, %s, %s, %s, %s, %s, '%s', '%s', %s)", 
        $double_id, 
        0, 
        0,
        0, 
        0,
        0,
        $st,
        $code,
        $user_id );

        $rsData = mysqli_query($connectMySql,$query_rsData);
        if($rsData){
            $row_rsData = mysqli_fetch_assoc($rsData);
            $totalRows_rsData = mysqli_num_rows($rsData);
                echo '1';
                   
                
                }else{
                //no se hizo el update

                echo 'no_ok';
                   
            }
      

            //echo 'exito';
        }else{
        //no se hizo el update

            echo 'no_ok';
           //echo $query_rsUpdateCode ;
        }

}// end post start

      


/* [C] START AGAIN (restart)         */

if($_POST['restartprocess']){
            $double_id =  $_POST['double_id'];
        $user_id =  $_POST['user_id'];

  
        $code = randomCode(6);
        $query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = 1, dbl_finish=0, dbl_folio= '%s', user_add =%s WHERE dbl_id= %s" ,$code,$user_id, $double_id);

        $rsUpdateCode = mysqli_query($connectMySql,$query_rsUpdateCode);
        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

        if($rsUpdateCode){
        //si se hizo el update
        $st = 'START AGAIN';
            // INSERT INTO `app_values2_tb`(`v_id`, `v_dbl_id`, `v_unit_id`, `v_unit_cat_id`, `v_type_unit`, `v_phase`, `v_folio`, `v_data`, `v_value`, `user_add`, `date_add`, `hideField`) VALUES ([value-1],[value-2],[value-3],[value-4],[value-5],[value-6],[value-7],[value-8],[value-9],[value-10],[value-11],[value-12])
        $query_rsData = sprintf("INSERT INTO app_values2_tb 
        (v_dbl_id, 
        v_unit_id, 
        v_unit_cat_id,
        v_type_unit, 
        v_phase, 
        v_data,
        v_value, 
        v_folio,
        
        user_add) 
        VALUES (%s, %s, %s, %s, %s, %s, '%s', '%s', %s)", 
        $double_id, 
        0, 
        0,
        0, 
        0,
        0,
        $st,
        $code,
        $user_id );

        $rsData = mysqli_query($connectMySql,$query_rsData);
        if($rsData){
            $row_rsData = mysqli_fetch_assoc($rsData);
            $totalRows_rsData = mysqli_num_rows($rsData);
                echo '1';
                   
                
                }else{
                //no se hizo el update

                echo 'no_ok';
                   
            }
      

            //echo 'exito';
        }else{
        //no se hizo el update

            echo 'no_ok';
           //echo $query_rsUpdateCode ;
        }

}



?>