<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] FEED PRINCIPAL
	[B] DETALLE DE NOTICIA
	[C] FEED ACTIVIDADES
	[D] DETALLE DE ACTIVIDAD
*/

// config
// $rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/';
	

require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");

$debug = false;

// [A] FEED PRINCIPAL
	// #Genera las noticias en la sección principal de la app
	// #Se activa: Si existe "POST - gral_desc"

if($_GET['gral_desc']){
  $jsondata = array();
  /* C O D E */
  $jsondata['notices']=array();
	
	// Si existe tipo, sólo cargamos ese tipo
	$the_type = ($_POST['the_type'] != null) ? ' AND feed_type = ' . GetSQLValueString($_POST['the_type'],'int') . ' ' : '' ;

    $query_rsData = sprintf("SELECT feed_id, feed_title, feed_type, feed_image, date_add FROM sn_feed_tb WHERE feed_type <> 0 AND hideField = %s %s ORDER BY feed_id DESC;", '0', $the_type);
	$rsData = mysqli_query($connectMySql,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	if($totalRows_rsData){
		do{
			$date = explode(' ',$row_rsData['date_add']);
			$date = $date[0];
			array_push($jsondata['notices'],array(
			'id'=>$row_rsData['feed_id'],
			'title'=>$row_rsData['feed_title'],
			'image'=>$row_rsData['feed_image'],
			'type'=>$row_rsData['feed_type'],
			'date'=>dateFormat($date,'/',true),
			'datetxt'=>dateFormat($date,'',true)));
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}

?>