<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] DOUBLE HISTORY 				PRINCIPAL    ( Double A, Double B, Double C )


Desarrollador: Selene Herrera 
Fecha: 12 mayo 2021


*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;

// if ($_POST) {
//     echo '<pre>';
//     echo htmlspecialchars(print_r($_POST, true));
//     echo '</pre>';
// }



	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}



if($_POST['insert_beds']){

// if ($_POST) {
//     echo '<pre>';
//     echo htmlspecialchars(print_r($_POST, true));
//     echo '</pre>';
// }


// Array
// (
//     [beds] => Array
//         (
//             [0] => probe=1&value=1
//             [1] => probe=9&value=9
//             [2] => probe=12&value=12
//         )

//     [date] => 2021-5-12 10:27:38
//     [double] => 22
//     [step] => 7
//     [user_id] => 8
//     [client] => demo
//     [mail] => selene@foodsafetycts.com
//     [insert_beds] => true
//     [unit] => 8
//     [type] => 1
//     [v_comments] => 
// )
 


 /**********************************************************************************************************************************************************************************/

	$array = $_POST['beds'];
	 // var_dump( $binn_array ); 
	// $array = json_decode($binn_array);  
	// echo $array; 
	//convierte en array objetos

	$end = count($array);
	// print_r($end);
	// print_r($array);
	
	//leer JSON
	//$day_json = $array['d'];
 // 	$day_json =  $array[0]->d;		
	// echo $day_json;


// 'login_pre='+pre +'&'+ 'login_mail='mail;

// 	$u = $_POST['login_user'];
// 	$p = explode('_',$u);
// 	$prefijo = $p[0];
// 	$user_correo = $p[1];
for ($i=0; $i < $end; $i++) { 

	$p = explode('&',$array[$i]);
	$probe = $p[0];
	$value = $p[1];

	// echo 'probe: '.$probe.' value: ' . $value;

	/* INSERT BED*/


  $jsondata = array();
  // C O D E 
  $jsondata['response']=array();
  $arraySubprocess = array();  
	
	//insert_record : true, double : current_double, record : current_record, data : last_data
  	// el v_type_unit nos indica 1: Data, 2: Catalog, 3: subprocess
  	// el v_fav_unit indica el id de la tabla 
  	// DATA 	Ejemplo 	WATERING	 type : 1, v_unit_id = 12 (data_id),  v_fav_unit = 0 
  	// CATALOG  Ejemplo		SUPPLEMENT 	 type : 2, v_unit_id =  4 (data_id),  v_fav_unit = 0 
  	$double_id =  $_POST['double'];

	$insert_unitCat = '0';   //si es tipo Catalog, sino es tipo Data 0


	$insert_bed = $probe;   //si el data es id 16 or 20 recibe el post, sino es tipo Data 0
	$v_value = $value;
	// $data = ($_POST['data']) ? $_POST['data'] :'';
	// $data = ''; 
	$v_data = $_POST['v_data'];


	//comentarios adicionales
	$v_comments = $_POST['v_comments']; 

	//subprocesos
	$ser_subp =  '';
	// recibe el id_unit
	// $insert_unit = ($_POST['unit']) ? $_POST['unit'] : 0;

	//recibe el id   del valor del catálogo
	$insert_value_cat = '0';


	if($_POST['type'] == 1){
		$insert_unit = $_POST['unit'];
	}


	//tiempo del dispositivo
  	$time =  $_POST['date'];


		$query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$double_id);

        $rsSelectCode = mysqli_query($connectMySqluser,$query_rsSelectCode);
        $row_rsSelectCode = mysqli_fetch_assoc($rsSelectCode);
        $totalRows_rsSelectCode = mysqli_num_rows($rsSelectCode);

        if($rsSelectCode){

		$query_rsData = sprintf("INSERT INTO app_values2_tb 
		(v_dbl_id, 
		v_unit_id, 
		v_value_cat,
		v_unit_cat_id,
		v_phase, 
		v_data,

		v_value,

		v_type_unit, 
		user_add,
		v_folio,
		v_bed,
		v_serial_sub,
		v_comments,
		v_type_compost, date_add) 
		VALUES (%s, %s, %s, %s, %s, %s, '%s', %s, %s, '%s', %s,'%s','%s', %s, '%s')", 
		$double_id, 
		$insert_unit, 
		$insert_value_cat,
		$insert_unitCat,
		$_POST['step'], 
		$v_data, 

		$v_value, 

		$_POST['type'], 
		$_POST['user_id'],
		$row_rsSelectCode['dbl_folio'],
		$insert_bed,
		$ser_subp,
		$v_comments,
		$row_rsSelectCode['dbl_type_compost'],
		$time
		);

		
	// var_dump($query_rsData);



	// v_phase FK app_phases_tb 	
	// v_data FK app_datas_tb 	
	// v_value example pH 9.2 		'ok' 	'no_ok' 
		// if ($_POST['record'] == 33 || $_POST['record'] == 71){
		// 	$insert_unit2 = 8;
		// }


		
 /**********************************************************************************************************************************************************************************/
 		if(mysqli_query($connectMySqluser,$query_rsData)){
		 echo '1';
		 // echo $query_rsData;
		}else{
		  echo '0';
		// 	echo $query_rsData;
			// echo $query_rsData;
		}




} ///END FOR ARRAY


		
	
	// exit();

	/*end INSERT BED*/

	 // $probe =  $array[$i]->probe;
  } //en code




} //END POST INSERT_BED 







?>