<?php
/*

Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] form 1    Parametros iniciales 
	

Desarrollador: Selene Herrera 
Fecha: 25 mayo 2022


*/

// config
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';

require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}




// [A] pdouble_list     Form Start 	 form PII 	 form CASE
	// #Genera la lista de parameters  SOLO UNA SOLA VEZ
	// #Se activa: Si existe "POST - pdouble_list"
if($_POST['pdouble_list']){

	  $jsondata = array();
	  $jsondata['dform']=array();
	  $user_id = $_POST['user_id'];

	  $double_id = $_POST['num_form'];
		
		$query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$double_id);

        $rsSelectCode = mysqli_query($connectMySqluser,$query_rsSelectCode);
        $row_rsSelectCode = mysqli_fetch_assoc($rsSelectCode);
        $totalRows_rsSelectCode = mysqli_num_rows($rsSelectCode);

        //query para saber el folio del double
        if($rsSelectCode){
        	$folio = "'%" . $row_rsSelectCode['dbl_folio'] . "%'";

        //se ve si se ha respondido previamente los forms
	    $query_rsData = sprintf("SELECT  * FROM app_parameters_tb as p
						      WHERE 
						      p.par_folio like %s AND
						      p.hideField = 0
						      
							  LIMIT 1",  $folio );	

	    // var_dump($query_rsData);
	    // exit;

		$rsData = mysqli_query($connectMySqluser,$query_rsData);
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);


		//si existe haz muestra la lista
		if($totalRows_rsData){


				$query_rsData2 = sprintf("SELECT * FROM app_phases_tb WHERE  phase_id IN (0,4,6,8,10,12,14) order by phase_id ASC");	

			  //var_dump($query_rsData);   SELECT * FROM `app_phases_tb` 

				$rsData2 = mysqli_query($connectMySqluser,$query_rsData2);
				$row_rsData2 = mysqli_fetch_assoc($rsData2);
				$totalRows_rsData2 = mysqli_num_rows($rsData2);

				do{

					 $query_rsUpdateCode = sprintf("SELECT * FROM app_parameters_tb WHERE par_folio like %s" ,  $folio );

			          // echo $query_rsUpdateCode;
			          // exit;
			          $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
			          $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
			          $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

          if ($totalRows_rsUpdateCode) {


          switch ($row_rsData2['phase_id']) {

          	//Initial
            case 0:
            	if ($row_rsUpdateCode['par1_compost_texture']   != '') {
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'"class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}


            break;


            //Form 2
            case 2:


            	if ($row_rsUpdateCode['par2_yards_compost']   > 0) {
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}


                

            break;




         
            
            //Form 3
            case 4:
                            
				if ($row_rsUpdateCode['par3_moisture']   > 0) {
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}



            break;
  
            //Form 4
            case 6:

				if ($row_rsUpdateCode['par4_moisture']   > 0) {
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}
            break;

            //Form 5
            case 8:
                                

                                        if ($row_rsUpdateCode['par5_casing_moisture']   > 0) {
						            		$j .= 

											'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'"  data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'"class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
						            		
						            	}else{
						            		$j .= 

											'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
						            	}

                                       

            break;

        
            //Form 6
            case 10:


                                 	if ($row_rsUpdateCode['par6_size_mush']   > 0) {
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'"  data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'"class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}

            break;

            //Form 7
            case 12:


                            if ($row_rsUpdateCode['par7_size_mush']   > 0) {
			            		$j .= 

								'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
			            		
			            	}else{
			            		$j .= 

								'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
			            	}
            break;

            //Form 8
            case 14:


                      	if ($row_rsUpdateCode['par8_size_mush']   > 0) {
		            		$j .= 

							'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
		            		
		            	}else{
		            		$j .= 

							'<li data-pdouble="'.$double_id.'" data-step="'.$row_rsData2["phase_id"].'" data-ifd="'.$row_rsData2["phase_icon"].'"   data-efd="'.$row_rsData2["phase_label"].'"  data-sfd="'.$row_rsData2["phase_label_spanish"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
		            	}

            break;
      
      
          }




          /* Revisa que no */



      } //end total


				// $j .= 

				// 	'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';



				}while ($row_rsData2 = mysqli_fetch_assoc($rsData2));

				header('Content-type: application/json; charset=utf-8');
		  		// echo json_encode($jsondata);
		  		echo json_encode($j);

		  		// echo $j;

		  		// echo $query_rsData;
				exit();


		}else{
		//sino muestra vacío el array
			// $jsondata['cform']= "E M P T Y";
			$j = '<h3 style="text-align: center;">No records.</h3>';

			header('Content-type: application/json; charset=utf-8');
		  		// echo json_encode($jsondata);
		  	echo json_encode($j);
			// header('Content-type: application/json; charset=utf-8');
	  		// echo json_encode($jsondata);
	  		// echo $query_rsData;
			exit();


		}	






        } //end if rsSelectCode


}  // end post pdouble_list




// [B]      inicio FORM 1
	// #Genera el form parameters individual
	// #Se activa: Si existe "POST - parameters_list"
if($_POST['pdoubleind_list']){

  $jsondata = array();
  
  $jsondata['parameters']=array();
  	
  $step = $_POST['num_form'];

	// $query_rsData = "SELECT * FROM app_datas_tb WHERE data_steps LIKE '%[".$step."]%'  AND hideField =0;");
  $query_rsData = "SELECT * FROM app_datas_tb WHERE data_steps LIKE '%[".$_POST['num_form']."]%' AND hideField =0;";

	$rsData = mysqli_query($connectMySqluser,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}

	
	if($totalRows_rsData){
		
		do{
				switch ($row_rsData['type_data']) {

				case 1:
					$arrayUnits=array();
					//TIPO 1 si el dato es tipo Data
	                $fav_unit =  $row_rsData['fav_unit'];

	                if( $fav_unit  == ''){

					 	$arrayUnits =  0;
					 
					}else{
					if( $row_rsData['data_id']  == 16  || $row_rsData['data_id']  == 20){

		                $arrayUnits=array();
	                    

	                    $query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $fav_unit );

	                    $rsUnit = mysqli_query($connectMySqluser,$query_rsUnit);
	                    $row_rsUnit = mysqli_fetch_assoc($rsUnit);
	                    $totalRows_rsUnit = mysqli_num_rows($rsUnit);

	                    if( $totalRows_rsUnit ) { 
					        do {
            				$query_rsBed = sprintf("SELECT * FROM `mh_doubles_tb` WHERE dbl_id = %s AND hideField = 0;",$_POST['current_d']);

	                    	$rsBed = mysqli_query($connectMySqluser,$query_rsBed);
	                    	$row_rsBed = mysqli_fetch_assoc($rsBed); 
            				$totalRows_rsBed = mysqli_num_rows($rsBed);
							for ($a = 1; $a <= $row_rsBed['dbl_beds']; $a++) {
                            	$bed .=  '<option value="'.$a.'"> bed '.$a.'</option>';
                                   
                            }
                                
                if ( $totalRows_rsBed  ) { 
                    do { 


								array_push($arrayUnits,array(
	                  			'u_id' => $row_rsUnit['unit_id'],
	                  			'u_value' => $row_rsUnit['unit_value'],
	                  			'u_type' => $row_rsData['type_data'],
	                  			'u_data' => $row_rsData['data_id'],
	                  			'u_bed' => $bed));
                    

                    } while ($row_rsBed = mysqli_fetch_assoc($rsBed)); }
					        
//current_d
//					        
	                  			
					     	} while( $row_rsProduct = mysqli_fetch_assoc($rsUnit) ); 
					    }
					
					}else{
		                $arrayUnits=array();


	                    $query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $fav_unit );

	                    $rsUnit = mysqli_query($connectMySqluser,$query_rsUnit);
	                    $row_rsUnit = mysqli_fetch_assoc($rsUnit);
	                    $totalRows_rsUnit = mysqli_num_rows($rsUnit);

	                    if( $totalRows_rsUnit ) { 
					        do {
	                  			array_push($arrayUnits,array(
	                  			'u_id' => $row_rsUnit['unit_id'],
	                  			'u_value' => $row_rsUnit['unit_value'],
	                  			'u_data' => $row_rsData['data_id'],
	                  			'u_type' => $row_rsData['type_data'],
	                  			'u_min' => $row_rsData['data_min'],
	                  			'u_max' => $row_rsData['data_max']


	                  		));

					     	} while( $row_rsProduct = mysqli_fetch_assoc($rsUnit) ); 
					    }
					}
					}
					/*FIN TIPO 1 */
					break;

					case 2:
					/*TIPO 2 si el dato es tipo catálogo			todos los id de los catalogos van a ser a partir cat_id 	1000 */
					$arrayUnits=array();
					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = '".$row_rsData['data_unit_id']."' AND hideField = 0;" );
					

					$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);


	                if( $totalRows_rsIndexCatalogs ) { 

	                	//se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	                	//SELECT * FROM cat_table WHERE hideField = 0

	                	$query_rsCatalog = sprintf("SELECT * FROM %s WHERE 1 and hideField = 0;", $row_rsIndexCatalogs['cat_table']);
						//echo  $query_rsCatalog;

	                	$rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
	                    $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	                    $totalRows_rsCatalog = mysqli_num_rows($rsCatalog);

	                    //var_dump($row_rsCatalog);

		                    if( $totalRows_rsCatalog ) { 
						        do {
		                  			array_push($arrayUnits,array(
		                  			'u_id' => $row_rsCatalog['cat_id'],
		                  			'u_value' => $row_rsCatalog['cat_value'],
		                  			'u_type' => $row_rsData['type_data'],
		                  			'u_data' => $row_rsData['data_id'],
		                  			'u_catid' => $row_rsData['data_unit_id']) );

						    	} while( $row_rsCatalog = mysqli_fetch_assoc($rsCatalog) ); 
						    }
	                } //cierre if $totalRows_rsIndexCatalogs
	                break;
					/*FIN TIPO 2*/


					//TIPO 3 si el dato es tipo SUBPROCESO
					case 3:
					$arrayUnits=array();
			

						array_push($arrayUnits,array(
		                  			'u_type' => '3',
		                  			'u_serializa' => $row_rsData['data_serialize'] ));
					//FIN TIPO 3

					break;   

 
					//TIPO 4 si el dato es tipo Híbrido   u_unit_id
					case 4:

					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = '".$row_rsData['data_unit_id']."' AND hideField = 0;" );
					

					$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);
	                $arrayUnits=array();

	                if( $totalRows_rsIndexCatalogs ) { 

	                	//se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	                	//SELECT * FROM cat_table WHERE hideField = 0

	                	$query_rsCatalog = sprintf("SELECT * FROM %s WHERE hideField = 0;", $row_rsIndexCatalogs['cat_table']);
						//echo  $query_rsCatalog;

	                	$rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
	                    $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	                    $totalRows_rsCatalog = mysqli_num_rows($rsCatalog);

	                    //var_dump($row_rsCatalog);

		                    if( $totalRows_rsCatalog ) { 

		                    	
						    	/*
						    	//agregue el id de la unit 
	                			'u_unit_id' =>   $row_rsData['fav_unit'];
								
								array_push($jsondata['units'],array(
		                  			$fav_unit ));
						    	*/

						        do {

						        	


		                  			array_push($arrayUnits,array(
		                  			'u_id' => $row_rsCatalog['cat_id'],
		                  			'u_value' => $row_rsCatalog['cat_value'],
		                  			'u_type' => $row_rsData['type_data'],
		                  			'u_data' => $_POST['current_units'],
		                  			'u_catid' => $row_rsData['data_unit_id'],
		                  			'u_unit_id' => $row_rsData['fav_unit']) );


						    	} while( $row_rsCatalog = mysqli_fetch_assoc($rsCatalog) ); 


						    }
	                } //cierre if $totalRows_rsIndexCatalogs

					//FIN TIPO 4

					break;   
	       


	        }

			array_push($jsondata['parameters'],array(
			'id'=>$row_rsData['data_id'],
			'name'=>$row_rsData['data_label'],
			'name_spanish'=>$row_rsData['dbl_label_spanish'],
			'serializa' => $row_rsData['data_serialize'],
			'type' => $row_rsData['type_data'],
			'units'=> $arrayUnits


			));

			
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);


		
	}
	
	
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}







 
// [D] checkparameter
  // #Genera todas la funciones de NEXT STEP   Form 2 
  // #Se activa: Si existe "POST - checkparameter"

 if($_POST['checkparameter']){
  /* C O D E */

  $double_id =  $_POST['double_id'];
  $user_id =  $_POST['user_id'];
  $step =     $_POST['current_step'];

  $jsondata = array();
  $jsondata['checkpar']=array();

    $query_rsUpdateCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" , $double_id);
      // echo $query_rsUpdateCode;
          // exit;
          $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
          $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
          $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

          if ($totalRows_rsUpdateCode) {


          switch ($step) {


            //Form 0 Initial Obsertavitions
            case 0:

                  $par1_compost_supplier = 'par1_compost_supplier'; 
                  $par1_spawn_units = 'par1_spawn_units'; 
                  $par1_compost_texture = 'par1_compost_texture'; 
                  $par1_house_size = 'par1_house_size'; 
                  $par1_spawn_strain = 'par1_spawn_strain'; 
                  $par1_wood = 'par1_wood'; 
                  $par1_supplement = 'par1_supplement'; 
                  $par1_comments = 'par1_comments'; 

                  //split de folio
                  $par1_mush =  explode('-',$row_rsUpdateCode['dbl_folio']); 
                 

                  $script = $par1_compost_supplier . ',' . $par1_spawn_units . ',' . $par1_compost_texture . ',' .$par1_house_size . ',' .$par1_spawn_strain . ',' .$par1_wood . ',' .$par1_spawn_units . ',' .$par1_supplement . ',' . $par1_comments;

                  $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
                  );

                  // echo $query_rsData;

                  $rsData = mysqli_query($connectMySqluser,$query_rsData);
                  $row_rsData = mysqli_fetch_assoc($rsData);
                  $totalRows_rsData = mysqli_num_rows($rsData);

                    do{
                    	// unserialize

                    	$t =   unserialize($row_rsData['par1_compost_texture']);
						$array = json_decode($t); 
						$end = count($array);

						for ($i=0; $i < count($t); $i++) { 
							$len = $t[$i]["length"];
							$col = $t[$i]["color"];
							$squ = $t[$i]["squeeze"];
							$den = $t[$i]["density"];
						}

                      array_push($jsondata['checkpar'],array(
                     	$par1_compost_supplier => $row_rsData[$par1_compost_supplier],
                        $par1_spawn_strain => $row_rsData[$par1_spawn_strain],

						'length' => $len,
						'color' => $col,
						'squeeze' => $squ,
						'density' => $den,
                        $par1_house_size => $row_rsData[$par1_house_size],
                        $par1_spawn_units => $row_rsData[$par1_spawn_units],
                        $par1_wood => $row_rsData[$par1_wood],
                        $par1_supplement => $row_rsData[$par1_supplement],
                        'par1_type_mush' => $par1_mush[0],
                        $par1_comments => $row_rsData[$par1_comments],
                        'fdbl' => $row_rsUpdateCode['dbl_folio']

                      ));


                    }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;



            //Form 2
            case 2:

                  $par2_yards_compost = 'par2_yards_compost'; 
                  $script = $par2_yards_compost;

                  $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
                      );

                  // echo $query_rsData;

                  $rsData = mysqli_query($connectMySqluser,$query_rsData);
                  $row_rsData = mysqli_fetch_assoc($rsData);
                  $totalRows_rsData = mysqli_num_rows($rsData);

                    do{

                      array_push($jsondata['checkpar'],array(
                          $par2_yards_compost => $row_rsData[$par2_yards_compost]
                      ));


                    }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;




         
            
            //Form 3
            case 4:
                            $par1_compost_supplier = 'par1_compost_supplier'; 
                            $par1_spawn_strain = 'par1_spawn_strain'; 
                            $par3_tons_compost = 'par3_tons_compost';  
                            $par3_moisture = 'par3_moisture';  
                            $par3_amonia = 'par3_amonia';  
                            $par3_tempeture_override = 'par3_tempeture_override';  
                            $par3_molds = 'par3_molds';  
                            $par3_odor = 'par3_odor';  
                            $par3_timing = 'par3_timing'; 
                            $par3_timing_clear = 'par3_timing_clear';
                            $par3_compost_ph = 'par3_compost_ph'; 
                            $par3_comments = 'par3_comments'; 
                            

                            $script = $par1_compost_supplier . ',' . $par1_spawn_strain . ',' . $par3_tons_compost . ',' . $par3_moisture . ',' . $par3_amonia . ',' . $par3_tempeture_override . ',' . $par3_molds . ',' . $par3_odor  . ',' . $par3_timing . ',' . $par3_timing_clear. ',' . $par3_compost_ph . ',' . $par3_comments;


                              $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
		                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
		                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
		                      );

                             // echo $query_rsData;

                            $rsData = mysqli_query($connectMySqluser,$query_rsData);
                            $row_rsData = mysqli_fetch_assoc($rsData);
                            $totalRows_rsData = mysqli_num_rows($rsData);

                              do{

                                array_push($jsondata['checkpar'],array(
                                    $par1_compost_supplier => $row_rsData[$par1_compost_supplier],
                                    $par1_spawn_strain => $row_rsData[$par1_spawn_strain],
                                    $par3_tons_compost => $row_rsData[$par3_tons_compost],
                                    $par3_moisture => $row_rsData[$par3_moisture],
                                    $par3_amonia => $row_rsData[$par3_amonia],
                                    $par3_tempeture_override => $row_rsData[$par3_tempeture_override],
                                    $par3_molds => $row_rsData[$par3_molds],
                                    $par3_odor => $row_rsData[$par3_odor],
                                    $par3_timing => $row_rsData[$par3_timing],
                                    $par3_timing_clear => $row_rsData[$par3_timing_clear],
                                    $par3_compost_ph => $row_rsData[$par3_compost_ph],
                                    $par3_comments => $row_rsData[$par3_comments],
                        			'fdbl' => $row_rsUpdateCode['dbl_folio']


                                ));


                              }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;
  
            //Form 4
            case 6:
                                  $par4_moisture = 'par4_moisture';  
                                  $par4_bed_temp = 'par4_bed_temp';  
                                  $par4_maturity = 'par4_maturity';  
                                  $par4_smell = 'par4_smell';  
                                  $par4_mycelium_looks = 'par4_mycelium_looks'; 
                                  $par4_comments = 'par4_comments'; 
                                  $par4_casing_inoculum = 'par4_casing_inoculum'; 
                                  $par4_compost_ph = 'par4_compost_ph'; 



                                  $script = $par4_moisture . ',' . $par4_bed_temp . ',' . $par4_maturity  . ',' . $par4_smell . ',' . $par4_mycelium_looks. ',' . $par4_comments . ',' . $par4_casing_inoculum . ',' . $par4_compost_ph;

                                 $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
			                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
			                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
			                      );

                                 // echo $query_rsData;

                                $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                $row_rsData = mysqli_fetch_assoc($rsData);
                                $totalRows_rsData = mysqli_num_rows($rsData);

                                  do{

                                    array_push($jsondata['checkpar'],array(
                                        $par4_moisture => $row_rsData[$par4_moisture],
                                        $par4_bed_temp => $row_rsData[$par4_bed_temp],
                                        $par4_maturity => $row_rsData[$par4_maturity],
                                        $par4_smell => $row_rsData[$par4_smell],
                                        $par4_mycelium_looks => $row_rsData[$par4_mycelium_looks],
                                        $par4_casing_inoculum => $row_rsData[$par4_casing_inoculum],
                                        $par4_comments => $row_rsData[$par4_comments],
                                        $par4_compost_ph => $row_rsData[$par4_compost_ph],
                        				'fdbl' => $row_rsUpdateCode['dbl_folio']


                                    ));


                                  }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;

            //Form 5
            case 8:
                                      
                                        $par5_casing_moisture = 'par5_casing_moisture';  
                                        $par5_ci_growth = 'par5_ci_growth';  
                                        $par5_ci_timing = 'par5_ci_timing';  
                                        $par5_amount_pins ='par5_amount_pins';  
                                        $par5_stagger = 'par5_stagger';  
                                        $par5_coverage = 'par5_coverage';  
                                        $par5_timing = 'par5_timing'; 
                                        $par5_compost_ph = 'par5_compost_ph';
                                        $par5_comments = 'par5_comments';



                                        $script =  $par5_casing_moisture . ',' . $par5_ci_growth  . ',' . $par5_ci_timing . ',' . $par5_amount_pins . ',' . $par5_stagger . ',' . $par5_coverage  . ',' .  $par5_timing . ',' . $par5_compost_ph . ',' . $par5_comments;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
				                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
				                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
				                      );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par5_casing_moisture => $row_rsData[$par5_casing_moisture],
                                              $par5_ci_growth => $row_rsData[$par5_ci_growth],
                                              $par5_ci_timing => $row_rsData[$par5_ci_timing],
                                              $par5_amount_pins => $row_rsData[$par5_amount_pins],
                                              $par5_stagger => $row_rsData[$par5_stagger],
                                              $par5_coverage => $row_rsData[$par5_coverage],
                                              $par5_timing => $row_rsData[$par5_timing],
                                              $par5_compost_ph => $row_rsData[$par5_compost_ph],
                                              $par5_comments => $row_rsData[$par5_comments],
                        					  'fdbl' => $row_rsUpdateCode['dbl_folio']

                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;

        
            //Form 6
            case 10:

                                  $par6_size_mush = 'par6_size_mush';  
                                  $par6_color = 'par6_color';  
                                  $par6_dirt = 'par6_dirt';  
                                  $par6_strength_mush = 'par6_strength_mush';  
                                  $par6_scale = 'par6_scale';  
                                  $par6_comments = 'par6_comments';

                                  $script = $par6_size_mush . ',' . $par6_color . ',' . $par6_dirt  . ',' . $par6_strength_mush . ',' . $par6_scale . ',' . $par6_comments;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
					                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
					                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
					                      );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par6_size_mush => $row_rsData[$par6_size_mush],
                                              $par6_color => $row_rsData[$par6_color],
                                              $par6_dirt => $row_rsData[$par6_dirt],
                                              $par6_strength_mush => $row_rsData[$par6_strength_mush],
                                              $par6_scale => $row_rsData[$par6_scale],
                                              $par6_comments => $row_rsData[$par6_comments],
                        					  'fdbl' => $row_rsUpdateCode['dbl_folio']

                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;

            //Form 7
            case 12:

                            $par7_size_mush = 'par7_size_mush';  
                            $par7_color = 'par7_color';  
                            $par7_dirt = 'par7_dirt';  
                            $par7_strength_mush = 'par7_strength_mush';  
                            $par7_scale = 'par7_scale';  
                            $par7_comments = 'par7_comments';

                            $script = $par7_size_mush . ',' . $par7_color . ',' . $par7_dirt  . ',' . $par7_strength_mush . ',' . $par7_scale . ',' . $par7_comments;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
					                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
					                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
					                      );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par7_size_mush => $row_rsData[$par7_size_mush],
                                              $par7_color => $row_rsData[$par7_color],
                                              $par7_dirt => $row_rsData[$par7_dirt],
                                              $par7_strength_mush => $row_rsData[$par7_strength_mush],
                                              $par7_scale => $row_rsData[$par7_scale],
                                              $par7_comments => $row_rsData[$par7_comments],
                        					  'fdbl' => $row_rsUpdateCode['dbl_folio']

                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;

            //Form 8
            case 14:

                      $par8_size_mush = 'par8_size_mush';  
                      $par8_color = 'par8_color';  
                      $par8_dirt = 'par8_dirt';  
                      $par8_strength_mush = 'par8_strength_mush';  
                      $par8_scale = 'par8_scale';  
                      $par8_comments = 'par8_comments';
                      // $par8_how_harvesters_prepped = 'par8_how_harvesters_prepped'; 

                      $script = $par8_size_mush . ',' . $par8_color . ',' . $par8_dirt  . ',' . $par8_strength_mush . ',' . $par8_scale . ',' . $par8_comments;
 
                                       $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
					                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
					                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
					                      ); 

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par8_size_mush => $row_rsData[$par8_size_mush],
                                              $par8_color => $row_rsData[$par8_color],
                                              $par8_dirt => $row_rsData[$par8_dirt],
                                              $par8_strength_mush => $row_rsData[$par8_strength_mush],
                                              $par8_scale => $row_rsData[$par8_scale],
                                              $par8_comments => $row_rsData[$par8_comments],
                        					  'fdbl' => $row_rsUpdateCode['dbl_folio']

                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;
      
      
          }

          header('Content-type: application/json; charset=utf-8');
          echo json_encode($jsondata);
          exit();


        }
   


}


?>