<?php
/*

Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Consulta: Varias tablas según parametros POST
	[A] ROOM FEED 					PRINCIPAL    ( ROOM 1, ROOM 2, ROOM 3 )
	[B] ROOM DETAIL    				DETALLE DEL ROOM
	[C] Data Feed   				FEED ACTIVIDADES  unit_id y valor de la unidad (oz,gal,litres.)  SÓLO PHASE I
	[D] INSERT ROOM RECORD 	 		Insersión de valor para el Room
	[E] Data units  				DETALLE DE UNIDADES SELECT  Tipo de unidad: 	 1: Data, 2: Catalog, 3: subprocess, 4:	híbrido

Desarrollador: Selene Herrera 
Fecha: 22 febrero 2021

*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}


if($debug == true){

//$_POST['double_list'] = true;


// $_POST['double_detail'] = true;
// $_POST['current_d'] = 1;

//  $_POST['data_list'] = true;
//  $_POST['current_step'] = 1;

		// $_POST['insert_record'] = true;
		// $_POST['double'] = 2;
		// $_POST['unit'] = 4;
		// $_POST['unit_cat'] = 1000;
		// $_POST['step'] = 3;
		// $_POST['record']= 12;
		// $_POST['data'] = 43534534534534;
		// $_POST['type'] = 2;

 // $_POST['data_units'] = true;
 // $_POST['current_units'] = 4;


}
// [A] ROOM FEED
	// #Genera la lista de rooms
	// #Se activa: Si existe "POST - room_list"

if($_POST['room_list']){
  $jsondata = array();
  /* C O D E */
  $jsondata['rooms']=array();
	
	// $query_rsData = sprintf("SELECT dbl_id, dbl_label, phase_icon FROM mh_doubles_tb, app_phases_tb WHERE dbl_step = phase_id AND mh_doubles_tb.hideField = %s AND mh_doubles_tb.dbl_finish = 0;", '0');

// SELECT room_id, room_label, phase_icon FROM mh_rooms_tb, app_rphases_tb WHERE room_step = phase_id AND mh_rooms_tb.hideField = 0

	$query_rsData = sprintf("SELECT room_id, room_label, phase_icon FROM mh_rooms_tb, app_room_phases_tb  WHERE room_step = phase_id AND mh_rooms_tb.hideField = %s ORDER BY room_label ASC", '0');

	$rsData = mysqli_query($connectMySqluser,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	if($totalRows_rsData){
		do{
			
			array_push($jsondata['rooms'],array(
			'id'=>$row_rsData['room_id'],
			'name'=>$row_rsData['room_label'],
			'step_img'=>$row_rsData['phase_icon']
			));
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}



// [B] ROOM DETAIL
	// #Extrae el detalle uina vez que seleccionas el doble
	// #Se activa: Si existe "POST - room_detail"

if($_POST['room_detail']){
  $jsondata = array();
  /* C O D E */
  $jsondata['room']=array();
	
	$query_rsData = sprintf("SELECT * FROM mh_rooms_tb, app_room_phases_tb WHERE room_step = phase_id AND room_id = %s; ", $_POST['current_r']);

// SELECT * FROM mh_rooms_tb , app_room_phases_tb WHERE room_step = phase_id AND room_id = 1;
	$rsData = mysqli_query($connectMySqluser,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	if($totalRows_rsData){


// room_id 	room_number number of rooms 	room_label name of room 	room_step FK room_phases_tb  	user_add 	date_add 	hideField 	phase_id 	phase_label START, Phase I, FINISH 	phase_icon 	user_add 	date_add 	hideField 	


			array_push($jsondata['room'],array(
			'id'=>$row_rsData['room_id'],
			'number'=>$row_rsData['room_number'],
			'name'=>$row_rsData['room_label'],
			'step_img'=>$row_rsData['phase_icon'],
			'step_name'=>$row_rsData['phase_label'],
			'step_name_spanish'=>$row_rsData['phase_label_spanish'],
			'step'=>$row_rsData['room_step']

			));
		}
	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}




// [C] Data Feed
	// #Genera la lista de registros posibles del ROOM    ( Sólo Phase I )
	// #Se activa: Si existe "POST - data_list"
	//quitar cuando este listo subproceso   AND app_datas_tb.type_data != 3;
if($_POST['data_list']){
  $jsondata = array();
  /* C O D E */
  $jsondata['records']=array();
	
	$query_rsData = "SELECT * FROM app_datas_room_tb WHERE data_steps LIKE '%[".$_POST['current_step']."]%';";
	$rsData = mysqli_query($connectMySqluser,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	
	if($totalRows_rsData){

		
		do{

			$unites = explode('[',$row_rsData['unit_data_id']);
                    $arrayUnites = array();
                    $arrayUnit = array();


                for( $i = 0; $i < sizeof($unites); $i++ ) {
                    if( $unites[$i] > 0 ) {
                        $u = explode(']',$unites[$i]);
                        array_push($arrayUnites,$u[0]);
                    }
                }
   
                for( $i = 0; $i < sizeof($arrayUnites); $i++ ) {
                    $query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $arrayUnites[$i] );
                    						
                    //IN (45,4,52)
                    
                    //debug echo $query_rsService; //exit;
                    $rsUnit = mysqli_query($connectMySqluser,$query_rsUnit);
                    $row_rsUnit = mysqli_fetch_assoc($rsUnit);
                    $totalRows_rsUnit = mysqli_num_rows($rsUnit);

                     if( $totalRows_rsUnit ) { 
				        do {
                  			array_push($arrayUnit,array(
                  			'u_id' => $row_rsUnit['unit_id'],
                  			'u_value' => $row_rsUnit['unit_value']));

                  			
				     	} while( $row_rsProduct = mysqli_fetch_assoc($rsUnit) ); }

                    //$arrayUnit .= $row_rsUnit['unit_value'] . ', ';

                  
                }

			

			array_push($jsondata['records'],array(
			'id'=>$row_rsData['data_id'],
			'name'=>$row_rsData['data_label'],
			'name_spanish'=>$row_rsData['room_label_spanish'],
			'units'=> $arrayUnit
			));
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
	
	
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}





/*      I N S E R T     R O O M     R E C O R D*/
// [D] INSERT ROOM RECORD
	// #Inserta el registro
	// #Se activa: Si existe "POST - insert_record_room"

if($_POST['insert_record_room']){
  $jsondata = array();
  /* C O D E */
  $jsondata['response']=array();
  $arraySubprocess = array();  
	
	//insert_record_room : true, double : current_double, record : current_record, data : last_data
  	// el v_type_unit nos indica 1: Data, 2: Catalog, 3: subprocess
  	// el v_fav_unit indica el id de la tabla 
  	// DATA 	Ejemplo 	WATERING	 type : 1, v_unit_id = 12 (data_id),  v_fav_unit = 0 
  	// CATALOG  Ejemplo		SUPPLEMENT 	 type : 2, v_unit_id =  4 (data_id),  v_fav_unit = 0 
  	$room_id =  $_POST['room'];

	$insert_unitCat = ($_POST['unit_cat']) ? $_POST['unit_cat'] :'0';   //si es tipo Catalog recibe el post, sino es tipo Data 0

	$insert_bed = ($_POST['bed']) ? $_POST['bed'] :'0';   //si el data es id 16 or 20 recibe el post, sino es tipo Data 0
	$data = ($_POST['data']) ? $_POST['data'] :''; 
	//comentarios adicionales
	// $v_comments = ($_POST['v_comments']) ? $_POST['v_comments'] :''; 
	$v_comments = $_POST['v_comments']; 

	//subprocesos
	$insert_length = ($_POST['sub_length']) ? $_POST['sub_length'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
	$insert_color = ($_POST['sub_color']) ? $_POST['sub_color'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
	$insert_squeeze = ($_POST['sub_squeeze']) ? $_POST['sub_squeeze'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
	$insert_density = ($_POST['sub_density']) ? $_POST['sub_density'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
	$folio = '';  //no tiene folio
	$step  = 1;   //por ser room sólo pertenece a (1) 	Phase I

	// recibe el id_unit
	$insert_unit = ($_POST['unit']) ? $_POST['unit'] : 0;

	//recibe el id   del valor del catálogo
	$insert_value_cat = $_POST['value_cat_r'];
	/*
	//si el type es diferente a (2) catalogo entonces toma la unidad que se le manda
	if($_POST['type'] != 2){
		$insert_unit = ($_POST['unit']) ? $_POST['unit'] : 0;

	}else{
	//si el type es (2) catalogo entonces haz el siguiente if

		//si es el record (35) Harvest agregale a la unidad que sea pounds (unit_id 31)
		if ($_POST['record'] == 35){
			$insert_unit = 31;
		}
		
		//si es el record (12) Watering agregale a la unidad que sea gallons (unit_id 7)
		if ($_POST['record'] == 12){
			$insert_unit = 7;
		}

		else{
			// $insert_unit = '0';
			$insert_unit = ($_POST['unit']) ? $_POST['unit'] : 0;
		}

	}
	*/
	//tiempo del dispositivo
  	$time =  $_POST['date'];

	if (($insert_length == '') && ($insert_color == '') && ($insert_squeeze == '') && ($insert_density == '')) {
		$ser_subp =  '';
	}else{
	 	array_push($arraySubprocess,array(
	            'length' =>  $insert_length,
	            'color' =>   $insert_color,
	            'squeeze' => $insert_squeeze,
	            'density' => $insert_density
	    ));

	 	$ser_subp = serialize($arraySubprocess);
	    
 	}

		$query_rsData = sprintf("INSERT INTO app_values_tb 
		(v_room_id, 
		v_unit_id, 
		v_value_cat,
		v_unit_cat_id,
		v_phase, 
		v_data,

		v_value,

		v_type_unit, 
		user_add,
		v_folio,
		v_bed,
		v_serial_sub,
		v_comments,
		date_add) 
		VALUES (%s, %s, %s, %s, %s, %s, '%s', %s, %s, '%s', %s,'%s','%s','%s')", 
		$room_id, 
		$insert_unit, 
		$insert_value_cat,
		$insert_unitCat,
		$step, 
		$_POST['record'], 

		$data, 

		$_POST['type'], 
		$_POST['user_id'],
		$folio,
		$insert_bed,
		$ser_subp,
		$v_comments,
		$time
		);

	//var_dump($query_rsData);

	// v_phase FK app_phases_tb 	
	// v_data FK app_datas_tb 	
	// v_value example pH 9.2 		'ok' 	'no_ok' 

	if(mysqli_query($connectMySqluser,$query_rsData)){
		  echo '1';
		 //echo $query_rsData;
		}else{
		   // echo '0';
			echo $query_rsData;
			//echo $query_rsData;
		}
	
	exit();


}




// [E] Data Units
	// #Genera la lista de las unidades del double selecionado
	// #Se activa: Si existe "POST - data_units"

if($_POST['data_units']){

  $jsondata = array();
  
  $jsondata['units']=array();

	$query_rsData = "SELECT * FROM app_datas_room_tb WHERE data_id = '".$_POST['current_units']."';";
	
	//echo $query_rsData;
	$rsData = mysqli_query($connectMySqluser,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	//var_dump($rsData);

	if($totalRows_rsData){
		do{

				switch ($row_rsData['type_data']) {

				case 1:
					//TIPO 1 si el dato es tipo Data
	                $fav_unit =  $row_rsData['fav_unit'];

	                if( $fav_unit  == ''){

					 	$jsondata['units'] =  0;
					 
					
					}else{
					
		                $arrayUnites = array();
	                    $arrayUnit = array();


	                    $query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $fav_unit );

	                    $rsUnit = mysqli_query($connectMySqluser,$query_rsUnit);
	                    $row_rsUnit = mysqli_fetch_assoc($rsUnit);
	                    $totalRows_rsUnit = mysqli_num_rows($rsUnit);

	                    if( $totalRows_rsUnit ) { 
					        do {
	                  			array_push($jsondata['units'],array(
	                  			'u_id' => $row_rsUnit['unit_id'],
	                  			'u_value' => $row_rsUnit['unit_value'],
	                  			'u_data' => $_POST['current_units'],
	                  			'u_type' => $row_rsData['type_data']));

					     	} while( $row_rsProduct = mysqli_fetch_assoc($rsUnit) ); 
					    }
					
					}
					/*FIN TIPO 1 */
					break;

					case 2:
					/*TIPO 2 si el dato es tipo catálogo			todos los id de los catalogos van a ser a partir cat_id 	1000 */

					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = '".$row_rsData['data_unit_id']."' AND hideField = 0;" );
					

					$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);


	                if( $totalRows_rsIndexCatalogs ) { 

	                	//se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	                	//SELECT * FROM cat_table WHERE hideField = 0

	                	$query_rsCatalog = sprintf("SELECT * FROM %s WHERE 1 and hideField = 0;", $row_rsIndexCatalogs['cat_table']);
						//echo  $query_rsCatalog;

	                	$rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
	                    $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	                    $totalRows_rsCatalog = mysqli_num_rows($rsCatalog);

	                    //var_dump($row_rsCatalog);

		                    if( $totalRows_rsCatalog ) { 
						        do {
		                  			array_push($jsondata['units'],array(
		                  			'u_id' => $row_rsCatalog['cat_id'],
		                  			'u_value' => $row_rsCatalog['cat_value'],
		                  			'u_type' => $row_rsData['type_data'],
		                  			'u_data' => $_POST['current_units'],
		                  			'u_catid' => $row_rsData['data_unit_id']) );

						    	} while( $row_rsCatalog = mysqli_fetch_assoc($rsCatalog) ); 
						    }
	                } //cierre if $totalRows_rsIndexCatalogs
	                break;
					/*FIN TIPO 2*/


					//TIPO 3 si el dato es tipo SUBPROCESO
					case 3:
						array_push($jsondata['units'],array(
		                  			'u_type' => '3' ));
					//FIN TIPO 3

					break;   


					//TIPO 4 si el dato es tipo Híbrido   u_unit_id
					case 4:

					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = '".$row_rsData['data_unit_id']."' AND hideField = 0;" );
					

					$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);


	                if( $totalRows_rsIndexCatalogs ) { 

	                	//se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	                	//SELECT * FROM cat_table WHERE hideField = 0

	                	$query_rsCatalog = sprintf("SELECT * FROM %s WHERE hideField = 0;", $row_rsIndexCatalogs['cat_table']);
						//echo  $query_rsCatalog;

	                	$rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
	                    $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	                    $totalRows_rsCatalog = mysqli_num_rows($rsCatalog);

	                    //var_dump($row_rsCatalog);

		                    if( $totalRows_rsCatalog ) { 

		                    	
						    	/*
						    	//agregue el id de la unit 
	                			'u_unit_id' =>   $row_rsData['fav_unit'];
								
								array_push($jsondata['units'],array(
		                  			$fav_unit ));
						    	*/

						        do {
		                  			array_push($jsondata['units'],array(
		                  			'u_id' => $row_rsCatalog['cat_id'],
		                  			'u_value' => $row_rsCatalog['cat_value'],
		                  			'u_type' => $row_rsData['type_data'],
		                  			'u_data' => $_POST['current_units'],
		                  			'u_catid' => $row_rsData['data_unit_id'],
		                  			'u_unit_id' => $row_rsData['fav_unit']) );

						    	} while( $row_rsCatalog = mysqli_fetch_assoc($rsCatalog) ); 


						    	


						    }
	                } //cierre if $totalRows_rsIndexCatalogs

					//FIN TIPO 4

					break;   
	        }
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
	
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}








?>