<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] DOUBLE HISTORY 				PRINCIPAL    ( Double A, Double B, Double C )


Desarrollador: Selene Herrera 
Fecha: 29 mayo 2021


*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


  	$login_client_company = $_POST['client'];

  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}



// [A] HISTORY
	// #Genera la lista de dobles
	// #Se activa: Si existe "POST - double_list"

if($_POST['double_history']){

	// echo $_POST['current_d'];

	$jsondata = array();
  	$jsondata['history']=array();


  	$query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$_POST['current_d']);

        $rsSelectCode = mysqli_query($connectMySqluser,$query_rsSelectCode);
        $row_rsSelectCode = mysqli_fetch_assoc($rsSelectCode);
        $totalRows_rsSelectCode = mysqli_num_rows($rsSelectCode);
  	
  	// var_dump($query_rsSelectCode);

    if($rsSelectCode){

  	$query_rsData = sprintf("SELECT v_id,v_dbl_id,v_unit_id, v_unit2_id, v_value_cat, v_unit_cat_id, v_type_unit, v_phase, v_folio, v_serial_sub,v_data, v_value, v_bed ,dbl_id,dbl_build_id, dbl_label, data_label, phase_label, v.date_add,  v.v_type_unit, v.v_unit_id, v.v_unit_cat_id, v.v_value_cat, v.v_bed, v.v_data, u.unit_id, u.unit_value FROM app_values2_tb v 
					LEFT JOIN mh_doubles_tb d ON d.dbl_id = v.v_dbl_id
					LEFT JOIN app_datas_tb r ON r.data_id = v.v_data
					LEFT JOIN app_phases_tb p ON p.phase_id = v.v_phase
					LEFT JOIN app_units_tb u ON u.unit_id = v.v_unit_id 
                    WHERE v_dbl_id = %s AND v.v_data = %s AND v.v_folio LIKE '%s'  ORDER BY v.v_id DESC LIMIT 1
              ", $_POST['current_d'], $_POST['record'], $row_rsSelectCode['dbl_folio']);
  	 // var_dump($query_rsData);
	// LEFT JOIN app_units_tb u ON u.unit_id = v.v_unit_id  		
  		$rsData = mysqli_query($connectMySqluser,$query_rsData);
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);

		if($totalRows_rsData){

				do{
			// var_dump($row_rsData);

			
								switch ($row_rsData['v_type_unit']) {
									
									/*TIPO 1 si el dato es tipo Data*/
									case '1':
											
											    $bin_id = $row_rsUnit['v_id'];
											    $user  = $row_rsUnit['app_user_name'];
											    $dbl_label = $row_rsUnit['dbl_label'];
											    $phase_label = $row_rsUnit['phase_label'];
											    $f = $row_rsUnit['v_folio'];
											    $p = explode('-',$f);
											    $type_mushroom = ['White','Brown'];   // tipo de Mushroom White 0-    Brown 1-
											    $folio = $p[1];
												$date = dateFormatEnglish($row_rsData['date_add'],'/',false);
												$ho = explode(' ', $row_rsData['date_add']);  
												$hour = $ho[1];
												$hou = $ho[0];
											    $value = ($row_rsData['v_value'] == '' ? '0' : $row_rsData['v_value']);

													if( $row_rsData['v_data'] == 16 || $row_rsData['v_data'] == 20){
							     						array_push($jsondata['history'],array(
													     	'h'=> '<div style="margin-bottom: 15px;"><p class="p_instructions" style="color: #025784;">Last record/Último registro:  </p><p class="data">' . $value .' ' .$row_rsData['unit_value'] . '<div></div> <p class="p_instructions" style="color: #025784; padding-top: 10px;">Probe : </p><p class="data">'. $row_rsData['v_bed']. '<p class="p_instructions" style="color: #025784; padding-top: 10px;">Date/Fecha:</p><p class="data">'. $hou.' '. $hour.'</p></div>',
													     	'query' => $query_rsData
													     ));

													}else{

														array_push($jsondata['history'],array(
																	'h'=> '<div style="margin-bottom: 15px;"><p class="p_instructions" style="color: #025784;">Last record/Último registro:  </p><p class="data">' . $value .' ' .$row_rsData['unit_value'] . '</p><div></div><p class="p_instructions" style="color: #025784; padding-top: 10px;">Date/Fecha:</p><p class="data">'. $hou.' '. $hour.'</p></div>',
																	
																	
														));
													}	
											    
											    // $comments_add = $row_rsData;
											    $comments_add = ($row_rsUnit['v_comments'] == '') ? 'Without notes' : $row_rsUnit['v_comments'];
											    $typ = $row_rsUnit['data_label'];

									
											


									/*FIN TIPO 1*/
									break;

									/*TIPO 2 si el dato es tipo catálogo*/
									case '2':

										//buscamos en la tabla indexada la relación respecto al tipo de data que es
										$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );
										//echo $query_rsIndexCatalogs;

										$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
						               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
						                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);

						                if( $rsIndexCatalogs ) {


						             		

							                //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
							                $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $row_rsData['v_value_cat']);
							                //echo $query_rsCatalog;
									

							                $rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
							                $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
						// var_dump($row_rsCatalog);
								                    if( $rsCatalog ) {
														
												$query_rsCat = sprintf("SELECT * FROM app_values2_tb as v, app_users_tb as us , app_phases_tb as p, mh_doubles_tb as d
												WHERE v.user_add = us.app_user_id  
												AND v.v_id = %s 
												AND p.phase_id = %s 
												AND d.dbl_id = %s 
												AND v.user_add = %s 
												AND v.hideField = 0;",   $row_rsData['v_id'], $row_rsData['v_phase'], $row_rsData['v_dbl_id'] ,  $row_rsData['user_add'] ); 

												$rsCat = mysqli_query($connectMySqluser,$query_rsCat);
							                	$row_rsCat = mysqli_fetch_assoc($rsCat);
						// var_dump($row_rsCat); 

							                		$query_rsCompost = sprintf("SELECT * FROM mh_cat_suppliers_tb WHERE cat_id = %s;", $row_rsCat['v_type_compost']);
													//debug
													//echo $query_rsOrder;
													$rsCompost = mysqli_query($connectMySqluser,$query_rsCompost);
													$row_rsCompost = mysqli_fetch_assoc($rsCompost);
													
													$comp_suplier = $row_rsCompost['cat_value'];


													$bin_id = $row_rsCat['v_id'];
												    $user  = $row_rsCat['app_user_name'];
												    $dbl_label = $row_rsCat['dbl_label'];
												    $phase_label = $row_rsCat['phase_label'];
												    $f = $row_rsCat['v_folio'];
												    $p = explode('-',$f);
												    $type_mushroom = ['White','Brown'];   // tipo de Mushroom White 0-    Brown 1-
												    $folio = $p[1];
													$date = dateFormatEnglish($row_rsData['date_add'],'/',false);
													$ho = explode(' ', $row_rsData['date_add']);  
													$hour = $ho[1];
													$hou = $ho[0];
													
											    	$comments_add = ($row_rsCat['v_comments'] == '') ? 'Without notes' : $row_rsCat['v_comments'];

											    	 $value = ($row_rsData['v_value'] == '' ? '0' : $row_rsData['v_value']);

											    	array_push($jsondata['history'],array(
																'h'=> '<div style="margin-bottom: 15px;"><p class="p_instructions" style="color: #025784;">Last record/Último registro:  </p><p>' .$value .'<div></div>'. $row_rsCatalog['cat_value'] . '</p>'.'<div></div<p class="p_instructions" style="color: #025784;  padding-top: 10px;">Date/Fecha:</p><p class="data">'. $hou.' '. $hour.'</p></div>',
																'query' => $query_rsData	
																
													));
											    	
								                    }else{
								                   		$type = '';
								                   		array_push($jsondata['history'],array(
															'h'=> '',
																'query' => $query_rsData	
														));
								                   	}

							            	

						                }


									/*FIN TIPO 2*/
									break;


								//TIPO 3 si el dato es tipo SUBPROCESO   $GLOBALS['connectMySql']
									case '3':
											if ($row_rsData['v_data'] == 73  ) {
												$query_rsSub = sprintf("SELECT * FROM app_values2_tb as v, app_users_tb as us , app_phases_tb as p, mh_doubles_tb as d,
											app_datas_tb as da, mh_cat_suppliers_tb as sup

											WHERE v.user_add = us.app_user_id 
											AND v.v_id = %s 
											AND p.phase_id = %s 
											AND d.dbl_id = %s 
											AND v.user_add = %s 
											AND v.v_data = da.data_id
											AND v.v_type_compost = sup.cat_id
											AND v.hideField = 0;",   $row_rsData['v_id'], $row_rsData['v_phase'], $row_rsData['v_dbl_id'] ,  $row_rsData['user_add'] ); 

											$rsSub = mysqli_query($connectMySqluser,$query_rsSub);
						                	$row_rsSub = mysqli_fetch_assoc($rsSub);
					 // var_dump($query_rsSub); 

						                			$query_rsCompost = sprintf("SELECT * FROM mh_cat_suppliers_tb WHERE cat_id = %s;", $row_rsData['v_type_compost']);
													//debug
													//echo $query_rsOrder;
													$rsCompost = mysqli_query($connectMySqluser,$query_rsCompost);
													$row_rsCompost = mysqli_fetch_assoc($rsCompost);
													
													$comp_suplier = $row_rsCompost['cat_value'];


					 						$bin_id = $row_rsSub['v_id'];
											$user  = $row_rsSub['app_user_name'];
											$dbl_label = $row_rsSub['dbl_label'];
											$phase_label = $row_rsSub['phase_label'];
											$f = $row_rsSub['v_folio'];
											$p = explode('-',$f);
											$type_mushroom = ['White','Brown'];   // tipo de Mushroom White 0-    Brown 1-
											$folio = $p[1];
											$date = dateFormatEnglish($row_rsData['date_add'],'/',false);
											$ho = explode(' ', $row_rsData['date_add']);  
											$hour = $ho[1];
											$hou = $ho[0];
										
												 $comp_suplier = $row_rsSub['cat_value'];
												 $comments_add = ($row_rsSub['v_comments'] == '') ? 'Without notes' : $row_rsSub['v_comments'];
												 $typ = $row_rsSub['data_label'];


												$pinning = ($row_rsData['v_value'] == 1) ? '<div style="margin-bottom: 15px;"><p class="p_instructions" style="color: #025784;">Last record/Último registro: </p><p class="data">No'.'</p><p class="p_instructions" style="color: #025784;">Date/Fecha:</p><p class="data">'. $hou.' '. $hour.'</p></div>' :'<div><p class="p_instructions" style="color: #025784;  padding-top: 10px;">Last record/Último registro: </p><p class="data">Yes '.'</p><p class="p_instructions" style="color: #025784;">Date/Fecha:</p><p class="data">'. $hou.' '. $hour.'</p></div>';   
												array_push($jsondata['history'],array(
													'h'=> $pinning

											 	));

											}


											if ($row_rsData['v_data'] == 95  ) {
												$query_rsSub = sprintf("SELECT * FROM app_values2_tb as v, app_users_tb as us , app_phases_tb as p, mh_doubles_tb as d,
											app_datas_tb as da, mh_cat_suppliers_tb as sup

											WHERE v.user_add = us.app_user_id 
											AND v.v_id = %s 
											AND p.phase_id = %s 
											AND d.dbl_id = %s 
											AND v.user_add = %s 
											AND v.v_data = da.data_id
											AND v.v_type_compost = sup.cat_id
											AND v.hideField = 0;",   $row_rsData['v_id'], $row_rsData['v_phase'], $row_rsData['v_dbl_id'] ,  $row_rsData['user_add'] ); 

											$rsSub = mysqli_query($connectMySqluser,$query_rsSub);
						                	$row_rsSub = mysqli_fetch_assoc($rsSub);
					 // var_dump($query_rsSub); 

						                			$query_rsCompost = sprintf("SELECT * FROM mh_cat_suppliers_tb WHERE cat_id = %s;", $row_rsData['v_type_compost']);
													//debug
													//echo $query_rsOrder;
													$rsCompost = mysqli_query($connectMySqluser,$query_rsCompost);
													$row_rsCompost = mysqli_fetch_assoc($rsCompost);
													
													$comp_suplier = $row_rsCompost['cat_value'];


													$arrayFlyCount = array( 1 => "Few",  2 => "Some",3 => "Too Many");

							 						$bin_id = $row_rsSub['v_id'];
													$user  = $row_rsSub['app_user_name'];
													$dbl_label = $row_rsSub['dbl_label'];
													$phase_label = $row_rsSub['phase_label'];
													$f = $row_rsSub['v_folio'];
													$p = explode('-',$f);
													$type_mushroom = ['White','Brown'];   // tipo de Mushroom White 0-    Brown 1-
													$folio = $p[1];
													$date = dateFormatEnglish($row_rsData['date_add'],'/',false);
													$ho = explode(' ', $row_rsData['date_add']);  
													$hour = $ho[1];
													$hou = $ho[0];
										
												 $comp_suplier = $row_rsSub['cat_value'];
												 $comments_add = ($row_rsSub['v_comments'] == '') ? 'Without notes' : $row_rsSub['v_comments'];
												 $typ = $row_rsSub['data_label'];

												
												$fly_count = '<div style="margin-bottom: 15px;"><p class="p_instructions" style="color: #025784;">Last record/Último registro: </p><p class="data">'.$arrayFlyCount[$row_rsData['v_value']].'</p><p class="p_instructions" style="color: #025784;">Date/Fecha:</p><p class="data">'. $hou.' '. $hour.'</p></div>' ;   
												

												array_push($jsondata['history'],array(
													'h'=> $fly_count

											 	));

											}

										//echo 'tipo 3';
									//FIN TIPO 3

									break;



									/*TIPO 4 si el dato es tipo híbrido*/
									case '4':

										//buscamos en la tabla indexada la relación respecto al tipo de data que es
										$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );
										//echo $query_rsIndexCatalogs;

										$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
						               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
						                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);

						              

						                if( $rsIndexCatalogs ) {
													
							                //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
							                $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $row_rsData['v_value_cat']);
							                //echo $query_rsCatalog;
									

							                $rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
							                $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
						  // var_dump($row_rsData);
								                    if( $rsCatalog ) {
													
												$query_rsCat = sprintf("SELECT * FROM app_values2_tb as v, app_users_tb as us, app_units_tb as u, app_phases_tb as p, mh_doubles_tb as d, app_datas_tb as da
												WHERE v.user_add = us.app_user_id  
												AND v.v_id = %s 
												AND p.phase_id = %s 
												AND d.dbl_id = %s 
												AND v.user_add = %s 
												AND u.unit_id = %s 
												AND v.v_data = da.data_id
												AND u.unit_id = v.v_unit_id
												AND v.hideField = 0;",   $row_rsData['v_id'], $row_rsData['v_phase'], $row_rsData['v_dbl_id'] ,  $row_rsData['user_add'], $row_rsData['v_unit_id'] ); 
					// AND u.unit_value = %s
												$rsCat = mysqli_query($connectMySqluser,$query_rsCat);
							                	$row_rsCat = mysqli_fetch_assoc($rsCat);
						  // var_dump($row_rsCat); 

							                		$query_rsCompost = sprintf("SELECT * FROM mh_cat_suppliers_tb WHERE cat_id = %s;", $row_rsCat['v_type_compost']);
													//debug
													//echo $query_rsOrder;
													$rsCompost = mysqli_query($connectMySqluser,$query_rsCompost);
													$row_rsCompost = mysqli_fetch_assoc($rsCompost);
													
													$comp_suplier = $row_rsCompost['cat_value'];

													$bin_id = $row_rsCat['v_id'];
												    $user  = $row_rsCat['app_user_name'];
												    $dbl_label = $row_rsCat['dbl_label'];
													$phase_label = $row_rsCat['phase_label'];
												    $f = $row_rsData['v_folio'];
												    $p = explode('-',$f);
												    $type_mushroom = ['White','Brown'];   // tipo de Mushroom White 0-    Brown 1-
												    $folio = $p[1];
												    $date = dateFormatEnglish($row_rsData['date_add'],'/',false);
													$ho = explode(' ', $row_rsData['date_add']);  
													$hour = $ho[1];
													$hou = $ho[0];
						  
											    	$comments_add = ($row_rsCat['v_comments'] == '') ? '<p>Comments: </p> Without notes' : '<p>Comments: </p>'.$row_rsCat['v_comments'];
													

											    	
											    	
											    	$typ = $row_rsCat['data_label'];

											    	if ($row_rsData['v_unit_cat_id'] == 1014  || $row_rsData['v_unit_cat_id']== 1015) {
															 //si es post o empty steaming agrega su segunda unidad
												   	$query_rsU = sprintf("SELECT * FROM app_units_tb WHERE unit_id = %s", $row_rsData['v_unit2_id']);
											
													$rsU = mysqli_query($connectMySqluser,$query_rsU);
													$row_rsU = mysqli_fetch_assoc($rsU);
														$value = ($row_rsData['v_value'] == '' ? '0' : $row_rsData['v_value']);
													
											    		array_push($jsondata['history'],array(
																'h'=> '<div style="margin-bottom: 15px;"><p class="p_instructions">Last record/Último registro:  </p><p class="data">' .$value . ' ' . $row_rsData['unit_value'].' ' .$row_rsCat['unit_value'] . '<div></div>'. $row_rsCatalog['cat_value'] .' '. $row_rsU['unit_value'].'</p>'. '<p>Date/Fecha:</p><p class="data">'. $hou.' '. $hour.'</p></div>',
																'query' => $query_rsData	
																
																));

													}else{
															//si el dato y el valor del catálogo
															 $value = ($row_rsData['v_value'] == '') ? '0' : $row_rsData['v_value'];   
											   	
												   			 array_push($jsondata['history'],array(
																'h'=> '<div style="margin-bottom: 15px;"><p class="p_instructions" style="color: #025784;">Last record/Último registro:  </p><p class="data">' .$value .' '. $row_rsData['unit_value'].'</p><p class="data">' .$row_rsCat['unit_value'] . '<div></div>'. $row_rsCatalog['cat_value'] . '</p>'. '<p class="p_instructions" style="color: #025784; padding-top: 10px;">Date/Fecha:</p><p class="data">'. $hou.' '. $hour. '</p></div>',
																'query' => $query_rsData	
																
																));

												   			
													}
												  

								                    }else{
								                   		array_push($jsondata['history'],array(
																
																'query' => $query_rsData	
																
																));
								                   	}       
					                    	

						                }


									/*FIN TIPO 4*/
									break;

								}

				}while($row_rsData = mysqli_fetch_assoc($rsData));
					
		}

	} //END rsSelectCode
		// echo $type;
	  	header('Content-type: application/json; charset=utf-8');
	  	echo json_encode($jsondata);
	  	// echo $query_rsData;
		
}




?>