<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] COMPOST 		LISTA DE COMPOSTA    ( own, proveedor1, proveedor2, proveedor3 )
	
Desarrollador: Selene Herrera 
Fecha: 8 enero 2021

*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}


if($debug == true){



}
// [A] COMPOST
	// #Genera la lista de proveedores de composta
	// #Se activa: Si existe "POST - compost"

if($_POST['compost']){
  $jsondata = array();
  /* C O D E */
  $jsondata['compost']=array();
	
	// array_push($jsondata['compost'],array(
	// 		'u_id'=>'0',
	// 		'u_value'=>'OWN',
			
	// ));

	$query_rsData = sprintf("SELECT * FROM mh_cat_suppliers_tb WHERE  mh_cat_suppliers_tb.hideField = %s", '0');

	$rsData = mysqli_query($connectMySqluser,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	if($totalRows_rsData){
		do{
			
			array_push($jsondata['compost'],array(
			'u_id'=>$row_rsData['cat_id'],
			'u_value'=>$row_rsData['cat_value'],
			
			));
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}


// [B] COMPOSTA
	// #Genera la lista de proveedores de composta
	// #Se activa: Si existe "POST - compost"

if($_POST['composta']){
  $jsondata = array();
  /* C O D E */
  $jsondata['compost']=array();
	
	// array_push($jsondata['compost'],array(
	// 		'u_id'=>'0',
	// 		'u_value'=>'OWN',
			
	// ));

	$query_rsData = sprintf("SELECT * FROM mh_cat_suppliers_tb WHERE  mh_cat_suppliers_tb.hideField = %s", '0');

	$rsData = mysqli_query($connectMySqluser,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	if($totalRows_rsData){
		do{
			
			array_push($jsondata['compost'],array(
			'u_id'=>$row_rsData['cat_id'],
			'u_value'=>$row_rsData['cat_value'],
			
			));
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
  	header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}

?>