<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] flys 				ESTIMATE  ( FEW, MANY, TOO MANY )  
	[B] fly    				COUNT     
	[C] insert_multfly    	COUNT FOR MANY INPUT             

	

Desarrollador: Selene Herrera 
Fecha: 31 enero 2022


*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;

if($debug == true){

	// $_POST['insert_fly'] = true;
	// $_POST['double'] = 22;
	// $_POST['value_cat'] = 2;

	// $_POST['bed'] = 0;
	// $_POST['record'] = 9;
	// $_POST['data'] = 8;

	// $_POST['step'] = 7;
	// $_POST['type'] = 4;
	// $_POST['unit_cat'] = 1013;
	// $_POST['user_id'] = 8;

	// $_POST['client'] = 'demo';
	// $_POST['mail'] = 'selene@foodsafetycts.com';
	// $_POST['sub_length'] = 400;
	// $_POST['sub_color'] = 400;
	// $_POST['sub_squeeze'] = 400;
	// $_POST['sub_density'] = 400;
	// $_POST['v_comments'] = '';
	// $_POST['date'] = '2021-5-14 11:30:23';


}

	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}







/*     
	   
	        ***********                            
	        ***********                            
	        ***     ***                            
	        ***     ***                            
	        ***     ***                            
	        ***********                            
	        ***********                            
	        ***     ***                       
            ***     ***                      
            ***     ***               
 */


// [A] INSERT RECORD
	// #Inserta el registro
	// #Se activa: Si existe "POST - insert_flys"
if($_POST['insert_flys']){

	//insert_record : true, double : current_double, record : current_record, data : last_data
  	// el v_type_unit nos indica 1: Data, 2: Catalog, 3: subprocess
  	// el v_fav_unit indica el id de la tabla 
  	// DATA 	Ejemplo 	WATERING	 type : 1, v_unit_id = 12 (data_id),  v_fav_unit = 0 
  	// CATALOG  Ejemplo		SUPPLEMENT 	 type : 2, v_unit_id =  4 (data_id),  v_fav_unit = 0 
  	$double_id =  $_POST['double'];
	$insert_unitCat = ($_POST['unit_cat']) ? $_POST['unit_cat'] :'0';   //si es tipo Catalog recibe el post, sino es tipo Data 0
	$insert_bed = ($_POST['bed']) ? $_POST['bed'] :'0';   //si el data es id 16 or 20 recibe el post, sino es tipo Data 0
	
	// Si el data viene vacío, entonces ponlo como 0 
	$data = ($_POST['data'] == '') ? 0 : $_POST['data']; 
	// $data = $_POST['data']; 


	//comentarios adicionales
	$v_comments = $_POST['v_comments']; 

	// recibe el id_unit

	//recibe el id   del valor del catálogo
	$insert_value_cat = $_POST['value_cat'];

	if($_POST['type'] == 4){
	//si el type es (2) catalogo entonces haz el siguiente if
		//si es el record (9) Fly Count agregale a la unidad que sea units (unit_id 4)
		if ($_POST['record'] == 9){
			$insert_unit = 4;
		}
	}

	//tiempo del dispositivo
  	// $time =  $_POST['date'];

  	
  	//tiempo del dispositivo
  	$_POST['date'];

	//change tiempo pick
	 $_POST['chdate'];

	 //validación si se cambia la fecha 
	 if($_POST['chdate'] != ''){
	 	$time = $_POST['chdate'];
	 }else{
	 	$time =  $_POST['date'];
	 }




	$ser_subp =  '';
	


/* query para sacar el folio actual del double*/
		$query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$double_id);

        $rsSelectCode = mysqli_query($connectMySqluser,$query_rsSelectCode);
        $row_rsSelectCode = mysqli_fetch_assoc($rsSelectCode);
        $totalRows_rsSelectCode = mysqli_num_rows($rsSelectCode);

        if($rsSelectCode){
        	
		    //	query para verificar los últimos registros de moscas 
				$query_rsLastData = sprintf("SELECT v_id,v_dbl_id,v_unit_id, v_unit2_id, v_value_cat, v_unit_cat_id, v_type_unit, v_phase, v_folio, v_serial_sub,v_data, v_value, v_bed , v.date_add,  v.v_type_unit, v.v_unit_id, v.v_unit_cat_id, v.v_value_cat, v.v_bed, v.v_data FROM app_values2_tb v 
		                    WHERE v_dbl_id = %s AND v.v_data = %s AND v.v_unit_cat_id = %s AND v_folio = '%s' ORDER BY v.v_id DESC LIMIT 1", $double_id, $_POST['record'], $insert_unitCat, $row_rsSelectCode['dbl_folio']);
		  	 	//var_dump($query_rsLastData);

		  		$rsLastData = mysqli_query($connectMySqluser,$query_rsLastData);
				$row_rsLastData = mysqli_fetch_assoc($rsLastData);
				$totalRows_rsLastData = mysqli_num_rows($rsLastData);

				if($totalRows_rsLastData){
					//si te devuelve el valor, entonces haz una resta el dato que enviaron 				$data    -   $row_rsLastData['v_value']    el último record insertado   =     $data_insert    dato a insertar
					// ejemplo  														 				13       -   8    														=     5
					// var_dump($row_rsLastData);

					// echo $data;
					// echo $row_rsLastData['v_value'];



					if( $data >= $row_rsLastData['v_value']){

						if($debug == true){ echo 'M I S M O     P A P E L';}
						//si la cantidad que mandan es igual o mayo al último recod insertado, entonces haz la resta porque siguen usando el 							M I S M O     P A P E L
					
						$data_insert =	($data - $row_rsLastData['v_value']);
						if($debug == true){ echo 'la resta es: ' . $data . ' - ' . $row_rsLastData['v_value'] . '=' . $data_insert ;}



										//		query para insertar numero de moscas 	
										
										$query_rsData = sprintf("INSERT INTO app_values2_tb 
										(v_dbl_id, 
										v_unit_id, 
										v_value_cat,
										v_unit_cat_id,
										v_phase, 
										v_data,

										v_value,

										v_type_unit, 
										user_add,
										v_folio,
										v_bed,
										v_serial_sub,
										v_comments,
										v_type_compost, date_add) 
										VALUES (%s, %s, %s, %s, %s, %s, '%s', %s, %s, '%s', %s,'%s','%s', %s, '%s')", 
										$double_id, 
										$insert_unit, 
										$insert_value_cat,
										$insert_unitCat,
										$_POST['step'], 
										$_POST['record'], 

										$data_insert, 

										$_POST['type'], 
										$_POST['user_id'],
										$row_rsSelectCode['dbl_folio'],
										$insert_bed,
										$ser_subp,
										$v_comments,
										$row_rsSelectCode['dbl_type_compost'],
										$time
										);

								
									if(mysqli_query($connectMySqluser,$query_rsData)){
										    echo '1';
											if($debug == true){ echo $query_rsData;}
										}else{
										    echo '0';
											if($debug == true){ echo $query_rsData;}
											// echo $query_rsData;
										}
									

									

									// exit();

									

									//	end	query para insertar numero de moscas 	




					}else{
					//	sino, entonces pon la cantidad que te mandan porque cambiaron el papel de las moscas															N U E V O     P A P E L
						if($debug == true){ echo 'N U E V O     P A P E L';}
						$data_insert  = $data;
						if($debug == true){ echo 'el valor anterior es mayor al que se inserta, por lo tanto cambiaron el papel. El dato a insertar será: '. $data_insert;}




										//		query para insertar numero de moscas 	
										$query_rsData = sprintf("INSERT INTO app_values2_tb 
										(v_dbl_id, 
										v_unit_id, 
										v_unit2_id,
										v_value_cat,
										v_unit_cat_id,
										v_phase, 
										v_data,

										v_value,

										v_type_unit, 
										user_add,
										v_folio,
										v_bed,
										v_serial_sub,
										v_comments,
										v_type_compost, date_add) 
										VALUES (%s, %s, %s, %s, %s, %s, %s, '%s', %s, %s, '%s', %s,'%s','%s', %s, '%s')", 
										$double_id, 
										$insert_unit, 
										'500',
										$insert_value_cat,
										$insert_unitCat,
										$_POST['step'], 
										$_POST['record'], 

										$data_insert, 

										$_POST['type'], 
										$_POST['user_id'],
										$row_rsSelectCode['dbl_folio'],
										$insert_bed,
										$ser_subp,
										$v_comments,
										$row_rsSelectCode['dbl_type_compost'],
										$time
										);

										
									//var_dump($query_rsData);


									if(mysqli_query($connectMySqluser,$query_rsData)){
										  echo '1';
											if($debug == true){ echo $query_rsData;}
										}else{
										  echo '0';
											if($debug == true){ echo $query_rsData;}
											// echo $query_rsData;
										}
									

									

									

									//en code

									//	end	query para insertar numero de moscas 	


					}

										// echo $data_insert;

			}else{
					//sino, entonces pon la cantidad que te mandan porque cambiaron es la primera vez que registran este record (Primer inserción de Fly count)			P R I M E R     I N S E R T     D E L     R E C O R D
										$data_insert = $data;


										//		query para insertar numero de moscas 	
										$query_rsData = sprintf("INSERT INTO app_values2_tb 
										(v_dbl_id, 
										v_unit_id, 
										v_value_cat,
										v_unit_cat_id,
										v_phase, 
										v_data,

										v_value,

										v_type_unit, 
										user_add,
										v_folio,
										v_bed,
										v_serial_sub,
										v_comments,
										v_type_compost, date_add) 
										VALUES (%s, %s, %s, %s, %s, %s, '%s', %s, %s, '%s', %s,'%s','%s', %s, '%s')", 
										$double_id, 
										$insert_unit, 
										$insert_value_cat,
										$insert_unitCat,
										$_POST['step'], 
										$_POST['record'], 

										$data_insert, 

										$_POST['type'], 
										$_POST['user_id'],
										$row_rsSelectCode['dbl_folio'],
										$insert_bed,
										$ser_subp,
										$v_comments,
										$row_rsSelectCode['dbl_type_compost'],
										$time
										);

										
									//var_dump($query_rsData);


									if(mysqli_query($connectMySqluser,$query_rsData)){
										  echo '1';
											if($debug == true){ echo $query_rsData;}
										}else{
										  echo '0';
											if($debug == true){ echo $query_rsData;}
											// echo $query_rsData;
										}
									
									//	end	query para insertar numero de moscas 	


				} //end totalRows_rsLastData

     	}   //end rsSelectCode


}   //end post insert_fly













/*     
	   
	     *********                      
	     **********                       
	     ***     ***                                 
	     ***    ***                               
	     *********                                   
	     *********                                 
	     ***     ***                                  
	     ***      ***                            
         ***********                          
         **********                  
 */



// [B] INSERT RECORD
	// #Inserta el registro
	// #Se activa: Si existe "POST - insert_fly"
if($_POST['insert_fly']){

	//insert_record : true, double : current_double, record : current_record, data : last_data
  	// el v_type_unit nos indica 1: Data, 2: Catalog, 3: subprocess
  	// el v_fav_unit indica el id de la tabla 
  	// DATA 	Ejemplo 	WATERING	 type : 1, v_unit_id = 12 (data_id),  v_fav_unit = 0 
  	// CATALOG  Ejemplo		SUPPLEMENT 	 type : 2, v_unit_id =  4 (data_id),  v_fav_unit = 0 
  	$double_id =  $_POST['double'];
	$insert_unitCat = ($_POST['unit_cat']) ? $_POST['unit_cat'] :'0';   //si es tipo Catalog recibe el post, sino es tipo Data 0
	$insert_bed = ($_POST['bed']) ? $_POST['bed'] :'0';   //si el data es id 16 or 20 recibe el post, sino es tipo Data 0
	
	// Si el data viene vacío, entonces ponlo como 0 
	$data = ($_POST['data'] == '') ? 0 : $_POST['data']; 
	// $data = $_POST['data']; 


	//comentarios adicionales
	$v_comments = $_POST['v_comments']; 

	// recibe el id_unit

	//recibe el id   del valor del catálogo
	$insert_value_cat = $_POST['value_cat'];

	if($_POST['type'] == 4){
	//si el type es (2) catalogo entonces haz el siguiente if
		//si es el record (9) Fly Count agregale a la unidad que sea units (unit_id 4)
		if ($_POST['record'] == 9){
			$insert_unit = 4;
		}
	}

	//tiempo del dispositivo
  	$time =  $_POST['date'];
	$ser_subp =  '';
	


/* query para sacar el folio actual del double*/
		$query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$double_id);

        $rsSelectCode = mysqli_query($connectMySqluser,$query_rsSelectCode);
        $row_rsSelectCode = mysqli_fetch_assoc($rsSelectCode);
        $totalRows_rsSelectCode = mysqli_num_rows($rsSelectCode);

        if($rsSelectCode){
        	
		    //	query para verificar último registro de moscas 
				$query_rsLastData = sprintf("SELECT v_id,v_dbl_id,v_unit_id, v_unit2_id, v_value_cat, v_unit_cat_id, v_type_unit, v_phase, v_folio, v_serial_sub,v_data, v_value, v_bed , v.date_add,  v.v_type_unit, v.v_unit_id, v.v_unit_cat_id, v.v_value_cat, v.v_bed, v.v_data FROM app_values2_tb v 
		                    WHERE v_dbl_id = %s AND v.v_data = %s AND v.v_unit_cat_id = %s AND v_folio like '%s' ORDER BY v.v_id DESC", $double_id, $_POST['record'], $insert_unitCat, $row_rsSelectCode['dbl_folio']);
		  	 	//var_dump($query_rsLastData);

		  		$rsLastData = mysqli_query($connectMySqluser,$query_rsLastData);
				$row_rsLastData = mysqli_fetch_assoc($rsLastData);
				$totalRows_rsLastData = mysqli_num_rows($rsLastData);
					//echo $query_rsLastData;

				if($totalRows_rsLastData){
					
					/*do while para sacar la sumatoria de todas las moscas registradas*/

						  $total_fly = 0;
						  $bandera = true;

						  $jsondata = array();

						  $jsondata['total']=array();
					do{

						if($bandera == true){

							if ( $row_rsLastData['v_unit2_id'] == 500) {
							//cambiaron el papel ya no sigas sumando
								// $total_fly = $total_fly;

								$total_fly = $row_rsLastData['v_value'] + $total_fly;
						  		$bandera = false;

							 }else{
									// $total_fly = $total_fly;
									$total_fly = $row_rsLastData['v_value'] + $total_fly;
						  			$bandera = true;


							 }
						}
						 // echo $total_fly. '      :';

					}while($row_rsLastData = mysqli_fetch_assoc($rsLastData));
					/* end 	do while */

					
					//si te devuelve el valor, entonces haz una resta el dato que enviaron 				$data    -   $row_rsLastData['v_value']    el último record insertado   =     $data_insert    dato a insertar
					// ejemplo  														 				13       -   8    														=     5
					// var_dump($row_rsLastData);
					// echo $data;
					// echo $row_rsLastData['v_value'];
	

									// exit;

					if( $data >= $total_fly){

						if($debug == true){ echo 'M I S M O     P A P E L';}
						//si la cantidad que mandan es igual o mayo al último recod insertado, entonces haz la resta porque siguen usando el 							M I S M O     P A P E L
					
						$data_insert =	($data - $total_fly);
						if($debug == true){ echo 'la resta es: ' . $data . ' - ' . $total_fly . '=' . $data_insert ;}



										//		query para insertar numero de moscas 	
										
										$query_rsData = sprintf("INSERT INTO app_values2_tb 
										(v_dbl_id, 
										v_unit_id, 
										v_value_cat,
										v_unit_cat_id,
										v_phase, 
										v_data,

										v_value,

										v_type_unit, 
										user_add,
										v_folio,
										v_bed,
										v_serial_sub,
										v_comments,
										v_type_compost, date_add) 
										VALUES (%s, %s, %s, %s, %s, %s, '%s', %s, %s, '%s', %s,'%s','%s', %s, '%s')", 
										$double_id, 
										$insert_unit, 
										$insert_value_cat,
										$insert_unitCat,
										$_POST['step'], 
										$_POST['record'], 

										$data_insert, 

										$_POST['type'], 
										$_POST['user_id'],
										$row_rsSelectCode['dbl_folio'],
										$insert_bed,
										$ser_subp,
										$v_comments,
										$row_rsSelectCode['dbl_type_compost'],
										$time
										);

								
									if(mysqli_query($connectMySqluser,$query_rsData)){
										    echo '1';
											if($debug == true){ echo $query_rsData;}
										}else{
										    echo '0';
											if($debug == true){ echo $query_rsData;}
											// echo $query_rsData;
										}
									

									

									// exit();

									

									//	end	query para insertar numero de moscas 	




					}else{
					//	sino, entonces pon la cantidad que te mandan porque cambiaron el papel de las moscas															N U E V O     P A P E L
						if($debug == true){ echo 'N U E V O     P A P E L';}
						$data_insert  = $data;
						// $data_insert =	($data - $total_fly);

						if($debug == true){ echo 'el valor anterior es mayor al que se inserta, por lo tanto cambiaron el papel. El dato a insertar será: '. $data_insert;}




										//		query para insertar numero de moscas 	
										$query_rsData = sprintf("INSERT INTO app_values2_tb 
										(v_dbl_id, 
										v_unit_id, 
										v_unit2_id,
										v_value_cat,
										v_unit_cat_id,
										v_phase, 
										v_data,

										v_value,

										v_type_unit, 
										user_add,
										v_folio,
										v_bed,
										v_serial_sub,
										v_comments,
										v_type_compost, date_add) 
										VALUES (%s, %s, %s, %s, %s, %s, %s, '%s', %s, %s, '%s', %s,'%s','%s', %s, '%s')", 
										$double_id, 
										$insert_unit,
										'500', 
										$insert_value_cat,
										$insert_unitCat,
										$_POST['step'], 
										$_POST['record'], 

										$data_insert, 

										$_POST['type'], 
										$_POST['user_id'],
										$row_rsSelectCode['dbl_folio'],
										$insert_bed,
										$ser_subp,
										$v_comments,
										$row_rsSelectCode['dbl_type_compost'],
										$time
										);

										
									//var_dump($query_rsData);


									if(mysqli_query($connectMySqluser,$query_rsData)){
										  echo '1';
											if($debug == true){ echo $query_rsData;}
										}else{
										  echo '0';
											if($debug == true){ echo $query_rsData;}
											// echo $query_rsData;
										}
									

									

									

									//en code

									//	end	query para insertar numero de moscas 	


					}

										// echo $data_insert;

			}else{
					//sino, entonces pon la cantidad que te mandan porque cambiaron es la primera vez que registran este record (Primer inserción de Fly count)			P R I M E R     I N S E R T     D E L     R E C O R D
										$data_insert = $data;


										//		query para insertar numero de moscas 	
										$query_rsData = sprintf("INSERT INTO app_values2_tb 
										(v_dbl_id, 
										v_unit_id, 
										v_value_cat,
										v_unit_cat_id,
										v_phase, 
										v_data,

										v_value,

										v_type_unit, 
										user_add,
										v_folio,
										v_bed,
										v_serial_sub,
										v_comments,
										v_type_compost, date_add) 
										VALUES (%s, %s, %s, %s, %s, %s, '%s', %s, %s, '%s', %s,'%s','%s', %s, '%s')", 
										$double_id, 
										$insert_unit, 
										$insert_value_cat,
										$insert_unitCat,
										$_POST['step'], 
										$_POST['record'], 

										$data_insert, 

										$_POST['type'], 
										$_POST['user_id'],
										$row_rsSelectCode['dbl_folio'],
										$insert_bed,
										$ser_subp,
										$v_comments,
										$row_rsSelectCode['dbl_type_compost'],
										$time
										);

										
									//var_dump($query_rsData);


									if(mysqli_query($connectMySqluser,$query_rsData)){
										  echo '1';
											if($debug == true){ echo $query_rsData;}
										}else{
										  echo '0';
											if($debug == true){ echo $query_rsData;}
											// echo $query_rsData;
										}
									
									//	end	query para insertar numero de moscas 	


				} //end totalRows_rsLastData

     	}   //end rsSelectCode


}   //end post insert_fly









?>