<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] DOUBLE HISTORY 				PRINCIPAL    ( Double A, Double B, Double C )


Desarrollador: Selene Herrera 
Fecha: 2 noviembre 2021


*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;

// if ($_POST) {
//     echo '<pre>';
//     echo htmlspecialchars(print_r($_POST, true));
//     echo '</pre>';
// }

if($debug == true){

	$_POST['insert_beds'] = true;

	$_POST['crop'] = 2;
	$_POST['room'] = 2;

	$_POST['beds'] = '1&15';

	$_POST['step'] = 3;

	$_POST['user_id'] = 8;

	$_POST['client'] = 'upgrade';
	$_POST['mail'] = 'selene@foodsafetycts.com';
	$_POST['v_data'] = 0;

	$_POST['folio'] = 'fol-00002';


	$_POST['v_comments'] = 'prueba';
	$_POST['date'] = '2021-11-2 8:35:47';

	$_POST['unit'] = 8;
	$_POST['type'] = 1;

}



	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}




if($_POST['up_crop']){
	//se recibe los array

	$arraywhite = $_POST['arraywhite'];
	$arraybrown = $_POST['arraybrown'];
	$arraytotal = $_POST['arraytotal'];



	$end = count($arraywhite);
	$endd = count($arraybrown);
	$enddd = count($arraytotal);


	
	//se recorre el array white
	for ($i=0; $i < $end; $i++) { 

		$p = explode('=',$arraywhite[$i]);
		$room = $p[0];

		$value = $p[1];

		/* UPDATE CROOM*/
		$jsondata = array();
		// C O D E 
		$jsondata['response']=array();
		// $arraySubprocess = array();  
			
		$crop_id =  $_POST['crop'];
		//tiempo del dispositivo
		$time =  $_POST['date'];


			$query_rsData = sprintf("UPDATE mh_crooms_tb SET croom_crop_id = '%s', croom_w = '%s' WHERE croom_id= %s" , $crop_id, $value,  $room );

	        $rsData = mysqli_query($connectMySqluser,$query_rsData);
	        $row_rsData = mysqli_fetch_assoc($rsData);
	        $totalRows_rsData = mysqli_num_rows($rsData);

	        //var_dump( $query_rsData);
	        //exit;
	} ///END FOR ARRAY

	//se recorre el array brown
	for ($i=0; $i < $endd; $i++) { 

		$p = explode('=',$arraybrown[$i]);
		$room = $p[0];

		$value = $p[1];

		/* UPDATE CROOM*/
		$jsondata = array();
		// C O D E 
		$jsondata['response']=array();
		// $arraySubprocess = array();  
			
		$crop_id =  $_POST['crop'];
		//tiempo del dispositivo
		$time =  $_POST['date'];


			$query_rsData2 = sprintf("UPDATE mh_crooms_tb SET croom_crop_id = '%s', croom_b = '%s' WHERE croom_id= %s" , $crop_id, $value,  $room );

	        $rsData2 = mysqli_query($connectMySqluser,$query_rsData2);
	        $row_rsData2 = mysqli_fetch_assoc($rsData2);
	        $totalRows_rsData2 = mysqli_num_rows($rsData2);

	        //var_dump( $query_rsData);
	        //exit;
	} ///END FOR ARRAY


	//se recorre el array brown
	for ($i=0; $i < $enddd; $i++) { 

		$p = explode('=',$arraytotal[$i]);
		$room = $p[0];

		$value = $p[1];

		/* UPDATE CROOM*/
		$jsondata = array();
		// C O D E 
		$jsondata['response']=array();
		// $arraySubprocess = array();  
			
		$crop_id =  $_POST['crop'];
		//tiempo del dispositivo
		$time =  $_POST['date'];


			$query_rsData3 = sprintf("UPDATE mh_crooms_tb SET croom_crop_id = '%s', croom_trays = '%s' WHERE croom_id= %s" , $crop_id, $value,  $room );

	        $rsData3 = mysqli_query($connectMySqluser,$query_rsData3);
	        $row_rsData3 = mysqli_fetch_assoc($rsData3);
	        $totalRows_rsData3 = mysqli_num_rows($rsData3);

	        //var_dump( $query_rsData);
	        //exit;
	} ///END FOR ARRAY



	 		if($rsData){
	            if($rsData2){
		            if($rsData3){
			            echo '1';
			        }else{
			        //no se hizo el update
			            echo 'cero';
			        }  
		        }else{
		        //no se hizo el update
		            echo 'cero';
		        }  
	        }else{
	        //no se hizo el update
	            echo 'cero';
	        }  

} //END POST 







?>