<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST

	[F] RECORDS DOUBLE list     			Bitácora de double



Desarrollador: Selene Herrera 
Fecha: 23 marzo 2022

*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;



	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	}


// [F] RECORDS DOUBLE list
	// #Genera la bitácora de DOUBLE
	// #Se activa: Si existe "POST - recorddouble_list"


/*
recorddouble: 42
user_id: 8
client: upgrade
mail: selene@upgrade.com.mx
limit: 6
start: 0

*/
if($_POST['recorddouble_list']){
	  $jsondata = array();
	  /* C O D E */
	  $jsondata['bdouble']=array();
	  $user_id = $_POST['user_id'];
	  
	  $double = $_POST['recorddouble'];
	  // $folio = "'%" . $_POST['folio'] . "%'";

	  /* query para sacar el folio actual del double*/
		$query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$double);

        $rsSelectCode = mysqli_query($connectMySqluser,$query_rsSelectCode);
        $row_rsSelectCode = mysqli_fetch_assoc($rsSelectCode);
        $totalRows_rsSelectCode = mysqli_num_rows($rsSelectCode);

        if($rsSelectCode){



	  $query_rsData = sprintf("SELECT * FROM app_values2_tb as v
      
      WHERE 
      v.v_dbl_id = %s AND
      v.v_folio = '%s' AND

      v.hideField = 0 
      
	  ORDER BY v.date_add DESC
	  LIMIT %s offset %s",  $double, $row_rsSelectCode['dbl_folio'], $_POST["limit"] , $_POST["start"]);	

	  // var_dump($query_rsData);
	  // var_dump($folio);
		if($debug == true){ var_dump($query_rsData);}


		$rsData = mysqli_query($connectMySqluser,$query_rsData);
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);

							
							
							
	do{




	  if($row_rsData['v_type_unit'] != 0){
//var_dump('start 0');


	  	$query_rsData2 = sprintf("SELECT 
	  v.v_id,
	  v.v_dbl_id, 
	  v.v_unit_id,
	  v.v_unit2_id,	
	  v.v_value_cat,
	  v.v_unit_cat_id	,
	  v.v_type_unit	,
	 v.v_phase	,
	 v.v_folio	,
	 v.v_serial_sub	,
	 v.v_data	,
	 v.v_value	,
	 v.v_bed	,
	 v.v_comments	,
	 v.v_type_compost	,
	 v.user_add	,
	 v.date_add ,
	 v.hideField,	

    do.dbl_id,
	do.dbl_build_id,
	do.dbl_label,
	do.dbl_number,
	do.dbl_folio,
	do.dbl_app_users,
	do.dbl_type_compost,
	do.user_add,
	do.hideField,	

    
   
    p.phase_id,
	p.phase_label,
	p.phase_label_spanish,
	p.phase_icon,
	p.user_add,	
	p.hideField,	

	d.data_id,
	d.data_unit_id,
	d.fav_unit,
	d.type_data,
	d.data_min,
	d.data_max,
	d.data_label,
	d.dbl_label_spanish,
	d.data_steps,
	d.data_serialize,	
	d.hideField 	

	  FROM app_values2_tb as v
      
      LEFT JOIN mh_doubles_tb do ON do.dbl_id = v.v_dbl_id
	  LEFT JOIN app_phases_tb p ON p.phase_id = v.v_phase
	  LEFT JOIN app_datas_tb d ON d.data_id = v.v_data
      
      WHERE 

       v.v_id = %s AND
      v.hideField = 0 AND
      do.hideField = 0 AND
      p.hideField = 0 AND

      d.hideField = 0 
      
	  ORDER BY v.date_add DESC

	  LIMIT 1",  $row_rsData['v_id'] );


	  }else{


 	$query_rsData2 = sprintf("SELECT 
	  v.v_id,
	  v.v_dbl_id, 
	  v.v_unit_id,
	  v.v_unit2_id,	
	  v.v_value_cat,
	  v.v_unit_cat_id	,
	  v.v_type_unit	,
	 v.v_phase	,
	 v.v_folio	,
	 v.v_serial_sub	,
	 v.v_data	,
	 v.v_value	,
	 v.v_bed	,
	 v.v_comments	,
	 v.v_type_compost	,
	 v.user_add	,
	 v.date_add ,
	 v.hideField,	

    do.dbl_id,
	do.dbl_build_id,
	do.dbl_label,
	do.dbl_number,
	do.dbl_folio,
	do.dbl_app_users,
	do.dbl_type_compost,
	do.user_add,
	do.hideField,	

    
   
    p.phase_id,
	p.phase_label,
	p.phase_label_spanish,
	p.phase_icon,
	p.user_add,	
	p.hideField,	

	d.data_id,
	d.data_unit_id,
	d.fav_unit,
	d.type_data,
	d.data_min,
	d.data_max,
	d.data_label,
	d.dbl_label_spanish,
	d.data_steps,
	d.data_serialize,	
	d.hideField 	

	  FROM app_values2_tb as v
      
      LEFT JOIN mh_doubles_tb do ON do.dbl_id = v.v_dbl_id
	  LEFT JOIN app_phases_tb p ON p.phase_id = v.v_phase
	  LEFT JOIN app_datas_tb d ON d.data_id = v.v_data
      
      WHERE 

       v.v_id = %s AND
      v.hideField = 0 AND
      do.hideField = 0 AND
      p.hideField = 0 AND

      d.hideField = 0 
      
	  ORDER BY v.date_add DESC

	  LIMIT 1",  $row_rsData['v_id'] );



	  }

// var_dump($query_rsData2);

	  	$rsData2 = mysqli_query($connectMySqluser,$query_rsData2);
		$row_rsData2 = mysqli_fetch_assoc($rsData2);
		$totalRows_rsData2 = mysqli_num_rows($rsData2);
	 
/******************************************************************/
/**************   do while según el type de data           ********/
/******************************************************************/				
			do{
							// $ho = explode(' ', $row_rsData['date_add']);  
							// $hour = $ho[1];

							// $dat=date_create($ho[0]);
						 //    $date = date_format($dat,"F j, Y");

							// $ho = explode(' ', $row_rsData['date_add']); 

							// $hour = $ho[1];


							// $dat=date_create($row_rsData['date_add']);
							// $dat=date_create($ho[0]);
							// $date = date_format($dat,"F j, Y, g:i a");
							// $date = $row_rsData['date_add'];


// 
					// $date_s=date_create($row_rsData['date_add']);
					// $date = date_format($date_s,"F j, Y, g:i a");

					// $date_s=date_create($row_rsData['date_add']);
					// $date = date_format($date_s,"F j, Y, g:i a");

											   // $date = dateFormatEnglish($row_rsData['date_add'],'/',false);
						     // $ho = explode(' ', $row_rsData['date_add']);  
						     // $hour = $ho[1];
						   //$hour = $ho;
						     // $date = $ho[0];
						     $ho = explode(' ', $row_rsData['date_add']);
						     $date = dateFormatEnglish($ho[0],'', false);
						     $hour = $ho[1];
						     // $hour = $root_folder;
		// $date = $query_rsData;
						   // $dat=date_create($ho[0]);
						   // $date = date_format($dat,"Y-m-d");

// $date = $row_rsData['date_add'];


					
					// $date = date_format($date_s, 'Y-m-d H:i:s');



switch ($row_rsData['v_type_unit']) {
				
		/*TIPO 0 si el dato es tipo START, NEXT ROOM, NEXT BREAK, NEXT STEP (STEAMING)  OR FINISH*/
		        case '0':
		            
		             $f = $row_rsData2['v_folio'];
		             $type = '';
		             $unit = '';
		             $data = $row_rsData2['v_comments'];

		        /*FIN TIPO 0*/
		        break;


				/*TIPO 1 si el dato es tipo Data*/
				case '1':
					$data = $row_rsData2['data_label'];
						// $query_rsUnit = sprintf("SELECT * FROM app_values3_tb as v,  app_units_tb as u, app_users_tb as us , app_phases_tb as p, mh_crooms_tb as cr, app_datas_tb as da, 
						// 									   mh_crops_tb as c
						//  WHERE v.user_add = us.app_user_id 
						//  AND v.v_id = %s 
						//  AND v.v_data = da.data_id
						//  AND u.unit_id = %s 
						//  AND p.phase_id = %s 
						//  AND v.user_add = %s 
						//  AND v.hideField = 0 limit 1;",  $row_rsData['v_id'],$row_rsData['v_unit_id'], $row_rsData['v_phase'],  $row_rsData['user_add']);

						$query_rsUnit = sprintf("SELECT * FROM app_values2_tb as v
												LEFT JOIN app_units_tb as u
											    ON u.unit_id = v.v_unit_id
											    
											    LEFT JOIN app_users_tb as us 
											    ON us.app_user_id = v.user_add
											    
											    LEFT JOIN mh_doubles_tb as do
											    ON do.dbl_id = v.v_dbl_id
											    
											    LEFT JOIN app_datas_tb as da
											    ON da.data_id = v.v_data
											    
											    WHERE 
											 	v.v_id = %s AND v.hideField = 0 limit 1;",  $row_rsData['v_id']);

						// $q = $query_rsUnit;
					 //var_dump($query_rsUnit);


		    	 		$rsUnit = mysqli_query($connectMySqluser,$query_rsUnit);
		                $row_rsUnit = mysqli_fetch_assoc($rsUnit);
// debug
 // var_dump($row_rsUnit);
		                if( $rsUnit ) {

						    $f = $row_rsUnit['v_folio'];
						    
							if( $row_rsData['v_data'] == 16 || $row_rsData['v_data'] == 20){
						     	
						     	$type =  $row_rsData['v_value'] . ' '. $row_rsUnit['unit_value']. ' Probe : '. $row_rsData['v_bed'];

								// $unit = $row_rsUnit['unit_value'];
								$unit = '';


							}else{

								$type = $row_rsData['v_value'] .' '. $row_rsUnit['unit_value'];

								// $unit = $row_rsUnit['unit_value'];
								$unit = '';


								
						    }
					
						}

				/*FIN TIPO 1*/
				break;



				/*TIPO 2 si el dato es tipo catálogo*/
				case '2':
					$data = $row_rsData2['data_label'];
					//buscamos en la tabla indexada la relación respecto al tipo de data que es
					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );

					$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);

	                if( $rsIndexCatalogs ) {

		                //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
		                $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $row_rsData['v_value_cat']);
		                		$q = $query_rsCatalog ;
		                
		                $rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
		                $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
			                    if( $rsCatalog ) {


						    		if ($row_rsData['v_data'] == 37  || $row_rsData['v_data']== 38 || $row_rsData['v_data']== 11) {

						    					$query_rsUnit = sprintf("SELECT * FROM app_units_tb WHERE  unit_id = %s;",  $row_rsCatalog['cat_unit']);
								                $rsUnit = mysqli_query($connectMySqluser,$query_rsUnit);
								                $row_rsUnit = mysqli_fetch_assoc($rsUnit);

								             

							                    	$c = substr($row_rsCatalog['cat_value'], 0, 10);

											    	 $type =  $row_rsData['v_value'] .' ' .$row_rsUnit['unit_value'].' <div>'. $c .' '. '</div>';
											    	//$type =  $query_rsUnit;
										    		$unit= '';

 											
									    	
						    		}else{

						                    	$c = substr($row_rsCatalog['cat_value'], 0, 10);

										    	$type =  $row_rsData['v_value'] .' ' .$row_rsCat['unit_value'].' <div>'. $c .' '.$row_rsData2['unit_value']. '</div>';
										    	// $type =  $query_rsData2;
									    		$unit= '';

						    		}

						    		
			                    }else{
			                   		$type = '';
			                   		$unit= '';
			                   	}
	                }
				/*FIN TIPO 2*/
				break;




				//TIPO 3 si el dato es tipo SUBPROCESO   $GLOBALS['connectMySql']
				case '3':
						$data = $row_rsData2['data_label'];
						if ($row_rsData['v_data'] == 73  ) {
							$query_rsSub = sprintf("SELECT * FROM app_values2_tb as v, app_users_tb as us , app_phases_tb as p, mh_doubles_tb as d,
						app_datas_tb as da, mh_cat_suppliers_tb as sup

						WHERE v.user_add = us.app_user_id 
						AND v.v_id = %s 
						AND p.phase_id = %s 
						AND d.dbl_id = %s 
						AND v.user_add = %s 
						AND v.v_data = da.data_id
						AND v.v_type_compost = sup.cat_id
						AND v.hideField = 0;",   $row_rsData['v_id'], $row_rsData['v_phase'], $row_rsData['v_dbl_id'] ,  $row_rsData['user_add'] ); 

						$rsSub = mysqli_query($connectMySqluser,$query_rsSub);
	                	$row_rsSub = mysqli_fetch_assoc($rsSub);

						// $date = dateFormatEnglish($row_rsData['date_add'],'/',false);

							$pinning = ($row_rsData['v_value'] == 1) ? 'No' :'Yes';   
							$type =  $pinning;
							$unit= '';


						}elseif($row_rsData['v_data'] == 95  ){

									$query_rsSub = sprintf("SELECT * FROM app_values2_tb as v, app_users_tb as us , app_phases_tb as p, mh_doubles_tb as d,
						app_datas_tb as da, mh_cat_suppliers_tb as sup

						WHERE v.user_add = us.app_user_id 
						AND v.v_id = %s 
						AND p.phase_id = %s 
						AND d.dbl_id = %s 
						AND v.user_add = %s 
						AND v.v_data = da.data_id
						AND v.v_type_compost = sup.cat_id
						AND v.hideField = 0;",   $row_rsData['v_id'], $row_rsData['v_phase'], $row_rsData['v_dbl_id'] ,  $row_rsData['user_add'] ); 

						$rsSub = mysqli_query($connectMySqluser,$query_rsSub);
	                	$row_rsSub = mysqli_fetch_assoc($rsSub);
 // var_dump($query_rsSub); 
 						
					

						$arrayFlyCount = array( 1 => "Few",  2 => "Some",3 => "Too Many");
						
						$fly_count = $arrayFlyCount[$row_rsData['v_value']] ;   
					
						$type =  $fly_count;

						$unit= '';

						}


				//FIN TIPO 3

				break;




				/*TIPO 4 si el dato es tipo híbrido*/
				case '4':
					$data = $row_rsData2['data_label'];
					//buscamos en la tabla indexada la relación respecto al tipo de data que es
					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );
		

					$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);


	                if( $rsIndexCatalogs ) {
		                //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
		                $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $row_rsData['v_value_cat']);

		                $rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
		                $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);

			                    if( $rsCatalog ) {
								
								$query_rsCat = sprintf("SELECT * FROM app_values2_tb as v
												LEFT JOIN app_units_tb as u
											    ON u.unit_id = v.v_unit_id
											    
											    LEFT JOIN app_users_tb as us 
											    ON us.app_user_id = v.user_add
											    
											    LEFT JOIN app_datas_tb as da
											    ON da.data_id = v.v_data
											    
											    LEFT JOIN mh_doubles_tb as do
											    ON do.dbl_id = v.v_dbl_id
											    
											    WHERE 
											 	v.v_id = %s AND v.hideField = 0 limit 1;",  $row_rsData['v_id']);
// AND u.unit_value = %s
							    $q = $query_rsCat;

								$rsCat = mysqli_query($connectMySqluser,$query_rsCat);
		                		$row_rsCat = mysqli_fetch_assoc($rsCat);

						    	
						    	$typ = $row_rsCat['data_label'];


						    		if($row_rsData['v_data'] == 35){


			                    		$value = ($row_rsData['v_value'] == '') ? '0' : $row_rsData['v_value'];   
									   
										   			$type = $value .' ' .$row_rsCat['unit_value'];
										   			$unit= $row_rsCatalog['cat_value'];

										   			

			                    	// Post steaming and empty steaming
			                    	}elseif ($row_rsData['v_data'] == 71  || $row_rsData['v_data']== 33) {

													 //si es post o empty steaming agrega su segunda unidad
													$query_rsUnit = sprintf("SELECT *  FROM app_units_tb WHERE app_units_tb.unit_id = %s",$row_rsData['v_unit2_id'] );
															
													$rsUnits = mysqli_query($connectMySqluser,$query_rsUnit);
													$row_rsUnits = mysqli_fetch_assoc($rsUnits);
													$totalRows_rsUnits = mysqli_num_rows($rsUnits);
										
													$v_unit2_id = $row_rsUnits['unit_value'];
												
			  										$type = $row_rsData['v_value'] .' ' .$row_rsCat['unit_value'];

										   			$unit= $row_rsCatalog['cat_value'].' '.$v_unit2_id;


									}else{
										 			//si el dato y el valor del catálogo
													$value = ($row_rsData['v_value'] == '') ? '0' : $row_rsData['v_value'];   
									   
										   			$type = $value .' ' .$row_rsCat['unit_value'] ;
										   			$unit= $row_rsCatalog['cat_value'];


									}




			                    }else{
			                   		$type = '';
			                   	}       
                    	

	                }


				/*FIN TIPO 4*/
				break;






 

			} //end switch

//data_label":null,"value":null,"unit":null,"folio":null,"date_add":null}

			$f = explode('-',$row_rsData2['v_folio']);
			$folio = $f[1];



			array_push($jsondata['bdouble'],array(
				'id'=>$row_rsData2['v_id'],
				
				'type' => $row_rsData2['v_type_unit'],
				'comment' => $row_rsData2['v_comments'],

				'v_dbl_id'=>$row_rsData2['v_dbl_id'],

				'c_label'=>$row_rsData2['dbl_label'],

				'phase_label'=>$row_rsData2['phase_label'],

				'phase_icon'=>$row_rsData2['phase_icon'],

				'data_label'=>$data,

				'value'=>$type,
				'unit'=>$unit,

				'folio'=>$folio,
			
				'date_add'=>$date,
				'hour' => $hour
				
					
			));


			}while($row_rsData2 = mysqli_fetch_assoc($rsData2));
/******************************************************************/
/**************   END do while según el type de data       ********/
/******************************************************************/	

		}while($row_rsData = mysqli_fetch_assoc($rsData));

		header('Content-type: application/json; charset=utf-8');
	  	echo json_encode($jsondata);
	  //	 echo $query_rsData;
		exit();
		
		}

}




?>