<?php
/*
	#Calendario principal para el cronograma de actividades.
	# 7 de Enero 2017

	nota: Este archivo se carga a través de "../_sudiEngine/_engine/class_included.php"
*/
//QUERY
	
	$query_rsData = "
		SELECT perm_id, perm_type, perm_date, perm_time, user_fname, user_mname, user_lname, user_sname, user_fav_name
		FROM permissions_tb, sudi_users_tb
		WHERE perm_user_id = user_id AND perm_status = 1 AND permissions_tb.hideField = 0";
	// debug echo $query_rsData;
	$rsData = mysqli_query($connectMySql,$query_rsData);
	$row_rsData = mysqli_fetch_assoc($rsData);
	$totalRows_rsData = mysqli_num_rows($rsData);
	
	$query_rsGol = "
		SELECT car_id, car_date, car_out, car_int, user_fname, user_mname, user_lname, user_sname, user_fav_name
		FROM binnacle_car_tb, sudi_users_tb
		WHERE car_user_id = user_id AND car_status = 1 AND binnacle_car_tb.hideField = 0";
	// debug echo $query_rsGol;
	$rsGol = mysqli_query($connectMySql,$query_rsGol);
	$row_rsGol = mysqli_fetch_assoc($rsGol);
	$totalRows_rsGol = mysqli_num_rows($rsGol);
	
	$query_rsProyects = "
		SELECT proy_id, proy_name, proy_date_end, client_name, user_fname, user_mname, user_lname, user_fav_name
		FROM clients_proyects_tb, clients_tb, sudi_users_tb
		WHERE proy_client_id = client_id AND proy_user_id = user_id AND clients_proyects_tb.hideField = 0;";
	// debug echo $query_rsProyects;
	$rsProyects = mysqli_query($connectMySql,$query_rsProyects);
	$row_rsProyects = mysqli_fetch_assoc($rsProyects);
	$totalRows_rsProyects = mysqli_num_rows($rsProyects);

	// Cita paciente, Día de pago
	$color = array('','#9aafd8','#61b5ca','#67ca61');
	$arrayType = array('','Inasistencia','Llegar tarde','Salir temprano','Ausentismo temporal','Horario corrido');

?>

<style type="text/css">

	#calendar_container {
		
		display: block;
		width: 90%;
		margin: 20px auto 0px auto;
		background-color: #FFF;
		height: auto;
		
	}
	
		#calendar_padding {
			padding:20px;	
		}
	
	
	.cal_examples {
			
		    display: block;
			width:80%;
			margin: auto;
			padding: 8px 20px 0px 20px;
			text-align: center;
			background-color: rgba(255,255,255,.85);
	}
	.cal_examples section {
		font-family: 'montserratlight';
		font-size: .85em;
		margin: 10px auto;
		color: #323232;
	}
		.cal_examples section div {
			display:inline-block;
			margin: 5px 10px;
			vertical-align: middle;
		}
	
	.cal_color_box {
	
		display: inline-block;
		vertical-align:middle;
		width:10px;
		height: 10px;	
	}
	
	.fc-event {
		border: none;
		border-radius: 0px;
		padding: 2px;
		font-size: .7em;
		cursor: pointer;
	}
	
		.fc-event:hover {
			opacity:.8;
		}
	
	.fc-ltr .fc-axis {
		text-align: right;
		font-size: .9em;
		color: #96708e;
	}
	
	/* CAL */
	
	/* Botónes*/
	
	.fc-corner-right, .fc-corner-left {
		border-radius:0px;
	}
	.fc-state-default {
		border-radius: 0px;
		background-image: none;
		background-color: rgba(0,0,0,.6);
		color: #FFF;
		text-shadow: none;
		font-family: 'montserratregular';
		font-size: 1em !important;
		border: none;
	}
		.fc-state-active, .fc-state-default:hover {
			background-color: #000;
		}
	
	/* Fecha en calendario */
	.fc-toolbar h2 {
		font-family: 'montserratlight';
   		font-size: 1.1em;
    	color: #23486f;		
	}
	
		.fc-toolbar h2:first-letter {
    		text-transform: uppercase;
		}
	
	
	.fc-head {
		background-color: #2e2340;
    	color: #ffffff;
	}
	
	.fc th {
		font-size: .8em;
		padding: 5px 0px !important;
	}
	
	
	/* SMALL */
	
	@media (min-width:10px) and (max-width: 600px) {
	  
		#calendar_container {
			width: 100%;
			margin: 20px auto 0px auto;
			height: -webkit-calc(100% - 20px);	
			height: -moz-calc(100% - 20px);	
			height: -o-calc(100% - 20px);	
			height: calc(100% - 20px);
		}	
		
		#calendar_padding {
			padding:10px 0px;	
		}
	}
	
	
</style>




<section id="calendar_container">
	

<h1 class="form_title"><i class="icon icon-iconos-sudi-calendar-2 manage_title_icon"></i> Calendario<span class="close_curtain this_close"><i class="icon icon-iconos-sudi-close"></i></span></h1>

<div id="calendar_padding">

<section class="cal_examples">
	<section>
	<div><span class="cal_color_box" style="background-color: #9aafd8"></span> Permisos</div>
	<div><span class="cal_color_box" style="background-color: #61b5ca"></span> Uso Gol</div>
    <div><span class="cal_color_box" style="background-color: #67ca61"></span> Entrega de proyectos</div>
	</section>
</section>



<script type="application/javascript">

	$(document).ready(function() {
		var initialLangCode = 'es';
		
		var dev_with = screen.availWidth;
		
		// Si el ancho del dispositivo es muy pequeño, usamos elementos básicos
		if(dev_with < 400){
			
			var the_week = 'basicWeek';
			var the_day = 'basicDay';
			var the_month = 'month';
			var the_default_cal = 'basicWeek';
			var col_format = 'ddd D/M';
			
			$('#cal_view_day').data('view', the_day);
			$('#cal_view_month').data('view', the_month);
			$('#cal_view_week').data('view', the_week);
			
		}else{
			
			var the_week = 'agendaWeek';
			var the_day = 'agendaDay';
			var the_month = 'month';
			var the_default_cal = 'agendaWeek';
			var col_format = 'dddd D/MMM';
		}
		
		
		$('#calendar').fullCalendar({
			eventClick: function(calEvent, jsEvent, view) {
				r_panel_load('','folder_:__calendarAssets/event_detail.php_&_eve_type_:_'+calEvent.eve_type+'_&_ses_id_:_'+calEvent.ses_id);
			},
			header: {
				left: '',
				center: '',
				right: ''
			},
			buttonText: {
				prev: 'Anterior',
				next: 'Siguiente',
				month: 'Mes',
				agendaWeek: 'Semana',
				today: 'Hoy'				
			},
			height: 'auto',
			defaultDate: '<?php echo $hoy;?>',
			allDayText: '',
			columnFormat: col_format,
			lang: initialLangCode,
			buttonIcons: false, // show the prev/next text
			weekNumbers: false,
			scrollTime: '08:00:00',
			minTime: "07:00:00",
			maxTime: "22:00:00",
			defaultView: the_default_cal,
			editable: false,
			eventLimit: true, // allow "more" link when too many events
			events: [
				<?php do { ?>
				
					{
						title: '<?php echo $row_rsData['user_'.$row_rsData['user_fav_name'].'name'].' '.$row_rsData['user_lname'] . " - " . $arrayType[$row_rsData['perm_type']]; ?>',
						start: '<?php echo $row_rsData['perm_date']."T".$row_rsData['perm_time']; ?>',
						end: '<?php echo $row_rsData['perm_date']."T".$row_rsData['perm_time']; ?>',
						color: '<?php echo $color[1]; ?>',
						ses_id: '<?php echo $row_rsData['perm_id']; ?>',
						eve_type: '1'
					},
				
				<?php } while( $row_rsData = mysqli_fetch_assoc($rsData) ); ?>
				<?php do { ?>
					{
						title: '<?php echo $row_rsGol['user_'.$row_rsGol['user_fav_name'].'name'].' '.$row_rsGol['user_lname']  ?>',
						start: '<?php echo $row_rsGol['car_date']."T".$row_rsGol['car_out']; ?>',
						end: '<?php echo $row_rsGol['car_date']."T".$row_rsGol['car_int']; ?>',
						color: '<?php echo $color[2]; ?>',
						ses_id: '<?php echo $row_rsGol['car_id']; ?>',
						eve_type: '2'
					},
				
				<?php } while( $row_rsGol = mysqli_fetch_assoc($rsGol) ); ?>
				<?php do { ?>
					{ 
						title: '<?php echo 'Entrega '.$row_rsProyects['proy_name']; ?>',
						start: '<?php echo $row_rsProyects['proy_date_end']; ?>',
						color: '<?php echo $color[3]; ?>',
						ses_id: '<?php echo $row_rsProyects['proy_id']; ?>',
						eve_type: '3'
					},
				
				<?php } while( $row_rsProyects = mysqli_fetch_assoc($rsProyects) ); ?>
			]
		});
		
	});
	
	var view = $('#calendar').fullCalendar('getView');
	$('.cal_info span').html(view.title);
	
	
</script>

<style type="text/css">

	.fc-view-container {
		background-color: #FFF;	
	
	}
	
</style>

<div id='calendar' style="max-width:1200px; display:block; margin:auto;"></div>
<br><br><br><br>

<!-- List especial -->
<div id="nav_list" style="z-index: 1;">
	
		<div id="page_info" class="cal_info">
			<span></span>
		</div>
        <div class="nav_list_btn fullc_view_month" id="cal_view_day" data-view="basicDay">
            Día
        </div>
		<div class="nav_list_btn fullc_view_month" id="cal_view_week" data-view="agendaWeek">
            Semana
        </div>
           
        <div class="nav_list_btn fullc_view_month" id="cal_view_month" data-view="month">
            Mes
        </div>
           
       	<div class="nav_list_btn" id="fullc_prev">
            <i class="icon icon-iconos-sudi-arrow-left-12"></i>
        </div>

        <div class="nav_list_btn" id="fullc_next">
            <i class="icon icon-iconos-sudi-arrow-right-12"></i>
        </div>
        <div class="nav_list_btn" id="fullc_today">
            Hoy
        </div>
       
</div><!-- Nav List (end) -->
	</div><!-- #calendar padding -->
</section><!-- #calendar container -->
