<?php 

// SESSION_START 
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}
	
	// incluimos la conexión a la base de datos
	require_once("../_sudiEngine/_engine/config.php");
	require_once("../../../".$root_folder."/connectMySql.php");

	// incluimos las funciones
	require ("../../../".$root_folder."/sudi_functions.php");
	
	// incluimos la clase del usuario actual
	include_once "../_phpClasses/class.CurrentUser.inc";
	// incluimos la clase de privilegios
	include_once "../_phpClasses/class.Privileges.inc";

	// Usuario actual
	$thisUser = new current_user;
	// Nombre Favorito
	$fav_name = array('f'=>'user_fname','m'=>'user_mname');

	$the_day = $hoy;
	$current_time = date('Y-m-d H:i:s');

	//$query_rsData = sprintf("SELECT * FROM mh_doubles_tb d, app_phases_tb p, app_datas_tb da, app_parameters_tb par WHERE dbl_step = phase_id AND dbl_id = par_dbl_id AND d.hideField = 0 GROUP BY dbl_id ORDER BY dbl_label ASC;");
	if($_COOKIE['db_type'] == 0) { 
		$query_rsData = sprintf("SELECT *, v.date_add as Datead FROM mh_doubles_tb d, app_values2_tb v, app_phases_tb p WHERE dbl_id = v_dbl_id AND dbl_step = phase_id AND d.hideField = 0 GROUP BY dbl_id ORDER BY dbl_label ASC;");
	}else{
		$query_rsData = sprintf("SELECT *, c.date_add as Datead FROM mh_crops_tb c, mh_crooms_tb cr, app_phases_tb p WHERE crop_id = croom_crop_id AND croom_step = phase_id AND c.hideField = 0 GROUP BY crop_id ORDER BY c_label ASC;");
	}
	
	$rsData = mysqli_query($connectMySql,$query_rsData);
	$row_rsData = mysqli_fetch_assoc($rsData);
	$totalRows_rsData = mysqli_num_rows($rsData);

	// echo $query_rsData;
?>
<div id="home_container">

	<h1 style="margin: 20px 0px;">Welcome</h1>

	<?php if($_COOKIE['db_type'] == 0) { ?>
		<p>The following are the houses that are currently in production process</p>
	<?php } else{ ?>
		<p>The following are the crops that are currently in production process</p>
	<?php } ?>
	
	<span style="cursor: pointer; display: flex;justify-content: space-evenly;position: absolute; right: 70px;top: 150px;color: black; width: 130px;" class="report_search_btn" id="csv_maker" data-title="Records" style="color: #656578; cursor:pointer;">
		<p>Download</p>
		<i class="icon icon-iconos-sudi-file-exe" aria-hidden="true" style="margin-left: 5px;"></i>
	</span>
<?php if($_COOKIE['db_type'] == 0) { ?>
	<section class="sudi_tb_container">
		<div class="st_head">
			<div class="st_item">House</div><!-- .st_item -->
			<div class="st_item">Step</div><!-- .st_item -->
			<div class="st_item">Cycle Number</div><!-- .st_item -->
			<!-- <div class="st_item">Start</div> -->
			<!-- .st_item -->
			<!-- <div class="st_item">Size</div> -->
			<!-- <div class="st_item">Harvested</div> -->
			<!-- .st_item -->
			<!-- <div class="st_item">Yield</div> -->
			<!-- .st_item -->
			<div class="st_item">Users</div><!-- .st_item -->
			<div class="st_item">Records</div><!-- .st_item -->
			<div class="st_item">Observations</div><!-- .st_item -->
		</div><!-- .st_head -->
		<?php 
				$name = "House";
			
			
			// Titulos de las columnas
			$csv_array = array(
				/*01*/$name,
				/*02*/str_replace(',',' ', 'Step'),
				/*03*/str_replace(',',' ', 'Cycle number'),
				/*04*/str_replace(',',' ', 'Users'),
			);
		?>
		<div class="sudi_tb_item_container csv_maker_info" data-csv="<?php echo implode(',',$csv_array);?>">

		<div class="sudi_tb_item_container">
		<?php if($totalRows_rsData){ do{ 
			$dateadd = explode(" ", $row_rsData['Datead']); 
			$number = explode("-", $row_rsData['dbl_folio']); 

			$participants_id = $row_rsData['dbl_app_users'];
			$participants_str = str_replace('[',"",$participants_id);
			$arrayParticipants = explode(']',$participants_str);
			array_pop($arrayParticipants);

			if($row_rsData['v_data'] == 35){
				$harvest += $row_rsData['v_value'];
			}else{
				$harvest = '-';
			}
			$sum1 = 0;
			$sum2 = 0;
			$sum3 = 0;

			if($row_rsData['v_data'] == 35 AND $row_rsData['v_phase'] == 9){
				$sum1 += $row_rsHarvest['v_value'];				
			}

			if($row_rsData['v_data'] == 35 AND $row_rsData['v_phase'] == 11){
				$sum2 += $row_rsHarvest['v_value'];				
			}
			
			if($row_rsData['v_data'] == 35 AND $row_rsData['v_phase'] == 13){
				$sum3 += $row_rsHarvest['v_value'];				
			}

			$yield1 = round(( $sum1 / intval($row_rsData['par1_house_size'])),1);
			$yield2 = round(( $sum2 / intval($row_rsData['par1_house_size'])),1);
			$yield3 = round(( $sum3 / intval($row_rsData['par1_house_size'])),1);

			// Filas csv
			$csv_array = array(
				/*01*/str_replace(',',' ', $row_rsData['dbl_label']),
				/*02*/str_replace(',',' ', $row_rsData['phase_label']),
				/*03*/str_replace(',',' ', $number[1]),
				/*05*/str_replace(',',' ', count($arrayParticipants)),
			);

			?>
			<div class="st_row sudi_table_row csv_maker_info" oncontextmenu="return false;" data-csv="<?php echo implode(',',$csv_array);?>">
				<div class="st_item"><?php echo $row_rsData['dbl_label']; ?></div>
				<div class="st_item" style="flex-direction: column;"><img style="width:20px;" src="../sudi/_files/_img/_icons/<?php echo $row_rsData['phase_icon'];?>" class="icon_parameter one"><?php echo $row_rsData['phase_label'];?></div>
				<div class="st_item"><?php //echo $number[1]; 
				echo $number;?></div>
				<!-- <div class="st_item"><?php echo dateFormatEnglish($dateadd[0], 'mmm', false);?></div> -->
				<!-- <div class="st_item"><?php //echo $row_rsData['par1_house_size'];?> ft<sup>2</sup></div> -->
				<!-- <div class="st_item fl_column"><?php echo $harvest;?> <span style="font-size:.8em;">[Pounds]</span></div>
				<div class="st_item"><div class="st_item fl_column"><?php echo $yield1;?> <span style="font-size:.8em;">[FB]</span></div><div class="st_item fl_column"><?php echo $yield2;?> <span style="font-size:.8em;">[SB]</span></div><div class="st_item fl_column"><?php echo $yield3;?> <span style="font-size:.8em;">[TB]</span></div></div> -->
				<div class="st_item loadContent cursor_pointer" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_doubles_&_id_:_<?php echo $row_rsData['dbl_id']; ?>_&_home_:_true"><?php echo count($arrayParticipants); ?></div>
					<div class="st_item cursor_pointer loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_list_doubles_&_fixedId_:_<?php echo $row_rsData['dbl_id']; ?>"><span class="icon icon-iconos-sudi-database-system nav_title_icon" style="display: block; color: #015784;"></span></div>
					<div class="st_item cursor_pointer loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_list_forms_&_fixedId_:_<?php echo $row_rsData['dbl_id']; ?>_&_fixedDoubleLabel_:_<?php echo $row_rsData['dbl_label']; ?>"><span class="icon icon-iconos-sudi-database-system nav_title_icon" style="display: block; color: #015784;"></span></div>
			</div>
		<?php } while ($row_rsData = mysqli_fetch_assoc($rsData)); }else{?>
			<p class="result_info">Without information.</p>
		<?php } ?>
		</div>
	</section>

	<?php } ?>

	<?php if($_COOKIE['db_type'] == 1) { ?>
		<section class="sudi_tb_container">
			<div class="st_head">
				<div class="st_item">Crop</div><!-- .st_item -->
				<div class="st_item">Step</div><!-- .st_item -->
				<div class="st_item">Cycle Number</div><!-- .st_item -->
				<!-- <div class="st_item">Start</div> -->
				<!-- .st_item -->
				<!-- <div class="st_item">Size</div> -->
				<!-- <div class="st_item">Harvested</div> -->
				<!-- .st_item -->
				<!-- <div class="st_item">Yield</div> -->
				<!-- .st_item -->
				<div class="st_item">Users</div><!-- .st_item -->
				<div class="st_item">Records</div><!-- .st_item -->
				<div class="st_item">Observations</div><!-- .st_item -->
			</div><!-- .st_head -->
			<?php 

					$name = "Crop";
				
				// Titulos de las columnas
				$csv_array = array(
					/*01*/$name,
					/*02*/str_replace(',',' ', 'Step'),
					/*03*/str_replace(',',' ', 'Cycle number'),
					/*04*/str_replace(',',' ', 'Users'),
				);
			?>
			<div class="sudi_tb_item_container csv_maker_info" data-csv="<?php echo implode(',',$csv_array);?>">

			<div class="sudi_tb_item_container">
			<?php if($totalRows_rsData){ do{ 
				$dateadd = explode(" ", $row_rsData['Datead']); 
				$number = explode("-", $row_rsData['c_folio']); 

				$participants_id = $row_rsData['c_app_users'];
				$participants_str = str_replace('[',"",$participants_id);
				$arrayParticipants = explode(']',$participants_str);
				array_pop($arrayParticipants);

				if($row_rsData['v_data'] == 35){
					$harvest += $row_rsData['v_value'];
				}else{
					$harvest = '-';
				}
				$sum1 = 0;
				$sum2 = 0;
				$sum3 = 0;

				if($row_rsData['v_data'] == 35 AND $row_rsData['v_phase'] == 9){
					$sum1 += $row_rsHarvest['v_value'];				
				}

				if($row_rsData['v_data'] == 35 AND $row_rsData['v_phase'] == 11){
					$sum2 += $row_rsHarvest['v_value'];				
				}
				
				if($row_rsData['v_data'] == 35 AND $row_rsData['v_phase'] == 13){
					$sum3 += $row_rsHarvest['v_value'];				
				}

				$yield1 = round(( $sum1 / intval($row_rsData['par1_house_size'])),1);
				$yield2 = round(( $sum2 / intval($row_rsData['par1_house_size'])),1);
				$yield3 = round(( $sum3 / intval($row_rsData['par1_house_size'])),1);

				// Filas csv
				$csv_array = array(
					/*01*/str_replace(',',' ', $row_rsData['c_label']),
					/*02*/str_replace(',',' ', $row_rsData['phase_label']),
					/*03*/str_replace(',',' ', $number[1]),
					/*05*/str_replace(',',' ', count($arrayParticipants)),
				);

				?>
				<div class="st_row sudi_table_row csv_maker_info" oncontextmenu="return false;" data-csv="<?php echo implode(',',$csv_array);?>">
					<div class="st_item"><?php echo $row_rsData['c_label']; ?></div>
					<div class="st_item" style="flex-direction: column;"><img style="width:20px;" src="../sudi/_files/_img/_icons/<?php echo $row_rsData['phase_icon'];?>" class="icon_parameter one"><?php echo $row_rsData['phase_label'];?></div>
					<div class="st_item"><?php echo $number[1]; echo $number[0];?></div>
					<!-- <div class="st_item"><?php echo dateFormatEnglish($dateadd[0], 'mmm', false);?></div> -->
					<!-- <div class="st_item"><?php //echo $row_rsData['par1_house_size'];?> ft<sup>2</sup></div> -->
					<!-- <div class="st_item fl_column"><?php echo $harvest;?> <span style="font-size:.8em;">[Pounds]</span></div>
					<div class="st_item"><div class="st_item fl_column"><?php echo $yield1;?> <span style="font-size:.8em;">[FB]</span></div><div class="st_item fl_column"><?php echo $yield2;?> <span style="font-size:.8em;">[SB]</span></div><div class="st_item fl_column"><?php echo $yield3;?> <span style="font-size:.8em;">[TB]</span></div></div> -->
					<div class="st_item loadContent cursor_pointer" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_crops_&_id_:_<?php echo $row_rsData['crop_id']; ?>_&_home_:_true"><?php echo count($arrayParticipants); ?></div>
					<div class="st_item cursor_pointer loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_list_crops_&_fixedId_:_<?php echo $row_rsData['crop_id']; ?>"><span class="icon icon-iconos-sudi-database-system nav_title_icon" style="display: block; color: #015784;"></span></div>
					<div class="st_item cursor_pointer loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_list_forms2_&_fixedId_:_<?php echo $row_rsData['crop_id']; ?>_&_fixedCropLabel_:_<?php echo $row_rsData['c_label']; ?>"><span class="icon icon-iconos-sudi-database-system nav_title_icon" style="display: block; color: #015784;"></span></div>
				</div>
			<?php } while ($row_rsData = mysqli_fetch_assoc($rsData)); }else{?>
				<p class="result_info">Without information.</p>
			<?php } ?>
			</div>
		</section>
	<?php } ?>
</div>

<!--  <span style="font-size: .8em;">[68 °F ]</span> -->