
	<?php 
	// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}

	require_once("../_sudiEngine/_engine/config.php");
	/* Conexión a Base de datos */
	include_once("../../../".$root_folder."/connectMySql.php");
	/* Funciones*/
	include_once("../../../".$root_folder."/sudi_functions.php");

	// include ("../../../sudi_assets/connectMySql.php"); 
	// require ("../../../sudi_assets/sudi_functions.php"); 
	require ("../_phpClasses/class.Sections.inc"); 
	require ("../_phpClasses/class.SpryDatePicker.inc");
	require ("./inputs.php");
	
	//$data_id = 18;
	

	$data_id = ( $_POST['report_data'] ) ? $_POST['report_data'] : '';

	//var_dump($_POST['report_data']);

	$date1 = ( $_POST['dateStart'] ) ? $_POST['dateStart'] : date('Y-m-01');
	$date2 = ( $_POST['dateFin'] ) ? $_POST['dateFin'] : date('Y-m-d');
	$data_phase = ( $_POST['report_phase'] == -1) ? '' : 'AND v_phase =' . $_POST['report_phase'] ;
	$data_double = ( $_POST['report_double'] == -1 ) ?  '' :'AND v_crop_id =' . $_POST['report_double'] ;

	
	$query_rsData = sprintf("
		SELECT 
			v_value as Value, a.date_add as Dates,  v_unit_id , u.unit_value
		FROM 
			app_values3_tb a
		LEFT JOIN 
			app_units_tb u ON u.unit_id = a.v_unit_id
		WHERE a.v_data = %s  %s  %s AND a.date_add BETWEEN '%s' AND '%s' AND a.hideField = 0 ORDER BY a.date_add ASC
		", $data_id, $data_phase, $data_double, $date1.' 00:00:00', $date2.' 23:59:59'
	);
 	
 	//echo $query_rsData;
	$rsData = mysqli_query($connectMySql,$query_rsData);
	$row_rsData = mysqli_fetch_assoc($rsData);
	$totalRows_rsData = mysqli_num_rows($rsData);

	$arrayValues = array();
	$arrayTemp = array();

	$unit = $row_rsData['unit_value'];

	do{
		$dateadd = explode(' ', $row_rsData['Dates']);

		if(array_key_exists($dateadd[0], $arrayValues)){
		 	$arrayValues[$dateadd[0]] += $row_rsData['Value'];
		}else{
			$arrayValues[$dateadd[0]] = $row_rsData['Value'];
		}

	}while ($row_rsData = mysqli_fetch_assoc($rsData));


	$arrayDates = array();  
    // Variable that store the date interval
    // of period 1 day
    $interval = new DateInterval('P1D');
  
    $realEnd = new DateTime($date2);
    $realEnd->add($interval);
  
    $period = new DatePeriod(new DateTime($date1), $interval, $realEnd);
  	
  	$format = 'Y-m-d';
    // Use loop to store date into array
    foreach($period as $date) {                 
        $arrayDates[] = $date->format($format); 
    }

	
	for ($i=0; $i < sizeof($arrayDates) ; $i++) { 
		if(array_key_exists($arrayDates[$i], $arrayValues)){
		 	$arrayTemp[$arrayDates[$i]] =  $arrayValues[$arrayDates[$i]];
		}else{
			$arrayTemp[$arrayDates[$i]] = 0;
		}
	}

	$arrayDates = array_keys($arrayTemp);
	$arrayVal = array_values($arrayTemp);

?>

<style type="text/css">
	#info_container { height: auto; }

	.form-control{
		position: relative;
		display: inline-block;
		/* height: auto; */
		/* margin: 20px 0px; */
		vertical-align: top;
		box-sizing: border-box;
		font-family: 'montserratlight';
		border-radius: 20px;
		border: #025784 1px double !important;
		color: #017dbe;
	}

	d-flex{ margin: 0px 20px; }
</style>
<!-- Grafica que muestra la fuente de como se enteraron de la clínica  -->
<script>
	var picker = new Lightpick({
		field: document.getElementById('demo-3_1'),
		singleDate: false,
		selectForward: true,
		format: "YYYY-MM-DD",
		firstDay:7,
		lang: 'en-US',
		onSelect: function(start, end){
			var str = '';
			str += start ? start.format('Do MMMM YYYY') + ' to ' : '';
			str += end ? end.format('Do MMMM YYYY') : '...';
			// document.getElementById('result-7').innerHTML = str;
		}
	});
</script>

<!-- Grafica que muestra la fuente de como se enteraron de la clínica  -->
<?php if( $totalRows_rsData ) {  //echo $row_rsData;	?>
<script>
	var ctx = document.getElementById("myChart");

	var myChart = new Chart(ctx, {
		type: 'line',
		data: {
			labels: [
			  <?php for ($i=0; $i < sizeof($arrayDates); $i++) {  ?>
                    '<?php echo $arrayDates[$i]; ?>',
			  	<?php 
					}
				?> 
			],
			datasets: [{
				label: "Values",
				data: [
					<?php for ($j=0; $j < sizeof($arrayVal); $j++) {  ?>
                    '<?php echo $arrayVal[$j]; ?>',
			  	<?php 
					}
				?> 
					
				],
				fill: false,
				backgroundColor : 'rgba(255, 99, 132, 0.2)',
                borderColor : 'rgb(255, 99, 132)',
				borderWidth: 2

			}],
		},
		fill: false,
		options: {
			tooltips: {
                enabled: true,  
                callbacks: {
                    label: function(tooltipItem, data) {
                    	console.log(data);
                    

                        var value = data.datasets[0].data[tooltipItem.index];
                        
                        return value+' <?php echo $unit;?>';
                    }
                }
            },

			scales: {
				
				yAxes: [{
					ticks: {
						beginAtZero:true,
						maxTicksLimit: 20,
						userCallback: function(value, index, values) {
							value = value.formatMoney(0);
							return value + ' <?php echo $unit;?> ' ;
							}
					}
				}]
			}
			
		}
	});

</script>
<?php  } ?>

<style type="text/css">
	#info_container { height: auto; }
</style>

<div id="crumb_nav">
	<span class="crumb_nav_btn loadContent" data-target="main" data-content="_phpEngine/home.php">Home</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_btn loadContent" data-target="main" data-content="_reportAssets/_report_list.php">Reports</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_txt">Track Records (Total Crops)</span>
</div>

<!-- 
<p id="result-3">Select date</p> -->
<div style="display: flex; justify-content: center;">
	<div class="d-flex">	
		<label for="item_date" class="label_spry">Select Date</label>
		<input type="text" id="demo-3_1" class="form-control form-control-sm aTextField" value="<?php echo $date1." - ".$date2; ?> ">
	</div>

	<!-- <div class="d-flex">
		<label for="item_date" class="label_spry">End Date</label>
		<input type="text" id="demo-3_2" class="form-control form-control-sm aTextField" value="<?php echo $date2; ?>">
	</div> -->
</div>

<section class="report_container" id="report_search_content">  
    <div class="upload_reports_results">
		<?php 
			
            // $date_start = new input_datepicker;
            // $date_start->spry = "spryFechaIni";
            // $date_start->name = "item_date";
            // $date_start->label = "Start Date";
            // $date_start->showM = true;
            // $date_start->showY = true;
            // $date_start->action = $action;
            // $date_start->required = false;
            // $date_start->class = "report_date_start";
            // $date_start->size = "6x";
			// $date_start->action = "edit";
			// $date_start->data = $date1;
            // echo $date_start->display();
			
			// $date_fin = new input_datepicker;
            // $date_fin->spry = "spryFechaFin";
            // $date_fin->name = "item_date";
            // $date_fin->label = "End Date";
            // $date_fin->showM = true;
            // $date_fin->showY = true;
            // $date_fin->action = $action;
            // $date_fin->required = false;
            // $date_fin->class = "report_date_end";
            // $date_fin->size = "6x";
			// $date_fin->action = "edit";
			// $date_fin->data = $date2;
            // echo $date_fin->display();

 			$query_rsValue = sprintf("SELECT * FROM app_datas_tb WHERE data_id IN( 12, 13, 26, 35 )");
			$rsValue = mysqli_query($connectMySql,$query_rsValue);
			$row_rsValue = mysqli_fetch_assoc($rsValue);
			$totalRows_rsValue = mysqli_num_rows($rsValue);

			$arrayValue = array();
			do {
				array_push($arrayValue,array(
					$row_rsValue['data_label'],$row_rsValue['data_id']
				));
			} while( $row_rsValue = mysqli_fetch_assoc($rsValue));

			$data_label = new input_select;
			$data_label->spry = "spryData";
			$data_label->name = "item_data";
			$data_label->label = "Data";
			$data_label->title = "Select";
			$data_label->tooltip = "Select a data.";
			$data_label->options = $arrayValue;
			$data_label->required = false;
			$data_label->class = 'report_data';
			$data_label->size = "4x";
			$data_label->action = "edit";
			$data_label->data = ( $data_id ) ? $data_id : '-1';
			echo $data_label->display();

			$query_rsPhase = sprintf("SELECT * FROM `app_phases_tb` WHERE phase_id IN(3, 5, 7, 9,11,13,15);");
			$rsPhase = mysqli_query($connectMySql,$query_rsPhase);
			$row_rsPhase = mysqli_fetch_assoc($rsPhase);
			$totalRows_rsPhase = mysqli_num_rows($rsPhase);

			$arrayPhase = array();
			do {
				array_push($arrayPhase,array(
					$row_rsPhase['phase_label'] ,$row_rsPhase['phase_id']
				));
			} while( $row_rsPhase = mysqli_fetch_assoc($rsPhase) );

			$phase = new input_select;
			$phase->spry = "spryPhase";
			$phase->name = "v_phase";
			$phase->label = "Step";
			$phase->title = "Select";
			$phase->tooltip = "Select Phase.";
			$phase->options = $arrayPhase;
			$phase->required = false;
			$phase->class = 'report_phase';
			$phase->size = "4x";
			$phase->action = "edit";
			$phase->data = $_POST['report_phase'];
			echo $phase->display();

			$query_rsDouble = sprintf("SELECT * FROM mh_crops_tb WHERE hideField = 0 ORDER BY c_label ASC;");
			$rsDouble = mysqli_query($connectMySql,$query_rsDouble);
			$row_rsDouble = mysqli_fetch_assoc($rsDouble);
			$totalRows_rsDouble = mysqli_num_rows($rsDouble);

			$arrayDouble = array();
			do {
				array_push($arrayDouble,array(
					$row_rsDouble['c_label'] ,$row_rsDouble['crop_id']
				));
			} while( $row_rsDouble = mysqli_fetch_assoc($rsDouble) );

			$double = new input_select;
			$double->spry = "spryDouble";
			$double->name = "v_crop_id";
			$double->label = "Crops";
			$double->title = "Select";
			$double->tooltip = "Select House.";
			$double->options = $arrayDouble;
			$double->required = false;
			$double->class = 'report_double';
			$double->size = "4x";
			$double->action = "edit";
			$double->data = $_POST['report_double'];
			echo $double->display();
        ?>
        <br/>
        <span class="report_search_btn" id="report_search_js" data-type="report3" data-enterprise="mother" style="background-color: #145884;"><i class="icon icon-iconos-sudi-search-right-2"></i></span>
   		<!-- <span class="report_search_btn loadContent" data-target="main" data-content="_reportAssets/_report_list.php"><i class="icon icon-iconos-sudi-arrow-repeat-7"></i></span> -->
 	</div>
</section>	
<script type="text/javascript">

/*

       $(".report_data").change(function(){

   		 var report_data = $('.report_data').val();

        	 console.log(report_data);

       });

*/
</script>
<?php if( $totalRows_rsData ) { ?>

	<h4 style="padding-left: 20px; margin-top: 20px; margin-bottom: 10px;">Between the <strong><?php echo dateFormatEnglish($date1,'mmm',false).' and the '.dateFormatEnglish($date2,'mmm',false); ?><strong> 
	</h4>

	<div id="chartdiv">
		<canvas id="myChart" style="height:10%;"></canvas>
	</div>

    <section class="sudi_tb_container"> 
        <div class="st_head">
            <div class="st_item"><i class="icon icon-iconos-sudi-fileboard-checklist"></i>Date</div><!-- .st_item -->
            <div class="st_item"><i class="icon icon-iconos-sudi-control"></i>Value</div><!-- .st_item -->
            <div class="st_item"><i class="icon icon-iconos-sudi-control"></i>Unit</div><!-- .st_item -->

        </div><!-- .st_head -->
        <div class="sudi_tb_item_container">
            <?php for ($i=0; $i < sizeof($arrayDates) ; $i++) {  ?>
            	
                <div class="st_row sudi_table_row" oncontextmenu="return false;">
                    <div class="st_item st_row_title">
                        <i class="icon icon-iconos-sudi-fileboard-checklist"></i>
                        <?php //echo dateFormat($arrayDates[$i], 'mmm'. true); 

                        $date_s=date_create($arrayDates[$i]);
						$date = date_format($date_s,"F j, Y");
						echo $date;

						// $dat=date_create($arrayDates[$i]);
						// $date = date_format($dat,"F j, Y");
						// $ho = explode(' ', $row_rsData['date_add']);  
						// echo $date;

						 ?>
                    </div><!-- .st_item -->
                    <div class="st_item">
                        <i class="icon icon-iconos-sudi-control"></i>
                        <?php echo $arrayVal[$i];  ?>
                    </div><!-- .st_item -->
                
	                <div class="st_item st_row_title">
	                        <i class="icon icon-iconos-sudi-fileboard-checklist"></i>
	                        <?php echo $unit;?>
					</div><!-- .st_item -->
				</div> <!-- table -->
			<?php
                }
            ?>
        </div>
    </section>
<?php } else { ?>
	<p class="vide_list" style="text-align: center; margin-top: 50px; font-size: 1.3em;">No current data for this date.</p>
<?php } ?>