	<?php 
	// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}

	require_once("../_sudiEngine/_engine/config.php");
	/* Conexión a Base de datos */
	include_once("../../../".$root_folder."/connectMySql.php");
	/* Funciones*/
	include_once("../../../".$root_folder."/sudi_functions.php");

	// include ("../../../sudi_assets/connectMySql.php"); 
	// require ("../../../sudi_assets/sudi_functions.php"); 
	require ("../_phpClasses/class.Sections.inc"); 
	require ("../_phpClasses/class.SpryDatePicker.inc");
	require ("./inputs.php");
	
	//$data_id = 18;

	$data_id = ( $_POST['report_data'] ) ? $_POST['report_data'] : '';

	//var_dump($_POST['report_data']);

	$date1 = ( $_POST['dateStart'] ) ? $_POST['dateStart'] : date('Y-m-01');
	$date2 = ( $_POST['dateFin'] ) ? $_POST['dateFin'] : date('Y-m-d');
	$data_phase = ( $_POST['report_phase'] == -1) ? '' : 'AND v_phase =' . $_POST['report_phase'] ;

	if($_COOKIE['db_type'] == 0) {
		$data_double = ( $_POST['report_double'] == -1 ) ?  '' :'AND v_dbl_id =' . $_POST['report_double'] ;

		$query_rsData = sprintf("
		SELECT 
			v_value as Value, a.date_add as Dates, v_id, v_unit_id , u.unit_value, a.v_unit_cat_id, a.v_value_cat
		FROM 
			app_values2_tb a
		LEFT JOIN 
			app_units_tb u ON u.unit_id = a.v_unit_id
		WHERE a.v_data = %s  %s  %s AND a.date_add BETWEEN '%s' AND '%s' AND a.hideField = 0 ORDER BY a.date_add ASC
			", $data_id, $data_phase, $data_double, $date1.' 00:00:00', $date2.' 23:59:59'
		);
	}

	if($_COOKIE['db_type'] == 1) {
		$data_double = ( $_POST['report_double'] == -1 ) ?  '' :'AND v_crop_id =' . $_POST['report_double'];

		$query_rsData = sprintf("
		SELECT 
			v_value as Value, a.date_add as Dates, v_id, v_unit_id , u.unit_value, a.v_unit_cat_id, a.v_value_cat
		FROM 
			app_values3_tb a
		LEFT JOIN 
			app_units_tb u ON u.unit_id = a.v_unit_id
		WHERE a.v_data = %s  %s  %s AND a.date_add BETWEEN '%s' AND '%s' AND a.hideField = 0 ORDER BY a.date_add ASC
			", $data_id, $data_phase, $data_double, $date1.' 00:00:00', $date2.' 23:59:59'
		);
	}
 	
 	//echo $query_rsData;
	$rsData = mysqli_query($connectMySql,$query_rsData);
	$row_rsData = mysqli_fetch_assoc($rsData);
	$totalRows_rsData = mysqli_num_rows($rsData);

	$unit = $row_rsData['unit_value'];


	$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );
	//echo $query_rsIndexCatalogs;
	$rsIndexCatalogs = mysqli_query($GLOBALS['connectMySql'],$query_rsIndexCatalogs);
   	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
    $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);
	             		
        //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
        $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  hideField = 0;", $row_rsIndexCatalogs['cat_table']);
        //echo $query_rsCatalog;
        $rsCatalog = mysqli_query($GLOBALS['connectMySql'],$query_rsCatalog);
        $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	// var_dump($row_rsCatalog);	
		
	$arrayValues = array();
	$arrayTemp = array();

	$arrayDates = array();  
    // Variable that store the date interval
    // of period 1 day
    $interval = new DateInterval('P1D');
  
    $realEnd = new DateTime($date2);
    $realEnd->add($interval);
  
    $period = new DatePeriod(new DateTime($date1), $interval, $realEnd);
  	
  	$format = 'Y-m-d';
    // Use loop to store date into array
    foreach($period as $date) {                 
        $arrayDates[] = [$date->format($format),0]; 
    }

	do{	
			$arrayValues[$row_rsCatalog['cat_id']] = $arrayDates;
	}while($row_rsCatalog = mysqli_fetch_assoc($rsCatalog));

	mysqli_data_seek($rsCatalog,0);
    $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);

	do{

		$dateadd = explode(' ', $row_rsData['Dates']);

		if (array_key_exists($row_rsData['v_value_cat'], $arrayValues)) {
			//for ($i=1; $i < sizeof($arrayValues); $i++) { 

				// echo "<pre>"; print_r($arrayValues[$i]); echo '</pre>';
				for ($j=0; $j < sizeof($arrayValues[$row_rsData['v_value_cat']]); $j++) { 

					// if($arrayValues[$i][$j] == $dateadd[0]){
					// 	array_push($arrayValues[$i][$j], 1);
					// }else{
					// 	array_push($arrayValues[$i][$j], 0);
					// }
					
					if($arrayValues[$row_rsData['v_value_cat']][$j][0] == $dateadd[0]){
						// echo "true";
						$arrayValues[$row_rsData['v_value_cat']][$j][1] += $row_rsData['Value'];
					}


				}	
			//}
		}

	}while($row_rsData = mysqli_fetch_assoc($rsData));

	//echo "<pre>"; print_r($arrayValues); echo '</pre>';


	$arrayKeys = array_keys($arrayValues);
	$arrayVals = array_values($arrayValues);

	//echo "<pre>"; print_r($arrayVals); echo '</pre>';
	//echo "<pre>"; print_r($arrayValues); echo '</pre>';

	$arrayColors = ['rgba(54, 162, 235, 0.2)','rgba(255, 99, 132, 0.2)','rgba(255, 159, 64, 0.2)', 'rgba(255, 205, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(106, 106, 107, 0.2)','rgba(54, 162, 235, 0.2)','rgba(255, 99, 132, 0.2)','rgba(255, 159, 64, 0.2)', 'rgba(255, 205, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(201, 203, 207, 0.2)','rgba(153, 102, 255, 0.2)','rgba(255, 99, 132, 0.2)','rgba(255, 159, 64, 0.2)', 'rgba(255, 205, 86, 0.2)', 'rgba(75, 192, 192, 0.2)'];
	
	$arrayBorderColors = ['rgb(54, 162, 235)','rgb(255, 99, 132)','rgb(255, 159, 64)','rgb(255, 205, 86)','rgb(75, 192, 192)','rgb(153, 102, 255)','rgb(201, 203, 207)','rgb(54, 162, 235)','rgb(255, 99, 132)','rgb(255, 159, 64)','rgb(255, 205, 86)','rgb(75, 192, 192)','rgb(153, 102, 255)','rgb(201, 203, 207)','rgb(54, 162, 235)','rgb(255, 99, 132)','rgb(255, 159, 64)','rgb(255, 205, 86)','rgb(75, 192, 192)','rgb(153, 102, 255)','rgb(201, 203, 207)'];

?>

<style type="text/css">
	#info_container { height: auto; }

	.form-control{
		position: relative;
		display: inline-block;
		/* height: auto; */
		/* margin: 20px 0px; */
		vertical-align: top;
		box-sizing: border-box;
		font-family: 'montserratlight';
		border-radius: 20px;
		border: #025784 1px double !important;
		color: #017dbe;
	}

	d-flex{ margin: 0px 20px; }
</style>
<!-- Grafica que muestra la fuente de como se enteraron de la clínica  -->
<script>
var picker = new Lightpick({
		field: document.getElementById('demo-3_1'),
		singleDate: false,
		selectForward: true,
		format: "YYYY-MM-DD",
		firstDay:7,
		lang: 'en-US',
		onSelect: function(start, end){
			var str = '';
			str += start ? start.format('Do MMMM YYYY') + ' to ' : '';
			str += end ? end.format('Do MMMM YYYY') : '...';
			// document.getElementById('result-7').innerHTML = str;
		}
	});
</script>


<!-- Grafica que muestra la fuente de como se enteraron de la clínica  -->
<?php if( $totalRows_rsData ) {  //echo $row_rsData;	

	for ($i=1; $i <= sizeof($arrayKeys) ; $i++) { 
		// echo $i;
		// echo "<pre>"; print_r($arrayValues[$i]); echo '</pre>';

		$query_rsCatalog = sprintf("SELECT * FROM %s WHERE cat_id = %s AND hideField = 0;", $row_rsIndexCatalogs['cat_table'], $i);
        //echo $query_rsCatalog;
        $rsCatalog = mysqli_query($GLOBALS['connectMySql'],$query_rsCatalog);
        $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
?>
<script>
		var ctx = document.getElementById("myChart"+<?php echo $i; ?>);

		var myChart = new Chart(ctx, {
			type: 'bar',
			data: {
				labels: [
				  <?php for ($l=1; $l <= sizeof($arrayValues[$i]); $l++) {  ?>
	                    '<?php echo $arrayValues[$i][$l][0]; ?>',
				  	<?php 
						}
					?> 
				],
				datasets: [{
					label: 
						'<?php echo $row_rsCatalog['cat_value']; ?>',
					
					data: [
						<?php for ($m=1; $m <= sizeof($arrayValues[$i+1]); $m++) {  ?>
	                    '<?php echo $arrayValues[$i][$m][1]; ?>',
				  	<?php 
						}
					?> 
						
					],
					fill: false,
					backgroundColor : '<?php echo $arrayColors[$i]; ?>',
					borderColor : '<?php echo $arrayBorderColors[$i]; ?>',
					borderWidth: 2

				}],
			},
			fill: false,
			options: {
				tooltips: {
	                enabled: true,  
	                callbacks: {
	                    label: function(tooltipItem, data) {
	                    	console.log(data);
	                    

	                        var value = data.datasets[0].data[tooltipItem.index];
	                        
	                        return value+' <?php echo $unit.' '.$row_rsCatalog['cat_value'];?>';
	                    }
	                }
	            },

				scales: {
					
					yAxes: [{
						ticks: {
							beginAtZero:true,
							maxTicksLimit: 20,
							userCallback: function(value, index, values) {
								value = value.formatMoney(0);
								return value + ' <?php echo $unit;?> ' ;
								}
						}
					}]
				}
				
			}
		});

</script>
<?php  
	} 
}
?>

<style type="text/css">
	#info_container { height: auto; }
</style>

<div id="crumb_nav">
	<span class="crumb_nav_btn loadContent" data-target="main" data-content="_phpEngine/home.php">Home</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_btn loadContent" data-target="main" data-content="_reportAssets/_report_list.php">Reports</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_txt">Track Catalog (Detailed)</span>
</div>

<!-- 
<p id="result-3">Select date</p> -->
<div style="display: flex; justify-content: center;">
	<div class="d-flex">	
		<label for="item_date" class="label_spry">Select Date</label>
		<input type="text" id="demo-3_1" class="form-control form-control-sm aTextField" value="<?php echo $date1." - ".$date2; ?> ">
	</div>

	<!-- <div class="d-flex">
		<label for="item_date" class="label_spry">End Date</label>
		<input type="text" id="demo-3_2" class="form-control form-control-sm aTextField" value="<?php echo $date2; ?>">
	</div> -->
</div>

<section class="report_container" id="report_search_content">  
    <div class="upload_reports_results">
		<?php 
			
            // $date_start = new input_datepicker;
            // $date_start->spry = "spryFechaIni";
            // $date_start->name = "item_date";
            // $date_start->label = "Start Date";
            // $date_start->showM = true;
            // $date_start->showY = true;
            // $date_start->action = $action;
            // $date_start->required = false;
            // $date_start->class = "report_date_start";
            // $date_start->size = "6x";
			// $date_start->action = "edit";
			// $date_start->data = $date1;
            // echo $date_start->display();
			
			// $date_fin = new input_datepicker;
            // $date_fin->spry = "spryFechaFin";
            // $date_fin->name = "item_date";
            // $date_fin->label = "End Date";
            // $date_fin->showM = true;
            // $date_fin->showY = true;
            // $date_fin->action = $action;
            // $date_fin->required = false;
            // $date_fin->class = "report_date_end";
            // $date_fin->size = "6x";
			// $date_fin->action = "edit";
			// $date_fin->data = $date2;
            // echo $date_fin->display();

   			$query_rsValue = sprintf("SELECT * FROM app_datas_tb WHERE data_id IN( 4, 9, 11, 12, 29, 33, 35, 37, 38, 71 )");
			$rsValue = mysqli_query($connectMySql,$query_rsValue);
			$row_rsValue = mysqli_fetch_assoc($rsValue);
			$totalRows_rsValue = mysqli_num_rows($rsValue);

			$arrayValue = array();
			do {
				array_push($arrayValue,array(
					$row_rsValue['data_label'],$row_rsValue['data_id']
				));
			} while( $row_rsValue = mysqli_fetch_assoc($rsValue));

			$data_label = new input_select;
			$data_label->spry = "spryData";
			$data_label->name = "item_data";
			$data_label->label = "Data";
			$data_label->title = "Select";
			$data_label->tooltip = "Select a data.";
			$data_label->options = $arrayValue;
			$data_label->required = false;
			$data_label->class = 'report_data';
			$data_label->size = "4x";
			$data_label->action = "edit";
			$data_label->data = ( $data_id ) ? $data_id : '-1';
			echo $data_label->display();

			$query_rsPhase = sprintf("SELECT * FROM `app_phases_tb` WHERE phase_id IN(3, 5, 7, 9,11,13,15);");
			$rsPhase = mysqli_query($connectMySql,$query_rsPhase);
			$row_rsPhase = mysqli_fetch_assoc($rsPhase);
			$totalRows_rsPhase = mysqli_num_rows($rsPhase);

			$arrayPhase = array();
			do {
				array_push($arrayPhase,array(
					$row_rsPhase['phase_label'] ,$row_rsPhase['phase_id']
				));
			} while( $row_rsPhase = mysqli_fetch_assoc($rsPhase) );

			$phase = new input_select;
			$phase->spry = "spryPhase";
			$phase->name = "v_phase";
			$phase->label = "Step";
			$phase->title = "Select";
			$phase->tooltip = "Select Phase.";
			$phase->options = $arrayPhase;
			$phase->required = false;
			$phase->class = 'report_phase';
			$phase->size = "4x";
			$phase->action = "edit";
			$phase->data = $_POST['report_phase'];
			echo $phase->display();

			if($_COOKIE['db_type'] == 0) {
				$query_rsDouble = sprintf("SELECT * FROM mh_doubles_tb WHERE hideField = 0 ORDER BY dbl_label ASC;");
				$rsDouble = mysqli_query($connectMySql,$query_rsDouble);
				$row_rsDouble = mysqli_fetch_assoc($rsDouble);
				$totalRows_rsDouble = mysqli_num_rows($rsDouble);

				$arrayDouble = array();
				do {
					array_push($arrayDouble,array(
						$row_rsDouble['dbl_label'] ,$row_rsDouble['dbl_id']
					));
				} while( $row_rsDouble = mysqli_fetch_assoc($rsDouble) );
			}

			if($_COOKIE['db_type'] == 1) {
				$query_rsCrop = sprintf("SELECT * FROM mh_crops_tb WHERE hideField = 0 ORDER BY c_label ASC;");
				$rsCrop = mysqli_query($connectMySql,$query_rsCrop);
				$row_rsCrop = mysqli_fetch_assoc($rsCrop);
				$totalRows_rsCrop = mysqli_num_rows($rsCrop);

				$arrayCrop = array();
				do {
					array_push($arrayCrop,array(
						$row_rsCrop['c_label'] ,$row_rsCrop['crop_id']
					));
				} while( $row_rsCrop = mysqli_fetch_assoc($rsCrop) );
			}

			$double = new input_select;
			$double->spry = "spryDouble";
			$double->name = "v_dbl_id";
			if($_COOKIE['db_type'] == 0) {
				$double->label = "House";
			} else{
				$double->label = "Crop";
			}
			$double->title = "Select";
			if($_COOKIE['db_type'] == 0) {
				$double->tooltip = "Select Double.";
			}else{
				$double->tooltip = "Select Crop.";
			}
			if($_COOKIE['db_type'] == 0) {
				$double->options = $arrayDouble;
			}else{
				$double->options = $arrayCrop;
			}
			$double->required = false;
			$double->class = 'report_double';
			$double->size = "4x";
			$double->action = "edit";
			$double->data = $_POST['report_double'];
			echo $double->display();
        ?>
        <br/>
        <span class="report_search_btn" id="report_search_js" data-type="report_catalog2" data-enterprise="mother" style="background-color: #52ad2d;"><i class="icon icon-iconos-sudi-search-right-2"></i></span>
   		<!-- <span class="report_search_btn loadContent" data-target="main" data-content="_reportAssets/_report_list.php"><i class="icon icon-iconos-sudi-arrow-repeat-7"></i></span> -->
 	</div>
</section>	
<script type="text/javascript">

/*

       $(".report_data").change(function(){

   		 var report_data = $('.report_data').val();

        	 console.log(report_data);

       });

*/
</script>
<?php if( $totalRows_rsData ) { ?>

	<h4 style="padding-left: 20px; margin-top: 20px; margin-bottom: 10px;">Between the <strong><?php echo dateFormatEnglish($date1,'mmm',false).' and the '.dateFormatEnglish($date2,'mmm',false); ?><strong> 
	</h4>

	<div id="chartdiv">
		<?php for ($k=0; $k < sizeof($arrayKeys) ; $k++) { 

			$query_rsCatalog = sprintf("SELECT * FROM %s WHERE cat_id = %s AND hideField = 0;", $row_rsIndexCatalogs['cat_table'], $arrayKeys[$k]);
	        //echo $query_rsCatalog;
	        $rsCatalog = mysqli_query($GLOBALS['connectMySql'],$query_rsCatalog);
	        $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);

	        $query_rsValue = sprintf("SELECT * FROM app_datas_tb WHERE data_id = %s", $data_id);
			$rsValue = mysqli_query($connectMySql,$query_rsValue);
			$row_rsValue = mysqli_fetch_assoc($rsValue);
			$totalRows_rsValue = mysqli_num_rows($rsValue);


	        echo '<h2 style="color: #065e8c; font-size: 1.3em; text-align: center; margin-bottom: 0px; margin-top: 40px;">'.$row_rsValue['data_label'].' '.$row_rsCatalog['cat_value'].':</h2>';

			echo '<canvas id="myChart'.$arrayKeys[$k].'" style="height:10%; margin: 25px 0px;" ></canvas>';

		} ?>
		
	</div>
<?php } else { ?>
	<p class="vide_list" style="text-align: center; margin-top: 50px; font-size: 1.3em;">No current data for this date.</p>
<?php } ?>