<?php 

if(!isset($_POST['folder'])){
	echo "No hay carpeta establecida";
	exit;	
}
// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}
	
	
	// incluimos la conexión a la base de datos
	require_once("../../_sudiEngine/_engine/config.php");
	require_once("../../../../".$root_folder."/connectMySql.php");
	
	// requerimos la clase "Sections"
	require '../../_phpClasses/class.Sections.inc';
	// incluimos las funciones
	require ("../../../../".$root_folder."/sudi_functions.php");

	
	// Require Sprys
	include_once "../../_phpClasses/class.SpryTextfield.inc";
	include_once "../../_phpClasses/class.SprySelect.inc";
	include_once "../../_phpClasses/class.SpryTextarea.inc";
	include_once "../../_phpClasses/class.SpryCheckBox.inc";
	include_once "../../_phpClasses/class.SpryRadio.inc";
	include_once "../../_phpClasses/class.SpryNumeric.inc";
	include_once "../../_phpClasses/class.SpryTimePicker.inc";
	include_once "../../_phpClasses/class.SpryDatePicker.inc";
	include_once "../../_phpClasses/class.SpryMaps.inc";
	include_once "../../_phpClasses/class.SpryPassword.inc";
	include_once "../../_phpClasses/class.SpryAutoById.inc";
	include_once "../../_phpClasses/class.SpryDuoAutoId.inc";
	include_once "../../_phpClasses/class.InputFile.inc";
	include_once "../../_phpClasses/class.MultipleInputs.inc";
	include_once "../../_phpClasses/class.CurrentUser.inc";
	$thisUser = new current_user;
	// requerimos la clase "Privilegios"
	require '../../_phpClasses/class.Privileges.inc';
	include_once "../../_phpClasses/class.SpryColors.inc";
	include_once "../../_phpClasses/class.SpryAutoByText.inc";
	include_once "../../_phpClasses/class.Mail.inc";
	include_once "../../_phpClasses/class.DateAgo.inc";

		

	// Información de la sección actual

	$secInfo = new SudiSection;
	$secInfo->set_section_info($_POST['folder']);


	$action = 'add';
	
	/* Config */
	if(file_exists('../../'.$_POST['folder'].'/config.php')){
		include_once('../../'.$_POST['folder'].'/config.php');
	}

	// Tabla, id Principal, ID actual $POST['id']
	
	if($_POST['id']){
		$query_rsElement = sprintf("
			SELECT 
				* 
			FROM 
				%s 
			WHERE 
				%s = %s;",
				$secInfo->table,
				$secInfo->main_id,
				$_POST['id']
			);
		$rsElement = mysqli_query($connectMySql,$query_rsElement);
		$row_rsElement = mysqli_fetch_assoc($rsElement);
		$totalRows_rsElement = mysqli_num_rows($rsElement);
		if($totalRows_rsElement){
			$action = 'edit';
		}
	}

	/*Aqui va el codigo de facultamiento*/
	
	
	
	/* Special Manage */
	$manage_file  = ($_POST['manage_file']) ? $_POST['manage_file'] : 'manage.php';
	
	/* Código Random para cada Acción */
	
	$action_code = randomCode(20);

?>

<form name="form_manage" class="form_manage" action="<?php echo ($form_action) ? $form_action : '_sudiEngine/_engine/add_edit.php'; ?>" method="post" enctype="multipart/form-data">
    <?php 
	$title_icon = ($form_title_icon) ? '<!-- <i class="icon icon-iconos-sudi-' . $form_title_icon .' manage_title_icon"></i> -->' : '';
	echo($form_title) ? '<h1 class="form_title">' . $title_icon . $form_title.'<span class="close_curtain this_close"><i class="icon icon-iconos-sudi-close-2"></i></span></h1>': ''; ?>
    <section class="recordb main_input_container<?php echo ($justAdd) ? ' justAdd': ''; ?>" name="main_rdb" id="<?php echo $secInfo->table . '_0'; ?>" data-action="<?php echo $action; ?>" data-table="<?php echo $secInfo->table; ?>" data-id_field="<?php echo $secInfo->main_id; ?>" data-id_record="<?php echo ($action === 'add') ? '0' : $row_rsElement[$secInfo->main_id]; ?>" data-main_table="<?php echo ($no_main_tb) ? '0': 1; ?>">
<?php 
	include_once dirname(__FILE__) . "/../../" . $_POST['folder'].'/'.$manage_file;
  
  //function after add
  	echo ($after_add) ? '<input type="hidden" class="form_data" name="sudi_function_after" value="'.$after_add.'">': '';
  
  // Reload List
  	echo ($list_to_reload) ? '<input type="hidden" class="form_data" name="sudi_function_reload" value="'.$list_to_reload.'">': '';
		
  // Close after Add
  	echo ($manage_stay) ? '<input type="hidden" class="form_data" name="sudi_function_stay" value="true">': '';		
	
  ?>

<input type="submit" class="form_submit" value="1">

<div class="loading_manage hidden"><div class="div_loading"><div class="loader_wrapper"><div class="spinner"><div class="bounce1"></div><div class="bounce2"></div><div class="bounce3"></div></div></div></div></div>

</section>
	<span class="span_submit"><?php echo($form_submit_icon)? '<i class="icon icon-iconos-sudi-'.$form_submit_icon.'"></i>': ''; echo ($form_submit_text) ? $form_submit_text: ($action=='add') ? 'Save' : ' Save'; ?></span>
</form>