import { Component } from '@angular/core';

import { CameraPreview,CameraPreviewOptions } from '@ionic-native/camera-preview/ngx';

@Component({
  selector: 'app-home',
  templateUrl: 'index.html',
  styleUrls: ['home.page.scss'],
})
export class HomePage {
img:string="";
  constructor(private preview:CameraPreview) {}

  ngOnInit()
  {
    
    
  }
  capturePreview()
  {
    if(window.confirm("Do you want to capture image?"))
    {
      const pictureOpts:any = {
        
        quality:100,
       
      }
      
      // take a picture
      this.preview.takePicture(pictureOpts).then((imageData) => {
        this.img = 'data:image/jpg;base64,' + imageData;
        
    })
  }
  }

  startPreview()
  {
    if(window.confirm("Do you want to start camera?"))
    {
    const cameraPreviewOpts: CameraPreviewOptions = {
      x: 0,
      y: 100,
      width: window.screen.width,
      height: window.screen.height * 70/100,
      camera: 'rear',
     
      
      
      
      
      
    }
    this.preview.startCamera(cameraPreviewOpts).then(
      (res) => {
        
      },
      (err) => {
        alert(JSON.stringify(err));
      });
    }
    }

    stopCamera()
    {
      if(window.confirm("Do you want to stop camera?"))
      {
      this.preview.stopCamera().then(()=>{
        
            })
          }
    }

    capture()
    {

    }
  


}
