<?php 
// SESSION_START 
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}
	
	// incluimos la conexión a la base de datos
	require_once("../../_sudiEngine/_engine/config.php");
	//require_once("../../../../".$root_folder."/connectMySql.php");
	require_once("../../../../".$root_folder."/connectMySql.php");
 
    // incluimos las funciones
    require ("../../../../".$root_folder."/sudi_functions.php");
	
	// incluimos la clase del usuario actual
	include_once "../../_phpClasses/class.CurrentUser.inc";
	
	// Usuario actual
	$thisUser = new current_user;

    if( $thisUser->user_profile != 1 ){
        echo '<h4 class="vide_list">Your account doesn´t have privilegies for this section</h4>'; exit;
    }

	/* CATALOGO DE SUPPLEMENTS */
	$query_rsCatalog1 = sprintf("SELECT * FROM mh_cat_supplements_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog1 = mysqli_query($connectMySql,$query_rsCatalog1);
	$row_rsCatalog1 = mysqli_fetch_assoc($rsCatalog1);
	$totalRows_rsCatalog1 = mysqli_num_rows($rsCatalog1);

	/* CATALOGO DE COMPOST */
	// $query_rsCatalog2 = sprintf("SELECT * FROM mh_cat_composts_tb WHERE hideField = 0 LIMIT 6;");
	// //debug echo $query_rsCatalog3; //exit;
	// $rsCatalog2 = mysqli_query($connectMySql,$query_rsCatalog2);
	// $row_rsCatalog2 = mysqli_fetch_assoc($rsCatalog2);
	// $totalRows_rsCatalog2 = mysqli_num_rows($rsCatalog2);

	/* CATALOGO DE MUSHROOM VARIETIES */
    /*  oculto por que no debe modificarse*/
	$query_rsCatalog3 = sprintf("SELECT * FROM mh_cat_mushroom_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog3 = mysqli_query($connectMySql,$query_rsCatalog3);
	$row_rsCatalog3 = mysqli_fetch_assoc($rsCatalog3);
	$totalRows_rsCatalog3 = mysqli_num_rows($rsCatalog3);
    

	/* CATALOGO DE PEST INS */
	$query_rsCatalog4 = sprintf("SELECT * FROM mh_cat_pest_ins_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog4 = mysqli_query($connectMySql,$query_rsCatalog4);
	$row_rsCatalog4 = mysqli_fetch_assoc($rsCatalog4);
	$totalRows_rsCatalog4 = mysqli_num_rows($rsCatalog4);

	/* CATALOGO DE PEST FUNG */
	$query_rsCatalog5 = sprintf("SELECT * FROM mh_cat_pest_fung_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog5 = mysqli_query($connectMySql,$query_rsCatalog5);
	$row_rsCatalog5 = mysqli_fetch_assoc($rsCatalog5);
	$totalRows_rsCatalog5 = mysqli_num_rows($rsCatalog5);

	/* CATALOGO DE PEST DIS */
	$query_rsCatalog6 = sprintf("SELECT * FROM mh_cat_pest_dis_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog6 = mysqli_query($connectMySql,$query_rsCatalog6);
	$row_rsCatalog6 = mysqli_fetch_assoc($rsCatalog6);
	$totalRows_rsCatalog6 = mysqli_num_rows($rsCatalog6);

	/* CATALOGO DE PEST WOOD */
	$query_rsCatalog7 = sprintf("SELECT * FROM mh_cat_pest_wood_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog7 = mysqli_query($connectMySql,$query_rsCatalog7);
	$row_rsCatalog7 = mysqli_fetch_assoc($rsCatalog7);
	$totalRows_rsCatalog7 = mysqli_num_rows($rsCatalog7);

	/* CATALOGO DE PESTS */
	$query_rsCatalog8 = sprintf("SELECT * FROM mh_cat_pests_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog8 = mysqli_query($connectMySql,$query_rsCatalog8);
	$row_rsCatalog8 = mysqli_fetch_assoc($rsCatalog8);
	$totalRows_rsCatalog8 = mysqli_num_rows($rsCatalog8);

	/* CATALOGO DE DESEASES */
	$query_rsCatalog9 = sprintf("SELECT * FROM mh_cat_deseases_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog9 = mysqli_query($connectMySql,$query_rsCatalog9);
	$row_rsCatalog9 = mysqli_fetch_assoc($rsCatalog9);
	$totalRows_rsCatalog9 = mysqli_num_rows($rsCatalog9);

	/* CATALOGO DE DISORDERS */
	$query_rsCatalog10 = sprintf("SELECT * FROM mh_cat_disorders_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog10 = mysqli_query($connectMySql,$query_rsCatalog10);
	$row_rsCatalog10 = mysqli_fetch_assoc($rsCatalog10);
	$totalRows_rsCatalog10 = mysqli_num_rows($rsCatalog10);

	/* CATALOGO DE TYPES SPAWN */
	$query_rsCatalog11 = sprintf("SELECT * FROM mh_cat_types_spawn_tb WHERE hideField = 0 LIMIT 6;");
	//debug echo $query_rsCatalog3; //exit;
	$rsCatalog11 = mysqli_query($connectMySql,$query_rsCatalog11);
	$row_rsCatalog11 = mysqli_fetch_assoc($rsCatalog11);
	$totalRows_rsCatalog11 = mysqli_num_rows($rsCatalog11);

    /* CATALOGO DE SUPPLIERS */
    $query_rsCatalog12 = sprintf("SELECT * FROM mh_cat_suppliers_tb WHERE hideField = 0 LIMIT 6;");
    //debug echo $query_rsCatalog3; //exit;
    $rsCatalog12 = mysqli_query($connectMySql,$query_rsCatalog12);
    $row_rsCatalog12 = mysqli_fetch_assoc($rsCatalog12);
    $totalRows_rsCatalog12 = mysqli_num_rows($rsCatalog12);

    /* CATALOGO DE WATERING - IRRIGATION TECHNIQUE */
    $query_rsCatalog13 = sprintf("SELECT * FROM mh_cat_watering_tb WHERE hideField = 0 LIMIT 6;");
    //debug echo $query_rsCatalog13; //exit;
    $rsCatalog13 = mysqli_query($connectMySql,$query_rsCatalog13);
    $row_rsCatalog13 = mysqli_fetch_assoc($rsCatalog13);
    $totalRows_rsCatalog13 = mysqli_num_rows($rsCatalog13);

    /* CATALOGO DE FLY COUNT */
    $query_rsCatalog14 = sprintf("SELECT * FROM mh_cat_fly_count_tb WHERE hideField = 0 LIMIT 6;");
    $rsCatalog14 = mysqli_query($connectMySql,$query_rsCatalog14);
    $row_rsCatalog14 = mysqli_fetch_assoc($rsCatalog14);
    $totalRows_rsCatalog14 = mysqli_num_rows($rsCatalog14);

    
?>

<div id="crumb_nav">
	<span class="crumb_nav_btn loadContent" data-target="main" data-content="_phpEngine/home.php">Home</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_txt">Catalogs</span>
</div> 

<section class="padding_center">

    <!-- CAT. DE SUPPLEMENT -->
    <div class="catalog_container">
        <h3>Supplements</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog1['cat_id']; ?>_&_type_:_0"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog1['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog1 = mysqli_fetch_assoc($rsCatalog1)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_supplements"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_supplements"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE COMPOST 
    <div class="catalog_container">
        <h3>Compost</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog2['cat_id']; ?>_&_type_:_1"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog2['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog2 = mysqli_fetch_assoc($rsCatalog2)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_composts"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_composts"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>-->
   
   <!-- CAT. DE MUSHROOM VARIETIES               oculto por que no debe modificarse -->
    <div class="catalog_container">
        <h3>Mushroom Variety</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog3['cat_id']; ?>_&_type_:_2"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog3['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog3 = mysqli_fetch_assoc($rsCatalog3)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_mushroom"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_mushroom"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE PEST INS -->
    <div class="catalog_container">
        <h3>Insecticide</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog4['cat_id']; ?>_&_type_:_3"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog4['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog4 = mysqli_fetch_assoc($rsCatalog4)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_pest_ins"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_pest_ins"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE PEST FUNG -->
    <div class="catalog_container">
        <h3>Fungicides</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog5['cat_id']; ?>_&_type_:_4"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog5['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog5 = mysqli_fetch_assoc($rsCatalog5)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_pest_fung"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_pest_fung"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE PEST DIS -->
    <div class="catalog_container">
        <h3>Disinfectants</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog6['cat_id']; ?>_&_type_:_5"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog6['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog6 = mysqli_fetch_assoc($rsCatalog6)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_pest_dis"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_pest_dis"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

      
    <!-- CAT. DE PEST WOOD -->
    <div class="catalog_container">
        <h3>Wood Preservatives</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog7['cat_id']; ?>_&_type_:_6"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog7['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog7 = mysqli_fetch_assoc($rsCatalog7)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_pest_wood"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_pest_wood"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE PESTS -->
    <div class="catalog_container">
        <h3>Pests</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog8['cat_id']; ?>_&_type_:_7"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog8['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog8 = mysqli_fetch_assoc($rsCatalog8)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_pests"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_pests"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE DESEASES -->
    <div class="catalog_container">
        <h3>Diseases</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog9['cat_id']; ?>_&_type_:_8"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog9['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog9 = mysqli_fetch_assoc($rsCatalog9)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_deseases"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_deseases"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE DISORDERS -->
    <div class="catalog_container">
        <h3>Disorders</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog10['cat_id']; ?>_&_type_:_9"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog10['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog10 = mysqli_fetch_assoc($rsCatalog10)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_disorders"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_disorders"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE TYPES OF SPAWN -->
    <div class="catalog_container">
        <h3>Spawn Strain</h3>
        <section class="catalog_container_item">
			<?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog11['cat_id']; ?>_&_type_:_10"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog11['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog11 = mysqli_fetch_assoc($rsCatalog11)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_types_spawn"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_types_spawn"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>


     <!-- CAT. DE SUPPLIERS  -->
    <div class="catalog_container">
        <h3>Compost list</h3>
        <section class="catalog_container_item">
            <?php $count = 1; do { ?>
                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog12['cat_id']; ?>_&_type_:_11"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog12['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog12 = mysqli_fetch_assoc($rsCatalog12)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_suppliers"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_suppliers"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>



    <!-- CAT. DE WATERING - IRRIGATION TECHNIQUE  -->
    <div class="catalog_container">
        <h3>Irrigation Employee</h3>
        <section class="catalog_container_item">
            <?php $count = 1; do { ?>

                <p class="catalog_item transition" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog13['cat_id']; ?>_&_type_:_12"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog13['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog13 = mysqli_fetch_assoc($rsCatalog13)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_watering"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_watering"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div>

    <!-- CAT. DE FLY COUNT 
    <div class="catalog_container">
        <h3>Fly Count</h3>
        <section class="catalog_container_item">
            <?php $count = 1; do { ?>
                <p class="catalog_item transition loadContent" data-target="curtain" data-content="_adminAssets/_catalogs/options.php" data-post="id_:_<?php echo $row_rsCatalog14['cat_id']; ?>_&_type_:_10"><span><?php echo $count.'.'; ?></span> <?php echo $row_rsCatalog14['cat_value']; ?></p>
            <?php $count++; } while( $row_rsCatalog14 = mysqli_fetch_assoc($rsCatalog14)); ?>
        </section>
        <?php if( $thisUser->user_profile != 4 ) { ?>
        <div class="catalog_btn_container">
            <span class="catalog_btn_add loadContent" data-target="curtain" data-content="_sudiEngine/_engine/manage_engine.php" data-post="folder_:__adminAssets/_catalog_fly_count"><i class="icon icon-iconos-sudi-plus-2"></i> Add</span>
            <span class="catalog_btn_edit loadContent" data-target="main" data-content="_sudiEngine/_engine/list_engine.php" data-post="folder_:__adminAssets/_catalog_fly_count"><i class="icon icon-iconos-sudi-search-right-2"></i> Show</span>
        </div>
        <?php } ?>
    </div

-->
  
</section>
 