<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] COMPOST 		LISTA DE COMPOSTA    ( own, proveedor1, proveedor2, proveedor3 )
	
Desarrollador: Selene Herrera 
Fecha: 5 abril 2021
 
*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';

$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


  // $db = $_COOKIE['db_client'];
    $login_client_company = $_POST['client'];

  // $m = $_COOKIE['user_mail'];
    $m = $_POST['mail'];


      if(isset($login_client_company) && $login_client_company != NULL){


      if(isset($login_client_company)){
          $db_client = $login_client_company;
          // $_SESSION['client'] = $_COOKIE['cli_db_name'];
  
      }

     
    $hostname_connectMySql = "localhost";

      $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
      $result = mysqli_query($GLOBALS['connectMySql'], $sql);
      $client_data = mysqli_fetch_assoc($result);

      $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
      $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
      $password_connectMySql = $client_data['cli_db_pass'];

      //unset($connection);
    

      $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
      $GLOBALS['connectMySqluser'] = $connectMySqluser;
      if (mysqli_connect_errno()) {
          echo "error";
          printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
          exit();
      }

    
  }



  
// [D] checkparameter
  // #Genera todas la funciones de NEXT STEP   Form 2 
  // #Se activa: Si existe "POST - checkparameter"

 if($_POST['checkparameter']){
  /* C O D E */


  $double_id =        $_POST['current_d'];
  $user_id =          $_POST['user_id'];
  $step =             $_POST['current_step'];

  $jsondata = array();
  $jsondata['checkpar']=array();

    $query_rsUpdateCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" , $double_id);

          // echo $query_rsUpdateCode;
          // exit;
          $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
          $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
          $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

          if ($totalRows_rsUpdateCode) {


          switch ($step) {

            //Form 2
            case 2:

                  $par2_yards_compost = 'par2_yards_compost'; 
                  $script = $par2_yards_compost;

                  $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
                    );

                  // echo $query_rsData;

                  $rsData = mysqli_query($connectMySqluser,$query_rsData);
                  $row_rsData = mysqli_fetch_assoc($rsData);
                  $totalRows_rsData = mysqli_num_rows($rsData);

                    do{

                      array_push($jsondata['checkpar'],array(
                          $par2_yards_compost => $row_rsData[$par2_yards_compost]
                      ));


                    }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;




         
            
            //Form 3
            case 4:
                            $par1_compost_supplier = 'par1_compost_supplier'; 
                            $par1_spawn_strain = 'par1_spawn_strain'; 

                            $par3_tons_compost = 'par3_tons_compost';  
                            $par3_moisture = 'par3_moisture';  
                            $par3_amonia = 'par3_amonia';  
                            $par3_tempeture_override = 'par3_tempeture_override';  
                            $par3_molds = 'par3_molds';  
                            $par3_odor = 'par3_odor';  
                            $par3_timing = 'par3_timing'; 

                            $script = $par1_compost_supplier . ',' . $par1_spawn_strain . ',' . $par3_tons_compost . ',' . $par3_moisture . ',' . $par3_amonia . ',' . $par3_tempeture_override . ',' . $par3_molds . ',' . $par3_odor  . ',' . $par3_timing;



                            $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                  WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                 $script, $double_id, $row_rsUpdateCode['dbl_folio']
                              );

                             // echo $query_rsData;

                            $rsData = mysqli_query($connectMySqluser,$query_rsData);
                            $row_rsData = mysqli_fetch_assoc($rsData);
                            $totalRows_rsData = mysqli_num_rows($rsData);

                              do{

                                array_push($jsondata['checkpar'],array(
                                    $par1_compost_supplier => $row_rsData[$par1_compost_supplier],
                                    $par1_spawn_strain => $row_rsData[$par1_spawn_strain],
                                    $par3_tons_compost => $row_rsData[$par3_tons_compost],
                                    $par3_moisture => $row_rsData[$par3_moisture],
                                    $par3_amonia => $row_rsData[$par3_amonia],
                                    $par3_tempeture_override => $row_rsData[$par3_tempeture_override],
                                    $par3_molds => $row_rsData[$par3_molds],
                                    $par3_odor => $row_rsData[$par3_odor],
                                    $par3_timing => $row_rsData[$par3_timing]

                                ));


                              }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;
  
            //Form 4
            case 6:
                                  $par4_moisture = 'par4_moisture';  
                                  $par4_bed_temp = 'par4_bed_temp';  
                                  $par4_maturity = 'par4_maturity';  
                                  $par4_smell = 'par4_smell';  
                                  $par4_mycelium_looks = 'par4_mycelium_looks'; 

                                  $script = $par4_moisture . ',' . $par4_bed_temp . ',' . $par4_maturity  . ',' . $par4_smell . ',' . $par4_mycelium_looks;

                                  $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                      WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                     $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                  );

                                 // echo $query_rsData;

                                $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                $row_rsData = mysqli_fetch_assoc($rsData);
                                $totalRows_rsData = mysqli_num_rows($rsData);

                                  do{

                                    array_push($jsondata['checkpar'],array(
                                        $par4_moisture => $row_rsData[$par4_moisture],
                                        $par4_bed_temp => $row_rsData[$par4_bed_temp],
                                        $par4_maturity => $row_rsData[$par4_maturity],
                                        $par4_smell => $row_rsData[$par4_smell],
                                        $par4_mycelium_looks => $row_rsData[$par4_mycelium_looks]

                                    ));


                                  }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;

            //Form 5
            case 8:
                                        $par5_casing_inoculum = 'par5_casing_inoculum';  
                                        $par5_casing_moisture = 'par5_casing_moisture';  
                                        $par5_ci_growth = 'par5_ci_growth';  
                                        $par5_ci_timing = 'par5_ci_timing';  
                                        $par5_amount_pins ='par5_amount_pins';  
                                        $par5_stagger = 'par5_stagger';  
                                        $par5_coverage = 'par5_coverage';  
                                        $par5_timing = 'par5_timing'; 

                                        $script = $par5_casing_inoculum . ',' . $par5_casing_moisture . ',' . $par5_ci_growth  . ',' . $par5_ci_timing . ',' . $par5_amount_pins . ',' . $par5_stagger . ',' . $par5_coverage  . ',' .  $par5_timing;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                            WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                           $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                        );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par5_casing_inoculum => $row_rsData[$par5_casing_inoculum],
                                              $par5_casing_moisture => $row_rsData[$par5_casing_moisture],
                                              $par5_ci_growth => $row_rsData[$par5_ci_growth],
                                              $par5_ci_timing => $row_rsData[$par5_ci_timing],
                                              $par5_amount_pins => $row_rsData[$par5_amount_pins],
                                              $par5_stagger => $row_rsData[$par5_stagger],
                                              $par5_coverage => $row_rsData[$par5_coverage],
                                              $par5_timing => $row_rsData[$par5_timing]
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;

            //Form 6
            case 10:

                                  $par6_size_mush = 'par6_size_mush';  
                                  $par6_color = 'par6_color';  
                                  $par6_dirt = 'par6_dirt';  
                                  $par6_strength_mush = 'par6_strength_mush';  
                                  $par6_scale = 'par6_scale';  
                                  $par6_how_harvesters_prepped = 'par6_how_harvesters_prepped';

                                  $script = $par6_size_mush . ',' . $par6_color . ',' . $par6_dirt  . ',' . $par6_strength_mush . ',' . $par6_scale . ',' . $par6_how_harvesters_prepped;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                            WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                           $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                        );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par6_size_mush => $row_rsData[$par6_size_mush],
                                              $par6_color => $row_rsData[$par6_color],
                                              $par6_dirt => $row_rsData[$par6_dirt],
                                              $par6_strength_mush => $row_rsData[$par6_strength_mush],
                                              $par6_scale => $row_rsData[$par6_scale],
                                              $par6_how_harvesters_prepped => $row_rsData[$par6_how_harvesters_prepped]
                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;

            //Form 7
            case 12:

                            $par7_size_mush = 'par7_size_mush';  
                            $par7_color = 'par7_color';  
                            $par7_dirt = 'par7_dirt';  
                            $par7_strength_mush = 'par7_strength_mush';  
                            $par7_scale = 'par7_scale';  
                            $par7_how_harvesters_prepped = 'par7_how_harvesters_prepped';        

                            $script = $par7_size_mush . ',' . $par7_color . ',' . $par7_dirt  . ',' . $par7_strength_mush . ',' . $par7_scale . ',' . $par7_how_harvesters_prepped;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                            WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                           $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                        );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par7_size_mush => $row_rsData[$par7_size_mush],
                                              $par7_color => $row_rsData[$par7_color],
                                              $par7_dirt => $row_rsData[$par7_dirt],
                                              $par7_strength_mush => $row_rsData[$par7_strength_mush],
                                              $par7_scale => $row_rsData[$par7_scale],
                                              $par7_how_harvesters_prepped => $row_rsData[$par7_how_harvesters_prepped]
                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;

            //Form 8
            case 14:

                      $par8_size_mush = 'par8_size_mush';  
                      $par8_color = 'par8_color';  
                      $par8_dirt = 'par8_dirt';  
                      $par8_strength_mush = 'par8_strength_mush';  
                      $par8_scale = 'par8_scale';  
                      $par8_how_harvesters_prepped = 'par8_how_harvesters_prepped'; 

                      $script = $par8_size_mush . ',' . $par8_color . ',' . $par8_dirt  . ',' . $par8_strength_mush . ',' . $par8_scale . ',' . $par8_how_harvesters_prepped;

                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                            WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                           $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                        );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par8_size_mush => $row_rsData[$par8_size_mush],
                                              $par8_color => $row_rsData[$par8_color],
                                              $par8_dirt => $row_rsData[$par8_dirt],
                                              $par8_strength_mush => $row_rsData[$par8_strength_mush],
                                              $par8_scale => $row_rsData[$par8_scale],
                                              $par8_how_harvesters_prepped => $row_rsData[$par8_how_harvesters_prepped]
                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;
      
          }

          header('Content-type: application/json; charset=utf-8');
            echo json_encode($jsondata);
          exit();


        }
   


}





// [C] update
  // #Genera todas la funciones de NEXT STEP   Form 2 
  // #Se activa: Si existe "POST - update"

 if($_POST['update']){
  /* C O D E */


  $double_id =        $_POST['double_id'];
  $user_id =          $_POST['user_id'];
  $step =             $_POST['step'];
  $date =             $_POST['date'];


        
            $user_add = 'user_add='.$user_id;
            // $date_add = 'date_add='.$date;

         

            $par_dbl_id = 'par_dbl_id='.$double_id;

            // echo 'echo 2';
            // exit;
     
// $script
/*Se declaran las variables, si tienen post  o si vienen vacios*/
  // SELECT * FROM `mh_doubles_tb` ORDER BY `mh_doubles_tb`.`dbl_folio` ASC 
    $query_rsUpdateCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" , $double_id);

          // echo $query_rsUpdateCode;
          // exit;
          $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
          $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
          $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

          if ($totalRows_rsUpdateCode) {

          switch ($step) {

            //Form 2
            case 2:

                  $par2_yards_compost = ($_POST['par2_yards_compost'] == '') ? '': 'par2_yards_compost='.$_POST['par2_yards_compost']; 
                  $script = $par2_yards_compost;
            break;




            
            
            //Form 3
            case 4:
                            $par1_compost_supplier = ($_POST['par1_compost_supplier'] == '') ? '': 'par1_compost_supplier='.$_POST['par1_compost_supplier']; 
                            $par1_spawn_strain = ($_POST['par1_spawn_strain'] == '') ? '': 'par1_spawn_strain='.$_POST['par1_spawn_strain']; 

                            $par3_tons_compost = ($_POST['par3_tons_compost'] == '') ? '': 'par3_tons_compost='.$_POST['par3_tons_compost'];  
                            $par3_moisture = ($_POST['par3_moisture'] == '') ? '': 'par3_moisture='.$_POST['par3_moisture'];  
                            $par3_amonia = ($_POST['par3_amonia'] == '') ? '': 'par3_amonia='.$_POST['par3_amonia'];  
                            $par3_tempeture_override = ($_POST['par3_tempeture_override'] == '') ? '': 'par3_tempeture_override='.$_POST['par3_tempeture_override'];  
                            $par3_molds = ($_POST['par3_molds'] == '') ? '': 'par3_molds='.$_POST['par3_molds'];  
                            $par3_odor = ($_POST['par3_odor'] == '') ? '': 'par3_odor='.$_POST['par3_odor'];  
                            $par3_timing = ($_POST['par3_timing'] == '') ? '': 'par3_timing='.$_POST['par3_timing']; 

                            $script = $par1_compost_supplier . ',' . $par1_spawn_strain . ',' . $par3_tons_compost . ',' . $par3_moisture . ',' . $par3_amonia . ',' . $par3_tempeture_override . ',' . $par3_molds . ',' . $par3_odor  . ',' . $par3_timing;
            break;

            //Form 4
            case 6:
                                  $par4_moisture = ($_POST['par4_moisture'] == '') ? '': 'par4_moisture='.$_POST['par4_moisture'];  
                                  $par4_bed_temp = ($_POST['par4_bed_temp'] == '') ? '': 'par4_bed_temp='.$_POST['par4_bed_temp'];  
                                  $par4_maturity = ($_POST['par4_maturity'] == '') ? '': 'par4_maturity='.$_POST['par4_maturity'];  
                                  $par4_smell = ($_POST['par4_smell'] == '') ? '': 'par4_smell='.$_POST['par4_smell'];  
                                  $par4_mycelium_looks = ($_POST['par4_mycelium_looks'] == '') ? '': 'par4_mycelium_looks='.$_POST['par4_mycelium_looks']; 

                                  $script = $par4_moisture . ',' . $par4_bed_temp . ',' . $par4_maturity  . ',' . $par4_smell . ',' . $par4_mycelium_looks;
            break;

            //Form 5
            case 8:
                                        $par5_casing_inoculum = ($_POST['par5_casing_inoculum'] == '') ? '': 'par5_casing_inoculum='.$_POST['par5_casing_inoculum'];  
                                        $par5_casing_moisture = ($_POST['par5_casing_moisture'] == '') ? '': 'par5_casing_moisture='.$_POST['par5_casing_moisture'];  
                                        $par5_ci_growth = ($_POST['par5_ci_growth'] == '') ? '': 'par5_ci_growth='.$_POST['par5_ci_growth'];  
                                        $par5_ci_timing = ($_POST['par5_ci_timing'] == '') ? '': 'par5_ci_timing='.$_POST['par5_ci_timing'];  
                                        $par5_amount_pins = ($_POST['par5_amount_pins'] == '') ? '': 'par5_amount_pins='.$_POST['par5_amount_pins'];  
                                        $par5_stagger = ($_POST['par5_stagger'] == '') ? '': 'par5_stagger='.$_POST['par5_stagger'];  
                                        $par5_coverage = ($_POST['par5_coverage'] == '') ? '': 'par5_coverage='.$_POST['par5_coverage'];  
                                        $par5_timing = ($_POST['par5_timing'] == '') ? '': 'par5_timing='.$_POST['par5_timing']; 

                                        $script = $par5_casing_inoculum . ',' . $par5_casing_moisture . ',' . $par5_ci_growth  . ',' . $par5_ci_timing . ',' . $par5_amount_pins . ',' . $par5_stagger . ',' . $par5_coverage  . ',' .  $par5_timing;

            break;

            //Form 6
            case 10:

                                  $par6_size_mush = ($_POST['par6_size_mush'] == '') ? '': 'par6_size_mush='.$_POST['par6_size_mush'];  
                                  $par6_color = ($_POST['par6_color'] == '') ? '': 'par6_color='.$_POST['par6_color'];  
                                  $par6_dirt = ($_POST['par6_dirt'] == '') ? '': 'par6_dirt='.$_POST['par6_dirt'];  
                                  $par6_strength_mush = ($_POST['par6_strength_mush'] == '') ? '': 'par6_strength_mush='.$_POST['par6_strength_mush'];  
                                  $par6_scale = ($_POST['par6_scale'] == '') ? '': 'par6_scale='.$_POST['par6_scale'];  
                                  $par6_how_harvesters_prepped = ($_POST['par6_how_harvesters_prepped'] == '') ? '': 'par6_how_harvesters_prepped='.$_POST['par6_how_harvesters_prepped'];

                                  $script = $par6_size_mush . ',' . $par6_color . ',' . $par6_dirt  . ',' . $par6_strength_mush . ',' . $par6_scale . ',' . $par6_how_harvesters_prepped;
            break;

            //Form 7
            case 12:

                            $par7_size_mush = ($_POST['par7_size_mush'] == '') ? '': 'par7_size_mush='.$_POST['par7_size_mush'];  
                            $par7_color = ($_POST['par7_color'] == '') ? '': 'par7_color='.$_POST['par7_color'];  
                            $par7_dirt = ($_POST['par7_dirt'] == '') ? '': 'par7_dirt='.$_POST['par7_dirt'];  
                            $par7_strength_mush = ($_POST['par7_strength_mush'] == '') ? '': 'par7_strength_mush='.$_POST['par7_strength_mush'];  
                            $par7_scale = ($_POST['par7_scale'] == '') ? '': 'par7_scale='.$_POST['par7_scale'];  
                            $par7_how_harvesters_prepped = ($_POST['par7_how_harvesters_prepped'] == '') ? '': 'par7_how_harvesters_prepped='.$_POST['par7_how_harvesters_prepped'];        

                            $script = $par7_size_mush . ',' . $par7_color . ',' . $par7_dirt  . ',' . $par7_strength_mush . ',' . $par7_scale . ',' . $par7_how_harvesters_prepped;
            break;

            //Form 8
            case 14:

                      $par8_size_mush = ($_POST['par8_size_mush'] == '') ? '': 'par8_size_mush='.$_POST['par8_size_mush'];  
                      $par8_color = ($_POST['par8_color'] == '') ? '': 'par8_color='.$_POST['par8_color'];  
                      $par8_dirt = ($_POST['par8_dirt'] == '') ? '': 'par8_dirt='.$_POST['par8_dirt'];  
                      $par8_strength_mush = ($_POST['par8_strength_mush'] == '') ? '': 'par8_strength_mush='.$_POST['par8_strength_mush'];  
                      $par8_scale = ($_POST['par8_scale'] == '') ? '': 'par8_scale='.$_POST['par8_scale'];  
                      $par8_how_harvesters_prepped = ($_POST['par8_how_harvesters_prepped'] == '') ? '': 'par8_how_harvesters_prepped='.$_POST['par8_how_harvesters_prepped']; 

                      $script = $par8_size_mush . ',' . $par8_color . ',' . $par8_dirt  . ',' . $par8_strength_mush . ',' . $par8_scale . ',' . $par8_how_harvesters_prepped;

            break;
           
        
          }
     

          $query_rsData = sprintf("UPDATE app_parameters_tb SET 

                  %s,
                  %s,
                date_add='%s' 
                WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
               $script, 
              $user_add, $date, $double_id, $row_rsUpdateCode['dbl_folio']
            );

          echo $query_rsData;

          $rsData = mysqli_query($connectMySqluser,$query_rsData);
          $row_rsData = mysqli_fetch_assoc($rsData);
          $totalRows_rsData = mysqli_num_rows($rsData);
        


        }
   


}





?>