<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] COMPOST 		LISTA DE COMPOSTA    ( own, proveedor1, proveedor2, proveedor3 )
	
Desarrollador: Selene Herrera 
Fecha: 5 abril 2021

*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}




  
// [A] COMPOSTA   START
	// #Genera todas la funciones de START 
	// #Se activa: Si existe "POST - startproces"

if($_POST['start']){
	 // echo 'hi';
  // exit;

  $jsondata = array();
  /* C O D E */
  $jsondata['process']=array();

  $pspawnstrain =  $_POST['pspawnstrain'];
  $compost =  $_POST['compost'];

  //step seleccionado
  $process_step =  $_POST['process_step'];

  //tipo de Mushroom white 0- or brown 1- acompaña a el folio
  $pmush =  $_POST['pmush'];

  // Important comments
  $par1_comments = "'" . $_POST['par1_comments'] . "'";

  $pspawnunits =  $_POST['pspawnunits'];
  $phousesize =  $_POST['phousesize'];
  $par1_wood = $_POST['par1_wood'];
  $ptexture_length =  $_POST['ptexture_length'];
  $ptexture_color =  $_POST['ptexture_color'];
  $ptexture_squeeze =  $_POST['ptexture_squeeze'];
  $ptexture_density =  $_POST['ptexture_density'];
  $date =  $_POST['date'];
  $user_id = $_POST['user_id'];
  $double_id = $_POST['double_id'];


  /* serializado del compost texture*/
  $arraySubprocess = array();  

    array_push($arraySubprocess,array(
    'length' =>  $ptexture_length,
    'color' =>   $ptexture_color,
    'squeeze' => $ptexture_squeeze,
    'density' => $ptexture_density
    ));

  $par_compost_texture = serialize($arraySubprocess);
  // $par_compost_texture  = 'par_compost_texture='.$ser_subp;
  /* end serializado del compost texture*/
  
  $code = randomCode(6);
  $code_Mush = $pmush.'-'.$code;

 // query para insertar el folio en la tabla app_fols_tb
  $query_rsData = sprintf("INSERT INTO app_fols_tb( fol_folio, fol_avaible, date_add, hideField) 
				VALUES ('%s',%s, '%s',0)", $code_Mush, 1, $date
  );

   // echo $query_rsData;
  $rsData = mysqli_query($connectMySqluser,$query_rsData);
  $row_rsData = mysqli_fetch_assoc($rsData);
  $totalRows_rsData = mysqli_num_rows($rsData);
   // exit;
        if($rsData){

        	
	    // query para actualizar el folio y la fase en la tabla mh_doubles_tb
        	$query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = %s, dbl_finish=0, dbl_folio= '%s', dbl_type_compost = %s, user_add =%s WHERE dbl_id= %s" ,$process_step, $code_Mush, $compost, $user_id, $double_id);

        	// echo $query_rsUpdateCode;
        	// exit;
	        $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
	        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
	        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

	        if($rsUpdateCode){
	        	  // query para insertar el folio a la tabla app_parameters_tb

//             par1_comments
// par3_comments
// par4_comments
// par5_comments
// par6_comments
// par7_comments
// par8_comments

            $query_rsData2 = sprintf("INSERT INTO app_parameters_tb
                (par_dbl_id, par_folio, 
                par1_compost_supplier, par1_spawn_units, par1_compost_texture, par1_house_size, par1_spawn_strain, par1_wood, par1_comments,
                par2_yards_compost, 
                par3_tons_compost, par3_moisture, par3_amonia, par3_tempeture_override, par3_molds, par3_odor, par3_timing, par3_timing_clear, par3_compost_ph, par3_comments,
                par4_moisture, par4_bed_temp, par4_maturity, par4_smell, par4_mycelium_looks, par4_compost_ph, par4_casing_inoculum, par4_comments,
                par5_compost_ph, par5_casing_moisture, par5_ci_growth, par5_ci_timing, par5_amount_pins, par5_stagger, par5_coverage, par5_timing, par5_comments, 
                par6_size_mush, par6_color, par6_dirt, par6_strength_mush, par6_scale, par6_comments,
                par7_size_mush, par7_color, par7_dirt, par7_strength_mush, par7_scale, par7_comments,
                par8_size_mush, par8_color, par8_dirt, par8_strength_mush, par8_scale, par8_comments,
                user_add, date_add, hideField) 

                        /*par_dbl_id, par_folio,*/
                VALUES (%s, '%s',
                '0', '0', '0', '0', '0', '0', '',
                '0',
                '0', '0', '0', '0', '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '',
                 %s, '%s', '0')", $double_id,$code_Mush,$user_id,$date );
              // echo $query_rsData2;
              // exit;
            $rsData2 = mysqli_query($connectMySqluser,$query_rsData2);
            $row_rsData2 = mysqli_fetch_assoc($rsData2);
            $totalRows_rsData = mysqli_num_rows($rsData2);

            if ($rsData2) {
              // query que sirve para actualizar los valores en la tabla app_parameters_tb
              

            $user_add = 'user_add='.$user_id;
            // $date_add = 'date_add='.$date;

            $par_compost_type = 'par1_compost_supplier='.$compost;
            $par_dbl_id = 'par_dbl_id='.$double_id;
            $par_spawn_strain = 'par1_spawn_strain='.$pspawnstrain;
            $par_spawn_units = 'par1_spawn_units='.$pspawnunits;
            $par_house_size = 'par1_house_size='.$phousesize;
            $par1_wood = 'par1_wood='.$par1_wood;
            $par1_comments = 'par1_comments='.$par1_comments;

             $query_rsData3 = sprintf("UPDATE app_parameters_tb SET par1_compost_texture='%s' , date_add='%s' , %s , %s , %s , %s , %s, %s, %s, %s WHERE par_folio= '%s'", $par_compost_texture, $date, $user_add, $par_compost_type,  $par_dbl_id, $par_spawn_strain , $par_spawn_units, $par_house_size, $par1_wood, $par1_comments, $code_Mush
           );

           
          $rsData3 = mysqli_query($connectMySqluser,$query_rsData3);
          $row_rsData3 = mysqli_fetch_assoc($rsData3);
          $totalRows_rsData3 = mysqli_num_rows($rsData3);

          if ($rsData3) {
            //si se hizo el update a la tabla app_parameters_tb
              $st = 'START PROCESS';
            // echo '1';
              
              $query_rsDataV = sprintf("INSERT INTO app_values2_tb 
              (v_dbl_id, 
              v_unit_id, v_value_cat, v_unit_cat_id, v_type_unit, v_phase, 
              v_data, v_value, 
              v_folio,
            
              v_bed, v_type_compost,
              user_add, date_add) 
              VALUES (%s,
              %s, %s, %s, %s, %s,
              %s, '%s', 
              '%s',
              %s , %s,
              %s, '%s')",  
              $double_id, 
              0, 0, 0, 0, 0,
              0, $st,
              $code_Mush,
              0 , $compost,
              $user_id , $date);
            

            $rsDataV = mysqli_query($connectMySqluser,$query_rsDataV);
            if($rsDataV){
            $row_rsDataV = mysqli_fetch_assoc($rsDataV);
            $totalRows_rsDataV = mysqli_num_rows($rsDataV);
                echo '1';
                   // echo $query_rsData3;
                  
                }else{
                //no se hizo el update
                // echo $query_rsDataV;
                echo 'no_ok';
                   
            } 

          }else {
            echo $query_rsData3;
          }

            }else{
               // echo $query_rsData2;
               // echo 'no_ok query_rsData2';

            }

	       	}else{
	        //no se hizo el update
 
	             // echo 'no_ok query_rsUpdateCode';
	           // echo $query_rsUpdateCode ;
	        }

       	}

}


// [B] COMPOSTA   RESTART
	// #Genera todas la funciones de RESTART 
	// #Se activa: Si existe "POST - startproces"

if($_POST['restart']){
	 // echo 'hi';
  // exit;

  $jsondata = array();
  /* C O D E */
  $jsondata['process']=array();

  $pspawnstrain =  $_POST['pspawnstrain'];
  $compost =  $_POST['compost'];

  //step seleccionado
  $process_step =  $_POST['process_step'];

  //tipo de Mushroom white 0- or brown 1- acompaña a el folio
  $pmush =  $_POST['pmush'];

 

  $pspawnunits =  $_POST['pspawnunits'];
  $phousesize =  $_POST['phousesize'];
  $par1_wood = $_POST['par1_wood'];
  $ptexture_length =  $_POST['ptexture_length'];
  $ptexture_color =  $_POST['ptexture_color'];
  $ptexture_squeeze =  $_POST['ptexture_squeeze'];
  $ptexture_density =  $_POST['ptexture_density'];
  $date =  $_POST['date'];
  $user_id = $_POST['user_id'];
  $double_id = $_POST['double_id'];
  // Important comments
  $par1_comments = "'" . $_POST['par1_comments'] . "'";

   /* serializado del compost texture*/
  $arraySubprocess = array();  

    array_push($arraySubprocess,array(
    'length' =>  $ptexture_length,
    'color' =>   $ptexture_color,
    'squeeze' => $ptexture_squeeze,
    'density' => $ptexture_density
    ));

  $par_compost_texture = serialize($arraySubprocess);
  // $par_compost_texture  = 'par_compost_texture='.$ser_subp;
  /* end serializado del compost texture*/

  do{
   $code = randomCode(6);
   $code_Mush =  $pmush.'-'.$code;
 
  // query revisa el folio no esté duplicado
  $query_rsDataCode = sprintf("SELECT * FROM app_fols_tb WHERE fol_folio = '%s' and  hideField = 0", $code_Mush);

    
  $rsDataCode = mysqli_query($connectMySqluser,$query_rsDataCode);
  $row_rsDataCode = mysqli_fetch_assoc($rsDataCode);
  $totalRows_rsDataCode = mysqli_num_rows($rsDataCode);
 

  }while ($totalRows_rsDataCode == 1);


// exit;
 // query para insertar el folio en la tabla app_fols_tb
  $query_rsData = sprintf("INSERT INTO app_fols_tb( fol_folio, fol_avaible, date_add, hideField) 
				VALUES ('%s',%s, '%s',0)", $code_Mush, 1, $date
  );

   // echo $query_rsData;
  $rsData = mysqli_query($connectMySqluser,$query_rsData);
  $row_rsData = mysqli_fetch_assoc($rsData);
  $totalRows_rsData = mysqli_num_rows($rsData);
   // exit;
        if($rsData){
	    // query para actualizar el folio y la fase en la tabla mh_doubles_tb
        	$query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = %s, dbl_finish=0, dbl_folio= '%s', dbl_type_compost = %s, user_add =%s WHERE dbl_id= %s" ,$process_step, $code_Mush, $compost, $user_id, $double_id);

        	
	        $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
	        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
	        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

	        // echo $query_rsUpdateCode;
        	// exit;
	        if($rsUpdateCode){
              // query para insertar el folio a la tabla app_parameters_tb

//             par1_comments
// par3_comments
// par4_comments
// par5_comments
// par6_comments
// par7_comments
// par8_comments
            $query_rsData2 = sprintf("INSERT INTO app_parameters_tb
                (par_dbl_id, par_folio, 
                par1_compost_supplier, par1_spawn_units, par1_compost_texture, par1_house_size, par1_spawn_strain, par1_wood, par1_comments,
                par2_yards_compost, 
                par3_tons_compost, par3_moisture, par3_amonia, par3_tempeture_override, par3_molds, par3_odor, par3_timing, par3_timing_clear, par3_compost_ph, par3_comments,
                par4_moisture, par4_bed_temp, par4_maturity, par4_smell, par4_mycelium_looks, par4_compost_ph, par4_casing_inoculum, par4_comments,
                par5_compost_ph, par5_casing_moisture, par5_ci_growth, par5_ci_timing, par5_amount_pins, par5_stagger, par5_coverage, par5_timing, par5_comments, 
                par6_size_mush, par6_color, par6_dirt, par6_strength_mush, par6_scale, par6_comments,
                par7_size_mush, par7_color, par7_dirt, par7_strength_mush, par7_scale, par7_comments,
                par8_size_mush, par8_color, par8_dirt, par8_strength_mush, par8_scale, par8_comments,
                user_add, date_add, hideField) 

                        /*par_dbl_id, par_folio,*/
                VALUES (%s, '%s',
                '0', '0', '0', '0', '0', '0', '',
                '0',
                '0', '0', '0', '0', '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '',
                '0', '0', '0', '0', '0', '',
                 %s, '%s', '0')", $double_id,$code_Mush,$user_id,$date );

              // echo $query_rsData2;
              // exit;
            $rsData2 = mysqli_query($connectMySqluser,$query_rsData2);
            $row_rsData2 = mysqli_fetch_assoc($rsData2);
            $totalRows_rsData = mysqli_num_rows($rsData2);

            if ($rsData2) {
              // query que sirve para actualizar los valores en la tabla app_parameters_tb
              

            $user_add = 'user_add='.$user_id;
            // $date_add = 'date_add='.$date;

            $par_compost_type = 'par1_compost_supplier='.$compost;
            $par_dbl_id = 'par_dbl_id='.$double_id;
            $par_spawn_strain = 'par1_spawn_strain='.$pspawnstrain;
            $par_spawn_units = 'par1_spawn_units='.$pspawnunits;
            $par_house_size = 'par1_house_size='.$phousesize;
            $par1_wood = 'par1_wood='.$par1_wood;
            $par1_comments = 'par1_comments='.$par1_comments;

             $query_rsData3 = sprintf("UPDATE app_parameters_tb SET par1_compost_texture='%s' , date_add='%s' , %s , %s , %s , %s , %s, %s, %s, %s WHERE par_folio= '%s'", $par_compost_texture, $date, $user_add, $par_compost_type,  $par_dbl_id, $par_spawn_strain , $par_spawn_units, $par_house_size, $par1_wood, $par1_comments, $code_Mush
           );

           
          $rsData3 = mysqli_query($connectMySqluser,$query_rsData3);
          $row_rsData3 = mysqli_fetch_assoc($rsData3);
          $totalRows_rsData3 = mysqli_num_rows($rsData3);

          if ($rsData3) {
            //si se hizo el update a la tabla app_parameters_tb
              $st = 'RESTART PROCESS';
            // echo '1';
              
              $query_rsDataV = sprintf("INSERT INTO app_values2_tb 
              (v_dbl_id, 
              v_unit_id, v_value_cat, v_unit_cat_id, v_type_unit, v_phase, 
              v_data, v_value, 
              v_folio,
            
              v_bed, v_type_compost,
              user_add, date_add) 
              VALUES (%s,
              %s, %s, %s, %s, %s,
              %s, '%s', 
              '%s',
              %s , %s,
              %s, '%s')",  
              $double_id, 
              0, 0, 0, 0, 0,
              0, $st,
              $code_Mush,
              0 , $compost,
              $user_id , $date);
            

            $rsDataV = mysqli_query($connectMySqluser,$query_rsDataV);
            if($rsDataV){
            $row_rsDataV = mysqli_fetch_assoc($rsDataV);
            $totalRows_rsDataV = mysqli_num_rows($rsDataV);
                echo '1';
                   // echo $query_rsData3;
                  
                }else{
                //no se hizo el update
                // echo $query_rsDataV;
                echo 'no_ok';
                   
            } 

          }else {
            echo $query_rsData3;
          }

            }else{
               // echo $query_rsData2;
               // echo 'no_ok query_rsData2';

            }

          }else{
	        //no se hizo el update
 
	             // echo 'no_ok query_rsUpdateCode';
	           // echo $query_rsUpdateCode ;
	        }

       	}

}




// [C] update
  // #Genera todas la funciones de NEXT STEP   Form 2 
  // #Se activa: Si existe "POST - update"

 if($_POST['update']){
  /* C O D E */


  $double_id =        $_POST['double_id'];
  $user_id =          $_POST['user_id'];
  $step =             $_POST['step'];
  $date =             $_POST['date'];


        
            $user_add = 'user_add='.$user_id;
            // $date_add = 'date_add='.$date;

         

            $par_dbl_id = 'par_dbl_id='.$double_id;

            // echo 'echo 2';
            // exit;
     
// $script
/*Se declaran las variables, si tienen post  o si vienen vacios*/
  // SELECT * FROM `mh_doubles_tb` ORDER BY `mh_doubles_tb`.`dbl_folio` ASC 
    $query_rsUpdateCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" , $double_id);


          // exit;
          $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
          $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
          $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);
            echo $query_rsUpdateCode;
            print_r($row_rsUpdateCode);

          if ($totalRows_rsUpdateCode) {

            
              switch ($step) {

                //Form 2
                case 2:

                      $par2_yards_compost = ($_POST['par2_yards_compost'] == '') ? '': 'par2_yards_compost='.$_POST['par2_yards_compost']; 
                      $script = $par2_yards_compost;
                break;




                
                
                //Form 3
                case 4: 
                                //validar si viene vacío
                                $comments = "'" . $_POST['par3_comments'] . "'";

                                $par1_compost_supplier = ($_POST['par1_compost_supplier'] == '') ? '': 'par1_compost_supplier='.$_POST['par1_compost_supplier']; 
                                $par1_spawn_strain = ($_POST['par1_spawn_strain'] == '') ? '': 'par1_spawn_strain='.$_POST['par1_spawn_strain']; 

                                $par3_tons_compost = ($_POST['par3_tons_compost'] == '') ? '': 'par3_tons_compost='.$_POST['par3_tons_compost'];  
                                $par3_moisture = ($_POST['par3_moisture'] == '') ? '': 'par3_moisture='.$_POST['par3_moisture'];  
                                $par3_amonia = ($_POST['par3_amonia'] == '') ? '': 'par3_amonia='.$_POST['par3_amonia'];  
                                $par3_tempeture_override = ($_POST['par3_tempeture_override'] == '') ? '': 'par3_tempeture_override='.$_POST['par3_tempeture_override'];  
                                $par3_molds = ($_POST['par3_molds'] == '') ? '': 'par3_molds='.$_POST['par3_molds'];  
                                $par3_odor = ($_POST['par3_odor'] == '') ? '': 'par3_odor='.$_POST['par3_odor'];  
                                $par3_timing = ($_POST['par3_timing'] == '') ? '': 'par3_timing='.$_POST['par3_timing']; 
                                $par3_timing_clear = ($_POST['par3_timing_clear'] == '') ? '': 'par3_timing_clear='.$_POST['par3_timing_clear'];
                                $par3_compost_ph = ($_POST['par3_compost_ph'] == '') ? '': 'par3_compost_ph='.$_POST['par3_compost_ph'];
                                $par3_comments = 'par3_comments='. $comments; 



                                $script = $par1_compost_supplier . ',' . $par1_spawn_strain . ',' . $par3_tons_compost . ',' . $par3_moisture . ',' . $par3_amonia . ',' . $par3_tempeture_override . ',' . $par3_molds . ',' . $par3_odor  . ',' . $par3_timing . ',' . $par3_compost_ph . ',' . $par3_timing_clear . ',' . $par3_comments;
                break;

                //Form 4
                case 6:
                                      $comments = "'" . $_POST['par4_comments'] . "'";

                                      $par4_moisture = ($_POST['par4_moisture'] == '') ? '': 'par4_moisture='.$_POST['par4_moisture'];  
                                      $par4_bed_temp = ($_POST['par4_bed_temp'] == '') ? '': 'par4_bed_temp='.$_POST['par4_bed_temp'];  
                                      $par4_maturity = ($_POST['par4_maturity'] == '') ? '': 'par4_maturity='.$_POST['par4_maturity'];  
                                      $par4_smell = ($_POST['par4_smell'] == '') ? '': 'par4_smell='.$_POST['par4_smell'];  
                                      $par4_mycelium_looks = ($_POST['par4_mycelium_looks'] == '') ? '': 'par4_mycelium_looks='.$_POST['par4_mycelium_looks']; 
                                      $par4_compost_ph = ($_POST['par4_compost_ph'] == '') ? '': 'par4_compost_ph='.$_POST['par4_compost_ph'];
                                      $par4_casing_inoculum = ($_POST['par4_casing_inoculum'] == '') ? '': 'par4_casing_inoculum='.$_POST['par4_casing_inoculum'];  
                                      $par4_comments = 'par4_comments='.  $comments; 


                                      $script = $par4_moisture . ',' . $par4_bed_temp . ',' . $par4_maturity  . ',' . $par4_smell . ',' . $par4_mycelium_looks . ',' .$par4_compost_ph . ',' . $par4_casing_inoculum . ',' . $par4_comments;

                break;

                //Form 5
                case 8:

                                            $comments = "'" . $_POST['par5_comments'] . "'";
                                            
                                            // $par5_casing_inoculum = ($_POST['par5_casing_inoculum'] == '') ? '': 'par5_casing_inoculum='.$_POST['par5_casing_inoculum'];  
                                            $par5_casing_moisture = ($_POST['par5_casing_moisture'] == '') ? '': 'par5_casing_moisture='.$_POST['par5_casing_moisture'];  
                                            $par5_ci_growth = ($_POST['par5_ci_growth'] == '') ? '': 'par5_ci_growth='.$_POST['par5_ci_growth'];  
                                            $par5_ci_timing = ($_POST['par5_ci_timing'] == '') ? '': 'par5_ci_timing='.$_POST['par5_ci_timing'];  
                                            $par5_amount_pins = ($_POST['par5_amount_pins'] == '') ? '': 'par5_amount_pins='.$_POST['par5_amount_pins'];  
                                            $par5_stagger = ($_POST['par5_stagger'] == '') ? '': 'par5_stagger='.$_POST['par5_stagger'];  
                                            $par5_coverage = ($_POST['par5_coverage'] == '') ? '': 'par5_coverage='.$_POST['par5_coverage'];  
                                            $par5_timing = ($_POST['par5_timing'] == '') ? '': 'par5_timing='.$_POST['par5_timing']; 
                                            $par5_compost_ph = ($_POST['par5_compost_ph'] == '') ? '': 'par5_compost_ph='.$_POST['par5_compost_ph']; 
                                            $par5_comments = 'par5_comments='. $comments; 

                                            $script = $par5_casing_moisture . ',' . $par5_ci_growth  . ',' . $par5_ci_timing . ',' . $par5_amount_pins . ',' . $par5_stagger . ',' . $par5_coverage  . ',' .  $par5_timing  . ',' .  $par5_compost_ph . ',' . $par5_comments;

                break;

                //Form 6
                case 10:
                                      $comments = "'" . $_POST['par6_comments'] . "'";

                                      $par6_size_mush = ($_POST['par6_size_mush'] == '') ? '': 'par6_size_mush='.$_POST['par6_size_mush'];  
                                      $par6_color = ($_POST['par6_color'] == '') ? '': 'par6_color='.$_POST['par6_color'];  
                                      $par6_dirt = ($_POST['par6_dirt'] == '') ? '': 'par6_dirt='.$_POST['par6_dirt'];  
                                      $par6_strength_mush = ($_POST['par6_strength_mush'] == '') ? '': 'par6_strength_mush='.$_POST['par6_strength_mush'];  
                                      $par6_scale = ($_POST['par6_scale'] == '') ? '': 'par6_scale='.$_POST['par6_scale'];  
                                      // $par6_how_harvesters_prepped = ($_POST['par6_how_harvesters_prepped'] == '') ? '': 'par6_how_harvesters_prepped='.$_POST['par6_how_harvesters_prepped'];
                                      $par6_comments = 'par6_comments='.  $comments; 

                                      $script = $par6_size_mush . ',' . $par6_color . ',' . $par6_dirt  . ',' . $par6_strength_mush . ',' . $par6_scale . ',' . $par6_comments;
                break;

                //Form 7
                case 12:
                                $comments = "'" . $_POST['par7_comments'] . "'";

                                $par7_size_mush = ($_POST['par7_size_mush'] == '') ? '': 'par7_size_mush='.$_POST['par7_size_mush'];  
                                $par7_color = ($_POST['par7_color'] == '') ? '': 'par7_color='.$_POST['par7_color'];  
                                $par7_dirt = ($_POST['par7_dirt'] == '') ? '': 'par7_dirt='.$_POST['par7_dirt'];  
                                $par7_strength_mush = ($_POST['par7_strength_mush'] == '') ? '': 'par7_strength_mush='.$_POST['par7_strength_mush'];  
                                $par7_scale = ($_POST['par7_scale'] == '') ? '': 'par7_scale='.$_POST['par7_scale'];  
                                // $par7_how_harvesters_prepped = ($_POST['par7_how_harvesters_prepped'] == '') ? '': 'par7_how_harvesters_prepped='.$_POST['par7_how_harvesters_prepped'];   
                                $par7_comments = 'par7_comments='. $comments['par7_comments'];      

                                $script = $par7_size_mush . ',' . $par7_color . ',' . $par7_dirt  . ',' . $par7_strength_mush . ',' . $par7_scale . ',' . $par7_comments;
                break;

                //Form 8
                case 14:

                          $comments = "'" . $_POST['par8_comments'] . "'";

                          $par8_size_mush = ($_POST['par8_size_mush'] == '') ? '': 'par8_size_mush='.$_POST['par8_size_mush'];  
                          $par8_color = ($_POST['par8_color'] == '') ? '': 'par8_color='.$_POST['par8_color'];  
                          $par8_dirt = ($_POST['par8_dirt'] == '') ? '': 'par8_dirt='.$_POST['par8_dirt'];  
                          $par8_strength_mush = ($_POST['par8_strength_mush'] == '') ? '': 'par8_strength_mush='.$_POST['par8_strength_mush'];  
                          $par8_scale = ($_POST['par8_scale'] == '') ? '': 'par8_scale='.$_POST['par8_scale'];  
                          // $par8_how_harvesters_prepped = ($_POST['par8_how_harvesters_prepped'] == '') ? '': 'par8_how_harvesters_prepped='.$_POST['par8_how_harvesters_prepped']; 
                          $par8_comments = 'par8_comments='.  $comments; 

                          $script = $par8_size_mush . ',' . $par8_color . ',' . $par8_dirt  . ',' . $par8_strength_mush . ',' . $par8_scale . ',' . $par8_comments;

                break;
               
            
              }
              


              $query_rsData = sprintf("UPDATE app_parameters_tb SET 

                      %s,
                      %s,
                    date_add='%s' 
                    WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                   $script, 
                  $user_add, $date, $double_id, $row_rsUpdateCode['dbl_folio']
                );
              // var_dump($row_rsUpdateCode);
               

              $rsData = mysqli_query($connectMySqluser,$query_rsData);
              $row_rsData = mysqli_fetch_assoc($rsData);
              $totalRows_rsData = mysqli_num_rows($rsData);
                
                echo $query_rsData;


        }  //en totalrow
   


}





 
// [D] checkparameter
  // #Genera todas la funciones de NEXT STEP   Form 2 
  // #Se activa: Si existe "POST - checkparameter"

 if($_POST['checkparameter']){
  /* C O D E */


  $double_id =        $_POST['current_d'];
  $user_id =          $_POST['user_id'];
  $step =             $_POST['current_step'];

  $jsondata = array();
  $jsondata['checkpar']=array();

    $query_rsUpdateCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" , $double_id);

          // echo $query_rsUpdateCode;
          // exit;
          $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
          $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
          $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

          if ($totalRows_rsUpdateCode) {


          switch ($step) {

            //Form 2
            case 2:

                  $par2_yards_compost = 'par2_yards_compost'; 
                  $script = $par2_yards_compost;

                  $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                        WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                       $script, $double_id, $row_rsUpdateCode['dbl_folio']
                      );

                  // echo $query_rsData;

                  $rsData = mysqli_query($connectMySqluser,$query_rsData);
                  $row_rsData = mysqli_fetch_assoc($rsData);
                  $totalRows_rsData = mysqli_num_rows($rsData);

                    do{

                      array_push($jsondata['checkpar'],array(
                          $par2_yards_compost => $row_rsData[$par2_yards_compost]
                      ));


                    }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;




         
            
            //Form 3
            case 4:
                            $par1_compost_supplier = 'par1_compost_supplier'; 
                            $par1_spawn_strain = 'par1_spawn_strain'; 
                            $par3_tons_compost = 'par3_tons_compost';  
                            $par3_moisture = 'par3_moisture';  
                            $par3_amonia = 'par3_amonia';  
                            $par3_tempeture_override = 'par3_tempeture_override';  
                            $par3_molds = 'par3_molds';  
                            $par3_odor = 'par3_odor';  
                            $par3_timing = 'par3_timing';
                            $par3_timing_clear = 'par3_timing_clear'; 
                            $par3_comments = 'par3_comments';
                            $par3_compost_ph = 'par3_compost_ph';


                            $script = $par1_compost_supplier . ',' . $par1_spawn_strain . ',' . $par3_tons_compost . ',' . $par3_moisture . ',' . $par3_amonia . ',' . $par3_tempeture_override . ',' . $par3_molds . ',' . $par3_odor  . ',' . $par3_timing . ',' . $par3_timing_clear . ',' . $par3_comments . ',' . $par3_compost_ph;



                            $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                  WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                 $script, $double_id, $row_rsUpdateCode['dbl_folio']
                              );

                              //echo $query_rsData;

                            $rsData = mysqli_query($connectMySqluser,$query_rsData);
                            $row_rsData = mysqli_fetch_assoc($rsData);
                            $totalRows_rsData = mysqli_num_rows($rsData);

                              do{

                                array_push($jsondata['checkpar'],array(
                                    $par1_compost_supplier => $row_rsData[$par1_compost_supplier],
                                    $par1_spawn_strain => $row_rsData[$par1_spawn_strain],
                                    $par3_tons_compost => $row_rsData[$par3_tons_compost],
                                    $par3_moisture => $row_rsData[$par3_moisture],
                                    $par3_amonia => $row_rsData[$par3_amonia],
                                    $par3_tempeture_override => $row_rsData[$par3_tempeture_override],
                                    $par3_compost_ph => $row_rsData[$par3_compost_ph],
                                    $par3_molds => $row_rsData[$par3_molds],
                                    $par3_odor => $row_rsData[$par3_odor],
                                    $par3_timing => $row_rsData[$par3_timing],
                                    $par3_timing_clear => $row_rsData[$par3_timing_clear],
                                    $par3_comments => $row_rsData[$par3_comments]
                                ));


                              }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;
  
            //Form 4
            case 6:
                                  $par4_moisture = 'par4_moisture';  
                                  $par4_bed_temp = 'par4_bed_temp';  
                                  $par4_maturity = 'par4_maturity';  
                                  $par4_smell = 'par4_smell';  
                                  $par4_mycelium_looks = 'par4_mycelium_looks'; 
                                  $par4_comments = 'par4_comments';
                                  $par4_compost_ph = 'par4_compost_ph';
                                  $par4_casing_inoculum = 'par4_casing_inoculum';


                                  $script = $par4_moisture . ',' . $par4_bed_temp . ',' . $par4_maturity  . ',' . $par4_smell . ',' . $par4_mycelium_looks . ',' . $par4_comments . ',' . $par4_compost_ph . ',' . $par4_casing_inoculum;

                                  $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                      WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                     $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                  );

                                 // echo $query_rsData;

                                $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                $row_rsData = mysqli_fetch_assoc($rsData);
                                $totalRows_rsData = mysqli_num_rows($rsData);

                                  do{

                                    array_push($jsondata['checkpar'],array(
                                        $par4_moisture => $row_rsData[$par4_moisture],
                                        $par4_bed_temp => $row_rsData[$par4_bed_temp],
                                        $par4_maturity => $row_rsData[$par4_maturity],
                                        $par4_smell => $row_rsData[$par4_smell],
                                        $par4_mycelium_looks => $row_rsData[$par4_mycelium_looks],
                                        $par4_compost_ph => $row_rsData[$par4_compost_ph],
                                        $par4_casing_inoculum => $row_rsData[$par4_casing_inoculum],
                                        $par4_comments => $row_rsData[$par4_comments]
                                    ));


                                  }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;

            //Form 5
            case 8:
                                      
                                        $par5_casing_moisture = 'par5_casing_moisture';  
                                        $par5_ci_growth = 'par5_ci_growth';  
                                        $par5_ci_timing = 'par5_ci_timing';  
                                        $par5_amount_pins ='par5_amount_pins';  
                                        $par5_stagger = 'par5_stagger';  
                                        $par5_coverage = 'par5_coverage';  
                                        $par5_timing = 'par5_timing'; 
                                        $par5_compost_ph = 'par5_compost_ph';
                                        $par5_comments = 'par5_comments';



                                        $script =  $par5_casing_moisture . ',' . $par5_ci_growth  . ',' . $par5_ci_timing . ',' . $par5_amount_pins . ',' . $par5_stagger . ',' . $par5_coverage  . ',' .  $par5_timing . ',' . $par5_compost_ph . ',' . $par5_comments;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                            WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                           $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                        );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par5_casing_moisture => $row_rsData[$par5_casing_moisture],
                                              $par5_ci_growth => $row_rsData[$par5_ci_growth],
                                              $par5_ci_timing => $row_rsData[$par5_ci_timing],
                                              $par5_amount_pins => $row_rsData[$par5_amount_pins],
                                              $par5_stagger => $row_rsData[$par5_stagger],
                                              $par5_coverage => $row_rsData[$par5_coverage],
                                              $par5_timing => $row_rsData[$par5_timing],
                                              $par5_compost_ph => $row_rsData[$par5_compost_ph],
                                              $par5_comments => $row_rsData[$par5_comments]
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;

            //Form 6
            case 10:

                                  $par6_size_mush = 'par6_size_mush';  
                                  $par6_color = 'par6_color';  
                                  $par6_dirt = 'par6_dirt';  
                                  $par6_strength_mush = 'par6_strength_mush';  
                                  $par6_scale = 'par6_scale';  
                                  $par6_comments = 'par6_comments';

                                  $script = $par6_size_mush . ',' . $par6_color . ',' . $par6_dirt  . ',' . $par6_strength_mush . ',' . $par6_scale . ',' . $par6_comments;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                            WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                           $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                        );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par6_size_mush => $row_rsData[$par6_size_mush],
                                              $par6_color => $row_rsData[$par6_color],
                                              $par6_dirt => $row_rsData[$par6_dirt],
                                              $par6_strength_mush => $row_rsData[$par6_strength_mush],
                                              $par6_scale => $row_rsData[$par6_scale],
                                              $par6_comments => $row_rsData[$par6_comments]
                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;

            //Form 7
            case 12:

                            $par7_size_mush = 'par7_size_mush';  
                            $par7_color = 'par7_color';  
                            $par7_dirt = 'par7_dirt';  
                            $par7_strength_mush = 'par7_strength_mush';  
                            $par7_scale = 'par7_scale';  
                            $par7_comments = 'par7_comments';

                            $script = $par7_size_mush . ',' . $par7_color . ',' . $par7_dirt  . ',' . $par7_strength_mush . ',' . $par7_scale . ',' . $par7_comments;


                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                            WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                           $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                        );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par7_size_mush => $row_rsData[$par7_size_mush],
                                              $par7_color => $row_rsData[$par7_color],
                                              $par7_dirt => $row_rsData[$par7_dirt],
                                              $par7_strength_mush => $row_rsData[$par7_strength_mush],
                                              $par7_scale => $row_rsData[$par7_scale],
                                              $par7_comments => $row_rsData[$par7_comments]
                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));
            break;

            //Form 8
            case 14:

                      $par8_size_mush = 'par8_size_mush';  
                      $par8_color = 'par8_color';  
                      $par8_dirt = 'par8_dirt';  
                      $par8_strength_mush = 'par8_strength_mush';  
                      $par8_scale = 'par8_scale';  
                      $par8_comments = 'par8_comments';
                      // $par8_how_harvesters_prepped = 'par8_how_harvesters_prepped'; 

                      $script = $par8_size_mush . ',' . $par8_color . ',' . $par8_dirt  . ',' . $par8_strength_mush . ',' . $par8_scale . ',' . $par8_comments;
 
                                        $query_rsData = sprintf("SELECT %s FROM app_parameters_tb  
                                            WHERE par_dbl_id= %s AND par_folio LIKE '%s' ",
                                           $script, $double_id, $row_rsUpdateCode['dbl_folio']
                                        );

                                       // echo $query_rsData;

                                      $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                      $row_rsData = mysqli_fetch_assoc($rsData);
                                      $totalRows_rsData = mysqli_num_rows($rsData);

                                        do{

                                          array_push($jsondata['checkpar'],array(
                                              $par8_size_mush => $row_rsData[$par8_size_mush],
                                              $par8_color => $row_rsData[$par8_color],
                                              $par8_dirt => $row_rsData[$par8_dirt],
                                              $par8_strength_mush => $row_rsData[$par8_strength_mush],
                                              $par8_scale => $row_rsData[$par8_scale],
                                              $par8_comments => $row_rsData[$par8_comments]
                                              
                                          ));


                                        }while ($row_rsData = mysqli_fetch_assoc($rsData));

            break;
      
          }

          header('Content-type: application/json; charset=utf-8');
            echo json_encode($jsondata);
          exit();


        }
   


}




?>