<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] CROPS			PRINCIPAL    ( CROP A, CROP B, CROP C )
	[B] ROOMS    		SECUNDARIO 	 ( ROOM A, ROOM B, ROOM C )
	[C] Data    		Genera la lista de registros posibles según la fase del room	unit_id y valor de la unidad (oz,gal,litres.)
	[D] Data Units 		SELECT  		Tipo de unidad: 	 1: Data, 2: Catalog, 3: subprocess
	[E] Insert Record	INSERT  		Inserta el registro en la tabla app_values3_tb


Desarrollador: Selene Herrera 
Fecha: 6 diciembre 2021

*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


if($debug == true){

$_POST['crops_list'] = true;
$_POST['client'] = 'upgrade';
$_POST['mail'] = 'selene@foodsafetycts.com';
$_POST['user_id'] = 8;

// var_dump($_POST['crops_list']);
// var_dump($_POST['client']);
// var_dump($_POST['mail']);
// var_dump($_POST['user_id']);

}

	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	}

  
// [F] FORM CROPS list
	// #Genera la lista de FORMS de CROPS
	// #Se activa: Si existe "POST - cform_list"

if($_POST['cform_list']){

	  $jsondata = array();
	  $jsondata['cform']=array();
	  $user_id = $_POST['user_id'];
	  

	  $crop = $_POST['crop'];
	  $folio = "'%" . $_POST['folio'] . "%'";


	    $query_rsData = sprintf("SELECT  * FROM app_parameters2_tb as p
						      WHERE 
						      p.par_folio like %s AND
						      p.hideField = 0
						      
							  LIMIT 1",  $folio );	

	 

	    // var_dump($query_rsData);
	    // exit;

		$rsData = mysqli_query($connectMySqluser,$query_rsData);
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);


		//si existe haz muestra la lista
		if($totalRows_rsData){


				$query_rsData2 = sprintf("SELECT * FROM app_phases_tb WHERE  phase_id IN (0,4,6,8,10,12,14) order by phase_id ASC");	

			  //var_dump($query_rsData);   SELECT * FROM `app_phases_tb` 

				$rsData2 = mysqli_query($connectMySqluser,$query_rsData2);
				$row_rsData2 = mysqli_fetch_assoc($rsData2);
				$totalRows_rsData2 = mysqli_num_rows($rsData2);

				do{

					 $query_rsUpdateCode = sprintf("SELECT * FROM app_parameters2_tb WHERE par_folio like %s" ,  $folio );

			          // echo $query_rsUpdateCode;
			          // exit;
			          $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
			          $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
			          $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

          if ($totalRows_rsUpdateCode) {


          switch ($row_rsData2['phase_id']) {

          	//Initial
            case 0:
            	if ($row_rsUpdateCode['par1_compost_texture']   != '') {
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}


            break;


            //Form 2
            case 2:


            	if ($row_rsUpdateCode['par2_yards_compost']   > 0) {
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}


                

            break;




         
            
            //Form 3
            case 4:
                            
				if ($row_rsUpdateCode['par3_moisture']   > 0) {
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}



            break;
  
            //Form 4
            case 6:

				if ($row_rsUpdateCode['par4_moisture']   > 0) {
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}
            break;

            //Form 5
            case 8:
                                

                                        if ($row_rsUpdateCode['par5_casing_moisture']   > 0) {
						            		$j .= 

											'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
						            		
						            	}else{
						            		$j .= 

											'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
						            	}

                                       

            break;

        
            //Form 6
            case 10:


                                 	if ($row_rsUpdateCode['par6_size_mush']   > 0) {
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            		
            	}else{
            		$j .= 

					'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
            	}

            break;

            //Form 7
            case 12:


                            if ($row_rsUpdateCode['par7_size_mush']   > 0) {
			            		$j .= 

								'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
			            		
			            	}else{
			            		$j .= 

								'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
			            	}
            break;

            //Form 8
            case 14:


                      	if ($row_rsUpdateCode['par8_size_mush']   > 0) {
		            		$j .= 

							'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'" class="record-done">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
		            		
		            	}else{
		            		$j .= 

							'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';
		            	}

            break;
      
      
          }




          /* Revisa que no */



      } //end total


				// $j .= 

				// 	'<li data-crop="'.$crop.'" data-step="'.$row_rsData2["phase_id"].'">'.$row_rsData2["phase_label"].'<p class="spanish" style="line-heigh: 1;">  '.$row_rsData2["phase_label_spanish"].'</p><img alt="icon_list_form_crop" style="padding-top: 20px;" src="img/icons/'.$row_rsData2["phase_icon"].'"></li>';



				}while ($row_rsData2 = mysqli_fetch_assoc($rsData2));

				header('Content-type: application/json; charset=utf-8');
		  		// echo json_encode($jsondata);
		  		echo json_encode($j);

		  		// echo $j;

		  		// echo $query_rsData;
				exit();




		}else{
		//sino muestra vacío el array
			// $jsondata['cform']= "E M P T Y";
			$j = '<h3 style="text-align: center;">No records.</h3>';

			header('Content-type: application/json; charset=utf-8');
		  		// echo json_encode($jsondata);
		  	echo json_encode($j);
			// header('Content-type: application/json; charset=utf-8');
	  		// echo json_encode($jsondata);
	  		// echo $query_rsData;
			exit();


		}						
							
		
}




?>