<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
	
Inserta el registro en la tabla app_values3_tb


Desarrollador: Selene Herrera 
Fecha: 25 enero 2022

 [A] insert_wch   	Watering + Chemical
 [B] insert_wcc   		Watering + Calcium or Chlorine


*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


if($debug == true){

$_POST['crops_list'] = true;
$_POST['client'] = 'upgrade';
$_POST['mail'] = 'selene@foodsafetycts.com';
$_POST['user_id'] = 8;



// var_dump($_POST['crops_list']);
// var_dump($_POST['client']);
// var_dump($_POST['mail']);
// var_dump($_POST['user_id']);

}

	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}





/*     
	   
	        ***********                            
	        ***********                            
	        ***     ***                            
	        ***     ***                            
	        ***     ***                            
	        ***********                            
	        ***********                            
	        ***     ***                       
            ***     ***                      
            ***     ***               
 */

// [A] Insert Record   Watering + Chemical
// insert_record
if($_POST['insert_wch']){


	// echo '';
	// exit;
		  $jsondata = array();
		  $jsondata['response']=array();
		  $arraySubprocess = array();  
			
			//insert_record : true, double : current_double, record : current_record, data : last_data
		  	// el v_type_unit nos indica 1: Data, 2: Catalog, 3: subprocess
		  	// el v_fav_unit indica el id de la tabla 
		  	// DATA 	Ejemplo 	WATERING	 type : 1, v_unit_id = 12 (data_id),  v_fav_unit = 0 
		  	// CATALOG  Ejemplo		SUPPLEMENT 	 type : 2, v_unit_id =  4 (data_id),  v_fav_unit = 0 
		  	$double_id =  $_POST['double'];
			$insert_unitCat = ($_POST['unit_cat']) ? $_POST['unit_cat'] :'0';   //si es tipo Catalog recibe el post, sino es tipo Data 0
			$insert_bed = ($_POST['bed']) ? $_POST['bed'] :'0';   //si el data es id 16 or 20 recibe el post, sino es tipo Data 0
			// $data = ($_POST['data']) ? $_POST['data'] :'';
			$data = ($_POST['data']) ? $_POST['data'] :''; 
			

			//comentarios adicionales
			$v_comments = $_POST['v_comments']; 

			//subprocesos
			$insert_length = ($_POST['sub_length']) ? $_POST['sub_length'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
			$insert_color = ($_POST['sub_color']) ? $_POST['sub_color'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
			$insert_squeeze = ($_POST['sub_squeeze']) ? $_POST['sub_squeeze'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
			$insert_density = ($_POST['sub_density']) ? $_POST['sub_density'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)

			//recibe el id   del valor del catálogo
			$insert_value_cat = ($_POST['value_catt']) ? $_POST['value_catt'] :''; 

			$supplier = 22;
		
			if ($_POST['record'] == 102){
				$insert_unit = 7;
			}


						
				//validación si se cambia la fecha 
				 if($_POST['ch_date'] != ''){
				 	//tiempo del input change Date
				 	$time = $_POST['ch_date'];
				 }else{
				 	//tiempo del dispositivo
				 	$time =  $_POST['date'];
				 }

		  		if (($insert_length == '') && ($insert_color == '') && ($insert_squeeze == '') && ($insert_density == '')) {
					$ser_subp =  '';
				}else{
				 	array_push($arraySubprocess,array(
				            'length' =>  $insert_length,
				            'color' =>   $insert_color,
				            'squeeze' => $insert_squeeze,
				            'density' => $insert_density
				    ));

				 	$ser_subp = serialize($arraySubprocess);
				    
			 	}


			 /*variables para Chemical application*/
			 $v_value2 = ($_POST['datat']) ? $_POST['datat'] :''; 
			 $v_unit_cat_id = ($_POST['cat']) ? $_POST['cat'] :''; 
			 $v_value_cat = ($_POST['value_cat']) ? $_POST['value_cat'] :'';

			 if($_POST['cat'] == '1003'  ){
			 	$cat_ch = '11';
			 }elseif($_POST['cat'] == '1004'  ){
			 	$cat_ch = '37';

			 }elseif($_POST['cat'] == '1005'  ){
			 	$cat_ch = '38';

			 }



			 	// var_dump($cat_ch);
			 	// exit;

//INSERT INTO `app_values3_tb`
		  	//(`v_id`, `v_crop_id`, `v_croproom_id`, `v_unit_id`, `v_unit2_id`, `v_value_cat`, `v_unit_cat_id`, `v_type_unit`, `v_phase`, `v_folio`, `v_serial_sub`, `v_data`, `v_value`, `v_bed`, `v_comments`, `v_type_compost`, `user_add`, `date_add`, `hideField`) VALUES ([value-1],[value-2],[value-3],[value-4],[value-5],[value-6],[value-7],[value-8],[value-9],[value-10],[value-11],[value-12],[value-13],[value-14],[value-15],[value-16],[value-17],[value-18],[value-19])


//( `v_unit_id`, `v_unit2_id`, `v_value_cat`, `v_unit_cat_id`, `v_type_unit`, `v_phase`, `v_folio`, `v_serial_sub`, `v_data`, `v_value`, `v_bed`, `v_comments`, `v_type_compost`, `user_add`, `date_add`, `hideField`)
									$query_rsData = sprintf("INSERT INTO app_values3_tb 
									(v_crop_id, 
									v_croproom_id,
									v_v_croproom_id_old,
									v_unit_id, 									
									v_value_cat,									

									v_unit_cat_id,

									v_type_unit,
									v_phase, 
									v_folio,
									v_serial_sub,

									v_data,


									v_value,

									v_bed,
									v_comments,
									v_type_compost,
									user_add,
									date_add,
									v_tracking) 
									
										VALUES 
 
									(%s, 
									%s,
									%s, 
									%s,
									%s,
									%s,
									%s,
									%s, 
									'%s',
									'%s',
									'%s',

									%s,


									%s,
									'%s',
									%s,
									%s,
									'%s',
									%s)", 

									$_POST['crop'], 
									$_POST['room'],
									'0',
									$insert_unit, 
									$insert_value_cat,

									'1011',
									

									'4',
									$_POST['step'], 
									$_POST['folio'],
									$ser_subp,

									'12',

									$data,


									$insert_bed,
									$v_comments,
									$supplier,
									$_POST['user_id'],
									$time,
									$_POST['record']);

									if(mysqli_query($connectMySqluser,$query_rsData)){



										//buscamos en la tabla indexada la relación respecto al tipo de data que es
										$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $_POST['cat'] );

										$rsIndexCatalogs = mysqli_query($connectMySqluser,$query_rsIndexCatalogs);
						               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
						                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);



						                if( $rsIndexCatalogs ) {

								                //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
								                $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $_POST['value_cat']);
								                		
								                $rsCatalog = mysqli_query($connectMySqluser,$query_rsCatalog);
								                $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
									                   
//$unit2 =  '';
									                    if( $rsCatalog ) {
									                    	

													    	$unit2 =  $row_rsCatalog['cat_unit'];


														$query_rsData2 = sprintf("INSERT INTO app_values3_tb 
														(v_crop_id, 
														v_croproom_id,
														v_v_croproom_id_old,
														v_unit_id, 									
														v_value_cat,									

														v_unit_cat_id,

														v_type_unit,
														v_phase, 
														v_folio,
														v_serial_sub,

														v_data,


														v_value,

														v_bed,
														v_comments,
														v_type_compost,
														user_add,
														date_add,
														v_tracking,
														v_unit2_id) 
														
															VALUES 
					 
														(%s, 
														%s,
														%s, 
														%s,
														%s,
														%s,
														%s,
														%s, 
														'%s',
														'%s',
														'%s',


														%s,

														%s,
														'%s',
														%s,
														%s,
														'%s',
														%s,
														'%s')", 

														$_POST['crop'], 
														$_POST['room'],
														'0',
														'0', 
														$v_value_cat,

														$v_unit_cat_id,
														

														'2',
														$_POST['step'], 
														$_POST['folio'],
														$ser_subp,

														$cat_ch,

													

														$v_value2,

														$insert_bed,
														$v_comments,
														$supplier,
														$_POST['user_id'],
														$time,
														$_POST['record'],
														$unit2 );

														if(mysqli_query($connectMySqluser,$query_rsData2)){
															 echo '1';
															 // var_dump($query_rsData);
														}else{
															// echo '0';
															  var_dump($query_rsData2);
														}  

													}

											}
									}else{
										 echo '0';
										 // var_dump($query_rsData);
									}

						}
		 
// $query_rsData = sprintf("INSERT INTO app_values3_tb 
// /*CROP 1   FK mh_crops_tb*/			(v_crop_id, 
// /*ROOM 1   FK mh_croprooms_tb*/		v_croproom_id,
// 	solo cuando es cambio de room  		v_v_croproom_id_old,
// /*UNIT 7   Ej.id 7 gallons   */		v_unit_id, 
// /*VALUE CAT 1 Valor del catalogo*/	v_value_cat,
// /*unit cad 2   FK mh_catalogs_tb */	v_unit_cat_id,
// /*type unit 2  Catalog*/			v_type_unit,
// /*phase 5  Spawn Run  */			v_phase, 
// /*Folio fol-00002   */				v_folio,
// /*'[1][2]'   sólo tipo subproceso*/	v_serial_sub,

// /*data 12   FK app_datas_tb*/		v_data,

// /*45   example watering 45*/		v_value,

// /*PROBE 2  numero de bed*/			v_bed,
// /*Notes    comentarios adicionales*/v_comments,
// /*OWN COMPOST 1   FK mh_cat_suppliers_tb*/ v_type_compost,
// /* 2   FK app_users_tb*/			user_add,
// /*2021-09-28  date device*/			date_add) 
									
// 										VALUES 

// /*CROP 1   FK mh_crops_tb*/			(%s, 
// /*ROOM 1   FK mh_croprooms_tb*/		%s,
// /*UNIT 7   Ej.id 7 gallons   */		%s, 
// /*VALUE CAT 1 Valor del catalogo*/	%s,
// /*unit cad 2   FK mh_catalogs_tb */	%s,
// /*type unit 2  Catalog*/			%s,
// /*phase 5  Spawn Run  */			%s, 
// Folio fol-00002   				'%s',
// /*'[1][2]'   sólo tipo subproceso*/	'%s',

// /*data 12   FK app_datas_tb*/		%s,

// /*45   example watering 45*/ 		%s,

// /*PROBE 2  numero de bed*/			%s,
// /*Notes    comentarios adicionales*/'%s',
// /*OWN COMPOST 1   FK mh_cat_suppliers_tb*/%s,
// /* 2   FK app_users_tb*/			%s,
// /*2021-09-28  date device*/			'%s')", 


// //CROP 1   FK mh_crops_tb    		$_POST['crop'], 
// /*ROOM 1   FK mh_croprooms_tb*/		$_POST['room'],
// //									'0',
// /*UNIT 7   Ej.id 7 gallons   */		$insert_unit, 
// /*VALUE CAT 1 Valor del catalogo*/	$insert_value_cat,
// /*unit cad 2   FK mh_catalogs_tb */	$insert_unitCat,
// /*type unit 2  Catalog*/			$_POST['type'],
// /*phase 5  Spawn Run  */			$_POST['step'], 
// /*Folio fol-00002   */				$_POST['folio'],
// /*'[1][2]'   sólo tipo subproceso*/	$ser_subp,

// /*45   example watering 45*/		$_POST['record'],

// /*data 12   FK app_datas_tb*/ 		$data,

// /*PROBE 2  numero de bed*/			$insert_bed,
// /*Notes    comentarios adicionales*/$v_comments,
// /*OWN COMPOST 1   FK mh_cat_suppliers_tb*/$supplier,
// /* 2   FK app_users_tb*/			$_POST['user_id'],
// /*2021-09-28  date device*/			$time);

// */




//[B] insert_wch   Watering + Calcium or Chlorine
/*     
	   
	     *********                      
	     **********                       
	     ***     ***                                 
	     ***    ***                               
	     *********                                   
	     *********                                 
	     ***     ***                                  
	     ***      ***                            
         ***********                          
         **********                  
 */

if($_POST['insert_wcc']){


	// echo '';
	// exit;
		  $jsondata = array();
		  $jsondata['response']=array();
		  $arraySubprocess = array();  
			
			//insert_record : true, double : current_double, record : current_record, data : last_data
		  	// el v_type_unit nos indica 1: Data, 2: Catalog, 3: subprocess
		  	// el v_fav_unit indica el id de la tabla 
		  	// DATA 	Ejemplo 	WATERING	 type : 1, v_unit_id = 12 (data_id),  v_fav_unit = 0 
		  	// CATALOG  Ejemplo		SUPPLEMENT 	 type : 2, v_unit_id =  4 (data_id),  v_fav_unit = 0 
		  	$double_id =  $_POST['double'];
			$insert_unitCat = ($_POST['unit_cat']) ? $_POST['unit_cat'] :'0';   //si es tipo Catalog recibe el post, sino es tipo Data 0
			$insert_bed = ($_POST['bed']) ? $_POST['bed'] :'0';   //si el data es id 16 or 20 recibe el post, sino es tipo Data 0
			// $data = ($_POST['data']) ? $_POST['data'] :'';
			$data = ($_POST['data']) ? $_POST['data'] :''; 
			

			//comentarios adicionales
			$v_comments = $_POST['v_comments']; 

			//subprocesos
			$insert_length = ($_POST['sub_length']) ? $_POST['sub_length'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
			$insert_color = ($_POST['sub_color']) ? $_POST['sub_color'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
			$insert_squeeze = ($_POST['sub_squeeze']) ? $_POST['sub_squeeze'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)
			$insert_density = ($_POST['sub_density']) ? $_POST['sub_density'] :'';   //si recibimos el post, sino es 0 (Sólo el tipo subprocesso tiene valores: 1,2,3)

			//recibe el id   del valor del catálogo
			$insert_value_cat = ($_POST['value_catt']) ? $_POST['value_catt'] :''; 


			$supplier = 22;
		
			if ($_POST['record'] == 101){
				$insert_unit = 7;
			}

				 //validación si se cambia la fecha 
				 if($_POST['ch_date'] != ''){
				 	//tiempo del input change Date
				 	$time = $_POST['ch_date'];
				 }else{
				 	//tiempo del dispositivo
				 	$time =  $_POST['date'];
				 }
				 // echo $time;

		  		if (($insert_length == '') && ($insert_color == '') && ($insert_squeeze == '') && ($insert_density == '')) {
					$ser_subp =  '';
				}else{
				 	array_push($arraySubprocess,array(
				            'length' =>  $insert_length,
				            'color' =>   $insert_color,
				            'squeeze' => $insert_squeeze,
				            'density' => $insert_density
				    ));

				 	$ser_subp = serialize($arraySubprocess);
				    
			 	}


			 /*variables para Calcium Application*/
			 $v_value2 = ($_POST['datat']) ? $_POST['datat'] :''; 
			 $v_unit2 = ($_POST['unit_two']) ? $_POST['unit_two'] :''; 

			 /*variables para Chlorine Application*/
			 $v_value3 = ($_POST['last_data_three']) ? $_POST['last_data_three'] :''; 
			 $v_unit3 = ($_POST['unit_three']) ? $_POST['unit_three'] :''; 


									$query_rsData = sprintf("INSERT INTO app_values3_tb 
									(v_crop_id, 
									v_croproom_id,
									v_v_croproom_id_old,
									v_unit_id, 									
									v_value_cat,									

									v_unit_cat_id,

									v_type_unit,
									v_phase, 
									v_folio,
									v_serial_sub,

									v_data,


									v_value,

									v_bed,
									v_comments,
									v_type_compost,
									user_add,
									date_add,
									v_tracking) 
									
										VALUES 
 
									(%s, 
									%s,
									%s, 
									%s,
									%s,
									%s,
									%s,
									%s, 
									'%s',
									'%s',
									'%s',

									%s,


									%s,
									'%s',
									%s,
									%s,
									'%s',
									%s)", 

									$_POST['crop'], 
									$_POST['room'],
									'0',
									$insert_unit, 
									$insert_value_cat,

									'1011',
									

									'4',
									$_POST['step'], 
									$_POST['folio'],
									$ser_subp,

									'12',

									$data,


									$insert_bed,
									$v_comments,
									$supplier,
									$_POST['user_id'],
									$time,
									$_POST['record']);


									if(mysqli_query($connectMySqluser,$query_rsData)){   //watering
										
											if($v_value2 != ''){  //si registraron Calcium

													$query_rsData2 = sprintf("INSERT INTO app_values3_tb 
													(v_crop_id, 
													v_croproom_id,
													v_v_croproom_id_old,
													v_unit_id, 									
													v_value_cat,										
													v_unit_cat_id,
													v_type_unit,
													v_phase, 
													v_folio,
													v_serial_sub,

													v_data,

													v_value,

													v_bed,
													v_comments,
													v_type_compost,
													user_add,
													date_add,
													v_tracking) 
													
														VALUES 

													(%s, 
													%s,
													%s, 
													%s,
													%s,
													%s,
													%s, 
													'%s',
													'%s',
													'%s',

													%s,

													%s,

													%s,
													'%s',
													%s,
													%s,
													'%s',
													%s)", 

													$_POST['crop'], 
													$_POST['room'],
													'0',
													$v_unit2, 
													'0',
													$insert_unitCat,
													'1',
													$_POST['step'], 
													$_POST['folio'],
													$ser_subp,

													'13',

													$v_value2,

													$insert_bed,
													$v_comments,
													$supplier,
													$_POST['user_id'],
													$time,
													$_POST['record']);



												if(mysqli_query($connectMySqluser,$query_rsData2)){
														if($v_value3 != ''){  //si registraron Chlorine
														

																$query_rsData3 = sprintf("INSERT INTO app_values3_tb 
																	(v_crop_id, 
																	v_croproom_id,
																	v_v_croproom_id_old,
																	v_unit_id, 									
																	v_value_cat,										
																	v_unit_cat_id,
																	v_type_unit,
																	v_phase, 
																	v_folio,
																	v_serial_sub,

																	v_data,

																	v_value,

																	v_bed,
																	v_comments,
																	v_type_compost,
																	user_add,
																	date_add,
																	v_tracking) 
																	
																		VALUES 

																	(%s, 
																	%s,
																	%s, 
																	%s,
																	%s,
																	%s,
																	%s, 
																	'%s',
																	'%s',
																	'%s',

																	%s,

																	%s,

																	%s,
																	'%s',
																	%s,
																	%s,
																	'%s',
																	%s)", 

																	$_POST['crop'], 
																	$_POST['room'],
																	'0',
																	$v_unit3, 
																	'0',
																	$insert_unitCat,
																	'1',
																	$_POST['step'], 
																	$_POST['folio'],
																	$ser_subp,

																	'87',

																	$v_value3,

																	$insert_bed,
																	$v_comments,
																	$supplier,
																	$_POST['user_id'],
																	$time,
																	$_POST['record']);
																	
																	if(mysqli_query($connectMySqluser,$query_rsData3)){

																		echo '1';

																	}else{
																		echo '1';

																	}

														}else{  //end if value3
															echo '1';


														}
												}
											}else{ //no registraron Calcium	

													if($v_value3 != ''){  //si registraron Chlorine
														
																$query_rsData3 = sprintf("INSERT INTO app_values3_tb 
																	(v_crop_id, 
																	v_croproom_id,
																	v_v_croproom_id_old,
																	v_unit_id, 									
																	v_value_cat,										
																	v_unit_cat_id,
																	v_type_unit,
																	v_phase, 
																	v_folio,
																	v_serial_sub,

																	v_data,

																	v_value,

																	v_bed,
																	v_comments,
																	v_type_compost,
																	user_add,
																	date_add,
																	v_tracking) 
																	
																		VALUES 

																	(%s, 
																	%s,
																	%s, 
																	%s,
																	%s,
																	%s,
																	%s, 
																	'%s',
																	'%s',
																	'%s',

																	%s,

																	%s,

																	%s,
																	'%s',
																	%s,
																	%s,
																	'%s',
																	%s)", 

																	$_POST['crop'], 
																	$_POST['room'],
																	'0',
																	$v_unit3, 
																	'0',
																	$insert_unitCat,
																	'1',
																	$_POST['step'], 
																	$_POST['folio'],
																	$ser_subp,

																	'87',

																	$v_value3,

																	$insert_bed,
																	$v_comments,
																	$supplier,
																	$_POST['user_id'],
																	$time,
																	$_POST['record']);
																	
																	if(mysqli_query($connectMySqluser,$query_rsData3)){

																		echo '1';

																	}else{
																		echo '1';

																	}

													}else{
														echo '1';
													}//end if value3

											} 
											

									}else{
										echo '0';

									} //mysqli

}//post



?>