<?php
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Extraer la información de los eventos, noticias y torneos para mostrarlos en la página principal de la app.
Consulta: Varias tablas según parametros POST
	[A] CROPS			PRINCIPAL    ( CROP A, CROP B, CROP C )
	[B] ROOMS    		SECUNDARIO 	 ( ROOM A, ROOM B, ROOM C )
	[C] Data    		Genera la lista de registros posibles según la fase del room	unit_id y valor de la unidad (oz,gal,litres.)
	[D] Data Units 		SELECT  		Tipo de unidad: 	 1: Data, 2: Catalog, 3: subprocess
	[E] Insert Record	INSERT  		Inserta el registro en la tabla app_values3_tb


Desarrollador: Selene Herrera 
Fecha: 27 diciembre 2021

*/

// config
//$rootPath = 'https://upgrade.red/app_mushroom';
$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");


$debug = false;


if($debug == true){

$_POST['crops_list'] = true;
$_POST['client'] = 'upgrade';
$_POST['mail'] = 'selene@foodsafetycts.com';
$_POST['user_id'] = 8;



// var_dump($_POST['crops_list']);
// var_dump($_POST['client']);
// var_dump($_POST['mail']);
// var_dump($_POST['user_id']);

}

	// $db = $_COOKIE['db_client'];
  	$login_client_company = $_POST['client'];

	// $m = $_COOKIE['user_mail'];
  	$m = $_POST['mail'];


  		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];

	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;
	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}



/*     
	   
	        ***********                            
	        ***********                            
	        ***     ***                            
	        ***     ***                            
	        ***     ***                            
	        ***********                            
	        ***********                            
	        ***     ***                       
            ***     ***                      
            ***     ***               
 */


// [A] avaible_crooms 
	// #Genera la lista de CROOMS disponibles
	// #Se activa: Si existe "POST - avaible_crooms"

if($_POST['avaible_crooms']){
	  $jsondata = array();
	  /* C O D E */
	  $jsondata['croom']=array();
	  /* C O D E */
	  $user_id = $_POST['user_id'];
	  $s = $_POST['step'];

	  if($s === '0'){
	  	$step = $s + 3;
	  }else{
	  	$step = $s + 2;
	  }

	  if($step === '7'){

		$query_rsData = sprintf("SELECT *
				FROM mh_crooms_tb 
				WHERE hideField = 0 
				AND croom_app_users LIKE %s  
				AND croom_step IN %s
				ORDER BY croom_label ASC" ,   '"%['.$user_id .']%"', '(9,11,13)');	
	  }else{

		$query_rsData = sprintf("SELECT *
				FROM mh_crooms_tb 
				WHERE hideField = 0 
				AND croom_app_users LIKE %s  
				AND croom_step = %s
				ORDER BY croom_label ASC" , '"%['.$user_id .']%"', $step);	



	  }
		// ocupados AND croom_crop_id = 0
	//AND c_app_users LIKE %s    , '"%['.$user_id .']%"'
	 // var_dump($query_rsData);
	 // exit;

		$rsData = mysqli_query($connectMySqluser,$query_rsData);
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);

		do{
				array_push($jsondata['croom'],array(
				'id'=>$row_rsData["croom_id"],
				'name'=>$row_rsData["croom_label"],
				'qr' => $query_rsData

				));

		}while($row_rsData = mysqli_fetch_assoc($rsData));

		// if ( $row_rsData["croom_id"] == null) {
		// 	echo '0';
		// }else{
			header('Content-type: application/json; charset=utf-8');
		  	echo json_encode($jsondata);
		  	// echo $query_rsData;
			exit();
		// }
		

}



?>