<?php 
/*
feed.php
Version: 1
Desarrollado por: Upgrade Diseño Interactivo
Objetivo - Cambiar o finalizar una fase.
Consulta: Varias tablas según parametros POST
	[A] NEXT STEP
	[B] FINISH STEP
	

    Desarrollador: Selene Herrera 
    Fecha: 23 noviembre 2020
*/

$rootPath = 'https://mushroomproduction.org/sudi/mobile_app/';


require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../".$root_folder."/sudi_functions.php");

$debug = false;


if($debug == true){
    // $_POST['startprocess'] = true;
    // $_POST['double_id'] = 1;
    // var_dump($query_rsCode);
    // var_dump($totalRows_rsCode);
    // var_dump($query_rsInsertCode);
}

    // $db = $_COOKIE['db_client'];
    $login_client_company = $_POST['client'];

    // $m = $_COOKIE['user_mail'];
    $m = $_POST['mail'];


        if(isset($login_client_company) && $login_client_company != NULL){


        if(isset($login_client_company)){
            $db_client = $login_client_company;
            // $_SESSION['client'] = $_COOKIE['cli_db_name'];
    
        }

       
        $hostname_connectMySql = "localhost";

        $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
        $result = mysqli_query($GLOBALS['connectMySql'], $sql);
        $client_data = mysqli_fetch_assoc($result);

        $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
        $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
        $password_connectMySql = $client_data['cli_db_pass'];

        //unset($connection);
      

        $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
        $GLOBALS['connectMySqluser'] = $connectMySqluser;
        if (mysqli_connect_errno()) {
            echo "error";
            printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
            exit();
        }

      
    }


/* [A] NEXT STEP        siguiente fase */
if($_POST['nextstep']){
    $double_id =  $_POST['double_id'];
    $next_step =  $_POST['step'];
    $user_id =  $_POST['user_id'];
    $st = '';


   if ($next_step != 16) {
        $query_rsData = sprintf("UPDATE mh_doubles_tb SET dbl_step = %s , user_add = %s WHERE dbl_id = %s", $next_step , $user_id, $double_id);

        $rsData = mysqli_query($connectMySqluser,$query_rsData);
        $row_rsData = mysqli_fetch_assoc($rsData);
        $totalRows_rsData = mysqli_num_rows($rsData);
 
        if($rsData){
            // sí      
                echo "1";   


                //funcion para registrar brinco de fase
                if ( $_POST['step'] == 4 || $_POST['step'] == 6 || $_POST['step'] == 8 || $_POST['step'] == 10 || $_POST['step'] == 12 || $_POST['step'] == 14 ) {
                    
                    if($_POST['step'] == 4 ){ $st = 'PII';   }
                    if($_POST['step'] == 6 ){ $st = 'SPAWN'; }
                    if($_POST['step'] == 8 ){ $st = 'CASE';  }
                    if($_POST['step'] == 10){ $st = 'FB';    }
                    if($_POST['step'] == 12){ $st = 'SB';    }
                    if($_POST['step'] == 14){ $st = 'TB';    }

                            $query_rsSelectCode = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id= %s" ,$double_id);

                            $rsSelectCode = mysqli_query($connectMySqluser,$query_rsSelectCode);
                            $row_rsSelectCode = mysqli_fetch_assoc($rsSelectCode);
                            $totalRows_rsSelectCode = mysqli_num_rows($rsSelectCode);

                            if($rsSelectCode){


                                $query_rsData = sprintf("INSERT INTO app_values2_tb 
                                (v_dbl_id, 
                                v_unit_id, 
                                v_value_cat,
                                v_unit_cat_id,
                                v_type_unit, 
                                v_phase, 
                                v_data,
                                v_value, 
                                v_folio,
                                v_serial_sub,
                                v_type_compost,
                                user_add,
                                date_add) 
                                VALUES (%s, %s, %s, %s, %s, %s, %s, '%s', '%s', '%s',%s,%s , '%s')",  
                                $double_id, 
                                0,
                                0, 
                                0,
                                0, 
                                0,
                                0,
                                $st,
                                $row_rsSelectCode['dbl_folio'],
                                '',
                                $row_rsSelectCode['dbl_type_compost'],
                                $user_id,
                                $_POST['date']);

                                $rsData = mysqli_query($connectMySqluser,$query_rsData);
                                  if($rsData){
                                    $row_rsData = mysqli_fetch_assoc($rsData);
                                    $totalRows_rsData = mysqli_num_rows($rsData);
                                  }

                            }

                            
                }
        }else{
            // no     
                echo "0"; 
        }

   }else{
        
        $query_rsData = sprintf("UPDATE mh_doubles_tb SET dbl_finish = 1, dbl_step = 0 , user_add = %s WHERE dbl_id = %s", $user_id, $double_id);

        $rsData = mysqli_query($connectMySqluser,$query_rsData);
        $row_rsData = mysqli_fetch_assoc($rsData);
        $totalRows_rsData = mysqli_num_rows($rsData);
 
        if($rsData){
            // sí      
                echo "1";   
        }else{
            // no     
                echo "0"; 
        }

   }

} //end if post




/* [B] START PROCESS     white    */
if($_POST['startprocess']){
        $double_id =  $_POST['double_id'];
        $user_id =  $_POST['user_id'];
        $compost = $_POST['compost'];
        //tiempo del dispositivo
        $time =  $_POST['date'];

        //tipo de Mushroom white 0- or brown 1-
  
        $code = randomCode(6);
        $code_Mush = '0-'.$code;
        $query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = 1, dbl_finish=0, dbl_folio= '%s', dbl_type_compost = %s, user_add =%s WHERE dbl_id= %s" ,$code_Mush, $compost, $user_id, $double_id);

        $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

        if($rsUpdateCode){
        //si se hizo el update
        $st = 'START PROCESS';

        $query_rsData = sprintf("INSERT INTO app_values2_tb 
        (v_dbl_id, 
        v_unit_id, 
        v_value_cat,
        v_unit_cat_id,
        v_type_unit, 
        v_phase, 
        v_data,
        v_value, 
        v_folio,
        v_serial_sub,
        v_type_compost,
        user_add,
        date_add) 
        VALUES (%s, %s, %s, %s, %s, %s, %s, '%s', '%s', '%s',%s ,%s , '%s')", 
        $double_id, 
        0,
        0, 
        0,
        0, 
        0,
        0,
        $st,
        $code_Mush,
        '',
        $compost,
        $user_id,
        $time);

        $rsData = mysqli_query($connectMySqluser,$query_rsData);
        if($rsData){
            $row_rsData = mysqli_fetch_assoc($rsData);
            $totalRows_rsData = mysqli_num_rows($rsData);
                echo '1';
                   
                
                }else{
                //no se hizo el update

                echo 'no_ok';
                   
            }
      

            //echo 'exito';
        }else{
        //no se hizo el update

            echo 'no_ok';
           //echo $query_rsUpdateCode ;
        }

}// end post start

      

/* [C] START PROCESSb     Brown    */
if($_POST['startprocessb']){
        $double_id =  $_POST['double_id'];
        $user_id =  $_POST['user_id'];
        $compost = $_POST['compost'];

        //tiempo del dispositivo
        $time =  $_POST['date'];
    
        //tipo de Mushroom white 0- or brown 1-
  
        $code = randomCode(6);
        $code_Mush = '1-'.$code;
        $query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = 1, dbl_finish=0, dbl_folio= '%s',dbl_type_compost = %s, user_add =%s WHERE dbl_id= %s" ,$code_Mush, $compost,$user_id, $double_id);

        $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

        if($rsUpdateCode){
        //si se hizo el update
        $st = 'START PROCESS';

        $query_rsData = sprintf("INSERT INTO app_values2_tb 
        (v_dbl_id, 
        v_unit_id, 
        v_value_cat,
        v_unit_cat_id,
        v_type_unit, 
        v_phase, 
        v_data,
        v_value, 
        v_folio,
        v_serial_sub,
        v_type_compost,
        user_add,
        date_add) 
        VALUES (%s, %s, %s, %s, %s, %s, %s, '%s', '%s', '%s',%s,%s , '%s')",  
        $double_id, 
        0,
        0, 
        0,
        0, 
        0,
        0,
        $st,
        $code_Mush,
        '',
        $compost,
        $user_id ,
        $time);

        $rsData = mysqli_query($connectMySqluser,$query_rsData);
        if($rsData){
            $row_rsData = mysqli_fetch_assoc($rsData);
            $totalRows_rsData = mysqli_num_rows($rsData);
                echo '1';
                   
                
                }else{
                //no se hizo el update

                echo 'no_ok';
                   
            }
      

            //echo 'exito';
        }else{
        //no se hizo el update

            echo 'no_ok';
           //echo $query_rsUpdateCode ;
        }

}// end post start



/* [D] START AGAIN (restart)  White       */

if($_POST['restartprocess']){
        $double_id =  $_POST['double_id'];
        $user_id =  $_POST['user_id'];
        $compost = $_POST['compost'];

        //tipo de Mushroom white 0- or brown 1-
       
        $code = randomCode(6);
        $code_Mush = '0-'.$code;

        //tiempo del dispositivo
        $time =  $_POST['date'];

       // $query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = 1, dbl_finish=0, dbl_folio= '%s', user_add =%s WHERE dbl_id= %s" ,$code_Mush,$user_id, $double_id);
        $query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = 1, dbl_finish=0, dbl_folio= '%s', dbl_type_compost = %s, user_add =%s WHERE dbl_id= %s" ,$code_Mush, $compost, $user_id, $double_id);


        $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

        if($rsUpdateCode){
        //si se hizo el update
        $st = 'START AGAIN';
            // INSERT INTO `app_values2_tb`(`v_id`, `v_dbl_id`, `v_unit_id`, `v_unit_cat_id`, `v_type_unit`, `v_phase`, `v_folio`, `v_data`, `v_value`, `user_add`, `date_add`, `hideField`) VALUES ([value-1],[value-2],[value-3],[value-4],[value-5],[value-6],[value-7],[value-8],[value-9],[value-10],[value-11],[value-12])

        $query_rsData = sprintf("INSERT INTO app_values2_tb 
        (v_dbl_id, 
        v_unit_id, 
        v_value_cat,
        v_unit_cat_id,
        v_type_unit, 
        v_phase, 
        v_data,
        v_value, 
        v_folio,
        v_serial_sub,
        v_type_compost,
        user_add,
        date_add) 
        VALUES (%s, %s, %s, %s, %s, %s, %s, '%s', '%s', '%s',%s,%s , '%s')", 
        $double_id, 
        0, 
        0,
        0,
        0, 
        0,
        0,
        $st,
        $code_Mush,
        '',
        $compost,
        $user_id,
        $time);

        $rsData = mysqli_query($connectMySqluser,$query_rsData);
        if($rsData){
            $row_rsData = mysqli_fetch_assoc($rsData);
            $totalRows_rsData = mysqli_num_rows($rsData);
                echo '1';
                   
                
                }else{
                //no se hizo el update

                 echo 'no_ok';
                // echo $query_rsData ;
                   
            }
      

            //echo 'exito';
        }else{
        //no se hizo el update

            echo 'no_ok';
           //echo $query_rsUpdateCode ;
        }

}




/* [E] START AGAIN (restart)  Brown       */

if($_POST['restartprocessb']){
        $double_id =  $_POST['double_id'];
        $user_id =  $_POST['user_id'];
        $compost = $_POST['compost'];
        //tiempo del dispositivo
        $time =  $_POST['date'];


        //tipo de Mushroom white 0- or brown 1-
        $type_mush = '1-';
  
        $code = randomCode(6);
        $code_Mush = $type_mush . $code;

        $query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = 1, dbl_finish=0, dbl_folio= '%s',  dbl_type_compost = %s, user_add =%s WHERE dbl_id= %s" ,$code_Mush, $compost, $user_id, $double_id);

        $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

        if($rsUpdateCode){
        //si se hizo el update
        $st = 'START AGAIN';
            // INSERT INTO `app_values2_tb`(`v_id`, `v_dbl_id`, `v_unit_id`, `v_unit_cat_id`, `v_type_unit`, `v_phase`, `v_folio`, `v_data`, `v_value`, `user_add`, `date_add`, `hideField`) VALUES ([value-1],[value-2],[value-3],[value-4],[value-5],[value-6],[value-7],[value-8],[value-9],[value-10],[value-11],[value-12])
        $query_rsData = sprintf("INSERT INTO app_values2_tb 
        (v_dbl_id, 
        v_unit_id, 
        v_value_cat,
        v_unit_cat_id,
        v_type_unit, 
        v_phase, 
        v_data,
        v_value, 
        v_folio,
        v_serial_sub,
        v_type_compost,
        user_add,
        date_add) 
        VALUES (%s, %s, %s, %s, %s, %s, %s, '%s', '%s', '%s', %s, %s, '%s')", 
        $double_id, 
        0,
        0, 
        0,
        0, 
        0,
        0,
        $st,
        $code_Mush,
        '',
        $compost,
        $user_id,
        $time);

        $rsData = mysqli_query($connectMySqluser,$query_rsData);
        if($rsData){
            $row_rsData = mysqli_fetch_assoc($rsData);
            $totalRows_rsData = mysqli_num_rows($rsData);
                echo '1';
                   
                
                }else{
                //no se hizo el update
                echo $query_rsData ;
                //echo 'no_ok';
                   
            }
      

            //echo 'exito';
        }else{
        //no se hizo el update

            echo 'no_ok';
          // echo $query_rsUpdateCode ;
        }

}




/* [B] START PROCESS         */
if($_POST['startskip']){
        $double_id =  $_POST['double_id'];
        $user_id =  $_POST['user_id'];
        $compost = $_POST['compost'];
        //tiempo del dispositivo
        $time =  $_POST['date'];
        $step = $_POST['process_step'];

        //tipo de Mushroom white 0- or brown 1-
  
        $code = randomCode(6);
        $code_Mush = $_POST['pmush'].'-'.$code;
        $query_rsUpdateCode = sprintf("UPDATE mh_doubles_tb SET dbl_step = %s, dbl_finish=0, dbl_folio= '%s', dbl_type_compost = %s, user_add =%s WHERE dbl_id= %s" ,$step, $code_Mush, $compost, $user_id, $double_id);

        $rsUpdateCode = mysqli_query($connectMySqluser,$query_rsUpdateCode);
        $row_rsUpdateCode = mysqli_fetch_assoc($rsUpdateCode);
        $totalRows_rsUpdateCode = mysqli_num_rows($rsUpdateCode);

        if($rsUpdateCode){
        //si se hizo el update
        $st = 'START PROCESS';

        $query_rsData = sprintf("INSERT INTO app_values2_tb 
        (v_dbl_id, 
        v_unit_id, 
        v_value_cat,
        v_unit_cat_id,
        v_type_unit, 
        v_phase, 
        v_data,
        v_value, 
        v_folio,
        v_serial_sub,
        v_type_compost,
        user_add,
        date_add) 
        VALUES (%s, %s, %s, %s, %s, %s, %s, '%s', '%s', '%s',%s ,%s , '%s')", 
        $double_id, 
        0,
        0, 
        0,
        0, 
        0,
        0,
        $st,
        $code_Mush,
        '',
        $compost,
        $user_id,
        $time);

        $rsData = mysqli_query($connectMySqluser,$query_rsData);
        if($rsData){
            $row_rsData = mysqli_fetch_assoc($rsData);
            $totalRows_rsData = mysqli_num_rows($rsData);
                echo '1';
                   
                
                }else{
                //no se hizo el update

                // echo 'no_ok'; 
                    echo $query_rsData;
                   
            }
      

            //echo 'exito';
        }else{
        //no se hizo el update

            // echo 'no_ok';
           echo $query_rsUpdateCode ;
        }

}// end post start


?>