<?php 
/* login_validate.php
Descripción.- Este archivo realiza multiples funciones segun los parametros GET o POST
MODIFICADO EL 2 noviembre 2021 por Selene
*/


include ("../_sudiEngine/_engine/config.php");
include ("../../../".$root_folder."/connectMySqlPrueba.php");
include ("../../../".$root_folder."/sudi_functions.php");

		

// include ("../_phpClasses/class.Binnacle.inc");

// var_dump($root_folder);
// var_dump($GLOBALS['connectMySql']);

	// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}else{
		//header("Location: index.php "); exit;
	}


	// A) ---> VALIDATE SESSION
	if(isset($_GET['method']) && $_GET['method'] == 'validate_session'){ 
		if(isset($_SESSION['MM_Username'])){
			validate_userPass($_SESSION['MM_Username'],$_SESSION['MM_Password']);
		}elseif(isset($_COOKIE['APP_user_Cookie'])){
			
			validate_userPass($_COOKIE['APP_user_Cookie'],$_COOKIE['APP_pass_Cookie']);
		}else{
			echo "unsuccessful";	
		}
	}// <-- FIN DE "VALIDATE SESSION"
	
	
	// B) ---> C E R R A R   S E S I O N
	if(isset($_POST['method']) && $_POST['method'] == 'do_logout'){
		// destruimos todas las variables de sesión
		$_SESSION['MM_Username'] = NULL;
		unset($_SESSION['MM_Username']);
		$_SESSION['MM_Password'] = NULL;
		unset($_SESSION['MM_Password']);
		
		if (isset($_COOKIE['db_client'])) {
			
			setcookie("db_client", "", -1, "");
			setcookie("user_mail", "", -1, "");
			// setcookie("user_id", "", -1, "");


			unset($_COOKIE['db_client']);
       		unset($_COOKIE['user_mail']);
       		// unset($_COOKIE['user_id']);
			

		} 



		// session_destroy();
		
		echo "successful";
		exit;
	}
	
	// C) ---> E S T A B L E C E R  P A S S W O R D

	if (isset($_GET['method']) && ($_GET['method'] == 'set_new_pass')){
		
		//Consulta del código
		
		
		$requestPs_query=sprintf("SELECT * FROM sudi_passrequest_tb WHERE pass_code = %s", $_POST['input_passrequest']);
		echo $requestPs_query;
		//GetSQLValueString($_POST['input_passrequest'], "text")); 
			
		$request_rs = mysqli_query($connectMySql,$requestPs_query);
		$row_requestPs = mysqli_fetch_assoc($request_rs);
		$requestFoundUser = mysqli_num_rows($request_rs);
		
		$hourdiff = round((strtotime($fecha_actual) - strtotime($row_requestPs['pass_fecha']))/3600, 1);
		
		//Si la fecha es válida
		if($hourdiff <= 24 && !$row_requestPs['pass_used']){
			
			
			$theNewPassword = sha1($_POST['login_password']);
			
			// Actualizamos el password del usuario
			
			$requestPs_query=sprintf(
				"UPDATE sudi_users_tb
				SET user_password = %s
				WHERE user_id = %s",
		GetSQLValueString($theNewPassword, "text"),GetSQLValueString($row_requestPs['pass_user'], "int")); 
			
				$request_rs = mysqli_query($connectMySql,$requestPs_query);
			
			
			$requestPs_query=sprintf(
				"UPDATE sudi_passrequest_tb
				SET pass_used = '1'
				WHERE pass_code = %s",
		GetSQLValueString($_POST['input_passrequest'], "text")); 
			
				$request_rs = mysqli_query($connectMySql,$requestPs_query);
						
			
			echo "success";
			exit;
			
		}else{
			
			echo "unsuccessful";
			exit;
		}
	
		
	}


	// D) ---> R E C U P E R A R   P A S S W O R D
	
	
	if (isset($_GET['method']) && ($_GET['method'] == 'request_pass')){
		
		
		
		$requestPs_query=sprintf("SELECT user_id, user_username, user_fname, user_mname, user_fav_name, user_gender FROM sudi_users_tb WHERE user_username=%s AND hideField = 0;",
		GetSQLValueString($_POST['login_user'], "text")); 
			
		
		
		$request_rs = mysqli_query($connectMySql,$requestPs_query);
		$row_requestPs = mysqli_fetch_assoc($request_rs);
		$requestFoundUser = mysqli_num_rows($request_rs);
		
		if($requestFoundUser){
			
			switch ($row_requestPs['user_fav_name']){
				case 'f':
					$userName = $row_requestPs['user_fname'];
				break;
				case 'm':
					$userName = $row_requestPs['user_mname'];
				break;			
			}
				$userMail = $_POST['login_user'];
				
				
				$pass_user = $row_requestPs['user_id'];
				$pass_code = randomCode(10);
				
				
				$requestPs_query=sprintf(
				"INSERT INTO sudi_passrequest_tb (pass_user, pass_code) VALUES (%s, %s)",
		GetSQLValueString($pass_user, "int"),GetSQLValueString($pass_code, "text")); 
			
				$request_rs = mysqli_query($connectMySql,$requestPs_query);
				
				
				
				$user_gender = ($row_requestPs['user_gender']) ? 'Estimado ' : 'Estimada ' ;
				
				
				include('request_mail.php');
				
				
				mail($userMail, $asunto, utf8_decode($mailContent), $header);
				mail('natsumi@upgrade.com.mx', $asunto, utf8_decode($mailContent), $header);
				
			
			$requestData = array($userName,$userMail);
			print_r(json_encode($requestData));
			exit;
			
			
		}else{
			
			echo "unsuccessful";
			exit;
			
			
		}
		
		
		
	}
	
	
	// E) ---> V A L I D A R   L O G I N  F O R M        //se valida si es client en sudi_clients_tb
if (($_GET['method'] == 'validate_login' && isset($_POST['login_user']))){
	 // $_POST['login_user'] = 'upgrade_selene@foodsafetycts.com';
	 // $_POST['login_password'] = '1234';
	// setcookie("db_client", "", time() -3600,'/');

	setcookie("user_mail", "", time() -3600,'/');

	
// 'login_pre='+pre +'&'+ 'login_mail='mail;

// 	$u = $_POST['login_user'];
// 	$p = explode('_',$u);
// 	$prefijo = $p[0];
// 	$user_correo = $p[1];


	$prefijo = $_POST['login_pre'];
	$user_correo = $_POST['login_mail'];

	// sleep(10);

	// var_dump($u);
	// var_dump($prefijo);
	// var_dump($user_correo);

	// var_dump($dvd);
 	// var_dump($GLOBALS['connectMySql']);


	// var_dump($_POST['login_user']);
	// var_dump($_POST['login_password']);
	// var_dump($sql);
	$query_SqlClient = 'SELECT * from sudi_clients_tb where cli_name = "'.$prefijo.'" LIMIT 1';

	$rsSqlClient = mysqli_query($GLOBALS['connectMySql'],$query_SqlClient);
	$row_rsSqlClient = mysqli_fetch_assoc($rsSqlClient);
	$totalRows_rsSqlClient = mysqli_num_rows($rsSqlClient);
 
 	// var_dump($query_SqlClient);
 	// var_dump($row_rsSqlClient);
 	// var_dump($row_rsSqlClient['cli_db_name']);

	//database_connectMySql
 	$db_name = $row_rsSqlClient['cli_db_name'];

 	


	// $_COOKIE['db_client'];
	
	
	if (isset($db_name)){	
		//si es cliente

		// $_COOKIE['db_client'] = $db_name;
		// $loginClient = $_COOKIE['db_client'];


		// setcookie('db_client', $loginClient, time() + 2419200,'/','mushroomproduction.org', false, false);

		// setcookie("cli_db_name", $db_name,time() + 2419200);
		// // session_start();
		// // $_SESSION['client'] = $db_name;
		// 	// print_r($_COOKIE);
	  	$loginUsername = $user_correo;
		// setcookie("user_mail", $loginUsername, time() + 2419200,'/');


		

	 	$password = sha1($_POST['login_password']);


	 	do{
	 		//cli_version 0: Transilvania 1: California 
 			$cli_version = $row_rsSqlClient['cli_version'];
 		}while($row_rsSqlClient = mysqli_fetch_assoc($rsSqlClient));



		// echo 'hi';

		$sessionDataClient = array($loginUsername,$password, $db_name, $cli_version);
		print_r(json_encode($sessionDataClient));

		exit;


	}else{
		//no es cliente
		// var_dump($prefijo);
		// var_dump($user_correo);
		
		echo 'unsuccessful';
	}
} // <-- FIN DE "VALIDAR LOGIN FORM"





	
	// G) ---> V A L I D A R   L O G I N  F O R M USER   //validamos el usuario
	if (($_GET['method'] == 'validate_loginUser' )){
		$login_client_company = $_POST['login_client_company'];
		$loginUsername = $_POST['login_user_company'];
		$password = $_POST['login_password_company'];
		$type = $_POST['login_client_type'];


		// setcookie("cli_db_name", $loginUserClient,time() + 2419200);
		// session_start();
		// $_SESSION['client'] = $db_name;
			// print_r($_COOKIE);
	 
		// setcookie("user_mail", $loginUsername, time() + 2419200,'/');

		// var_dump($_COOKIE);
		// var_dump($_SESSION);

		 // var_dump($_POST['login_user_company']);
		 // var_dump($_POST['login_password_company']);

		

		// echo 'unsuccessful';
		validate_userPass($loginUsername,$password,$login_client_company, $type);
 	
 	} // <--- Fin de validate_loginUser();
	
	

	// M) ---> V A L I D A R  A U T O L O G I N  F O R M USER   //validamos el usuario
	if (($_GET['method'] == 'validate_autologin' )){
		
		$login_client_company = $_POST['autologin_client_company'];
		$loginUsername = $_POST['autologin_user_company'];
		$password = $_POST['autologin_password_company'];
		$type = $_POST['autologin_client_type'];


		// setcookie("cli_db_name", $loginUserClient,time() + 2419200);
		// session_start();
		// $_SESSION['client'] = $db_name;
			// print_r($_COOKIE);
	 
		// setcookie("user_mail", $loginUsername, time() + 2419200,'/');

		// var_dump($_COOKIE);
		// var_dump($_SESSION);

		 // var_dump($_POST['login_user_company']);
		 // var_dump($_POST['login_password_company']);

		

		// echo 'unsuccessful';
		validate_userPass($loginUsername,$password,$login_client_company, $type);
 	
 	} // <--- Fin de validate_autologin();	
		


	// F) ---> C O N S T R U I R   I N F O R M A C I O N   D E   U S U A R I O
	
	
	if(isset($_POST['method']) && $_POST['method'] == 'build_sudi'){
		
		$userInfo = getUserInfo($_POST['username'],$_POST['password']);
		
		$allData = array();
			$user_data = array();
			
			$allData['userData'] = array();
			$allData['menu_data'] = array();
			
			// Nombre de usuario
			$allData['userData']['user_username'] = $userInfo->user_username;
			// Nombre Favorito
			$allData['userData']['user_name'] = $userInfo->user_fav_name;
			// Apellido
			$lastName = explode(' ',trim($userInfo->user_lname));
			$allData['userData']['user_lname'] = $lastName[0];
			// Foto
			$allData['userData']['user_photo'] = $userInfo->user_photo;
			// Genero
			$allData['userData']['user_gender'] = $userInfo->user_gender;
			// Perfil
			$allData['userData']['user_profile'] = $userInfo->user_profile;
				
		print_r(json_encode($allData));
		exit;
		
	}
	
	

		
	// ---> F U N C I O N E S
	// SUDI_LOGIN_F.1 --> VALIDATE_USER_AND_PASSWORD
	function validate_userPass($loginUsername,$password,$login_client_company,$type){

		// if(isset($_COOKIE['db_client']) && $_COOKIE['db_client'] != NULL){

 		//$db_client = $_SESSION['client'];
		if(isset($login_client_company) && $login_client_company != NULL){


	    if(isset($login_client_company)){
	        $db_client = $login_client_company;
	       	// $_SESSION['client'] = $_COOKIE['cli_db_name'];
	
	    }

	   
		$hostname_connectMySql = "localhost";

	    $sql = 'SELECT * from sudi_clients_tb where cli_db_name = "'. $db_client.'" LIMIT 1';
	    $result = mysqli_query($GLOBALS['connectMySql'], $sql);
	    $client_data = mysqli_fetch_assoc($result);

	    $database_connectMySql = "mushroom_" . $client_data['cli_db_name'] . "_db";
	    $username_connectMySql = "mushroom_" . $client_data['cli_db_user'];
	    $password_connectMySql = $client_data['cli_db_pass'];


	    if($client_data['cli_version'] != $type){
	    	 
	    	//actualiza
	    	 $type_connectMySql = $client_data['cli_version'];
	    }else{
	    	$type_connectMySql = $client_data['cli_version'];
	    	
	    }
	   


	    //unset($connection);
	  

	    $connectMySqluser = new mysqli($hostname_connectMySql, "mushroom_" . $client_data['cli_db_user'], $client_data['cli_db_pass'], "mushroom_" . $client_data['cli_db_name']  . "_db");
	    $GLOBALS['connectMySqluser'] = $connectMySqluser;

	    //versión California  1  o Transilvania  0
	    $GLOBALS['type'] = $type_connectMySql;


	    if (mysqli_connect_errno()) {
	        echo "error";
	        printf("Conexi&oacute;n fallida: %s\n", mysqli_connect_error());
	        exit();
	    }

	  
	}


		$LoginRS__query=sprintf("SELECT app_user_id, app_user_name, app_user_mail, app_user_pass FROM app_users_tb WHERE app_user_mail=%s AND app_user_pass=%s AND hideField = 0",
		GetSQLValueString($loginUsername, "text"), GetSQLValueString($password, "text")); 

		 //var_dump($LoginRS__query);


		$LoginRS = mysqli_query($connectMySqluser,$LoginRS__query);
		$loginData = mysqli_fetch_assoc($LoginRS);
		$loginFoundUser = mysqli_num_rows($LoginRS);

		// var_dump($connectMySqluser);
		// var_dump($_COOKIE);
		// var_dump($loginData);
		
		//Si el login es exitoso 
		if ($loginFoundUser){

		// $_COOKIE['APP_userid_Cookie'] = $loginData['pat_id'];
		//$loginUserid = $_COOKIE['APP_userid_Cookie'];

			//Si nos pide que guardemos las cookies sesión
			//if(isset($_POST['saveSession']) && $_POST['saveSession'] == 'Yes')
			//{	

			setcookie("user_mail", "", time() -3600,'/');
			setcookie("user_mail", $loginUsername, time() + 2419200,'/');


				// setcookie("APP_userid_Cookie", $loginData['app_user_id'], time() + 2419200,'/');
				// setcookie("APP_user_Cookie", $loginData['app_user_mail'], time() + 2419200,'/');
				// setcookie("APP_pass_Cookie", $loginData['app_user_pass'], time() + 2419200,'/');

				// setcookie("user_ids", "", time() -3600,'/');
				// $loginUserid = $row_rsSqlClient['app_user_id'];
				// setcookie("user_id", $loginUserid, time() + 2419200,'/');
			
			//}
			
			if (PHP_VERSION >= 5.1) {session_regenerate_id(true);} else {session_regenerate_id();}
			//Declaramos el nombre de usuario en la sesión
			$_SESSION['MM_Usernid'] = $loginUserid;
			$_SESSION['MM_Username'] = $loginUsername;
			$_SESSION['MM_Password'] = $password;
			$_SESSION['MM_Type'] = $GLOBALS['type'];

			$sessionData = array($loginUsername,$password);

			print_r(json_encode($sessionData));
			// print_r($_COOKIE);
			
		//Si no coincide el login
		}else{
			// setcookie("db_client", "", time() -3600,'/');
			// print_r($GLOBALS['connectMySql']);
			// var_dump($_COOKIE['db_client']);
		     // print_r($_COOKIE);
			echo 'unsuccessful';
		    // var_dump($client_data);
			// var_dump($LoginRS__query);
			// var_dump($loginFoundUser);
			// var_dump($loginData);

			 // print_r($_COOKIE);
			 // print_r($GLOBALS);
			// var_dump($connectMySql);

			//exit;

		}
	} // <--- Fin de validate_userPass();



if($_POST['user']){
	if (!isset($_SESSION)) {
			    session_name('MM_Username');
			    session_start();
			}
	// echo "1";
			var_dump($_SESSION['MM_Username']);
	exit;
  $jsondata = array();
  /* C O D E */
  $jsondata['user']=array();



	// $m = $_COOKIE['user_mail'];
  	// 

  	$m = $_SESSION['MM_Username'];


  	// $m = 'eduardo@upgrade.com.mx';

	// $p = explode('_',$db);  'company'=>$prefijo,
	// $prefijo = $p[0];

	$query_rsData = sprintf("SELECT app_user_id, app_user_name, app_user_mail, app_user_pass FROM app_users_tb WHERE app_user_mail = '%s' AND hideField = 0", $m);
	 // echo $query_rsData;
	// var_dump($GLOBALS['$connectMySqluser']);
			 var_dump($connectMySqluser);

	 exit;

	$rsData = mysqli_query($connectMySqluser,$query_rsData);
	if($rsData){
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
	}
	if($totalRows_rsData){
		do{
			
			array_push($jsondata['user'],array(
			'id'=>$row_rsData['app_user_id'],
			'name'=>$row_rsData['app_user_name'],
			'mail'=>$m
		));
			
		}while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData=mysqli_fetch_assoc($rsData);
	}
  	// header('Content-type: application/json; charset=utf-8');
  	echo json_encode($jsondata);
	exit();
}




?>