<?php 

	/*
		#event_detail.php
			Muestra los detalles del evento seleccionado.
			1. Curso 2. Reunión 3. Guardia 4. Cumpleaños 5. Aniversario 6. Auditoria
	*/

//echo "Tipo de evento: " . $_POST['eve_type'];

// Cursos, 	Reuniones, Guardias, Cumpleaños, Aniversario
$eve_color = array('','#9aafd8','#61b5ca');
$eve_icon = array('','calendar-2','car-round','gallery-grid-view-2');

//QUERY

switch($_POST['eve_type']) {
	// A) CITAS DE PACIENTES
	case('1'):
		$query_rsData ="
			SELECT perm_id, perm_type, perm_date, perm_time, perm_reason, user_fname, user_mname, user_lname, user_sname, user_fav_name
			FROM permissions_tb, sudi_users_tb
			WHERE perm_user_id = user_id AND perm_id = ".$_POST['ses_id'];
		$rsData = mysqli_query($connectMySql,$query_rsData);
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);
		
		$arrayType = array('','Inasistencia','Llegar tarde','Salir temprano','Ausentismo temporal');
		
		$date = $row_rsData['perm_date'];
		$hour_ini = $row_rsData['perm_time'];
		$hour_end = $row_rsData['perm_time'];
		$user = $row_rsData['user_'.$row_rsData['user_fav_name'].'name'].' '.$row_rsData['user_lname'];	
		$title = $arrayType[$row_rsData['perm_type']];		
		$note = $row_rsData['perm_reason'];
	break;
	// B) USO DL GOL
	case('2'):
		$query_rsData = "
			SELECT car_id, car_date, car_out, car_int, car_use_reason, user_fname, user_mname, user_lname, user_sname, user_fav_name
			FROM binnacle_car_tb, sudi_users_tb
			WHERE car_user_id = user_id AND car_id = ".$_POST['ses_id'].";";
		// debug echo $query_rsData;
		$rsData = mysqli_query($connectMySql,$query_rsData);
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);	
		
		$date = $row_rsData['car_date'];
		$hour_ini = $row_rsData['car_out'];
		$hour_end = $row_rsData['car_int'];
		$user = $row_rsData['user_'.$row_rsData['user_fav_name'].'name'].' '.$row_rsData['user_lname'];
		$title = 'Uso del Gol';
		$note = $row_rsData['car_use_reason'];
	break;
	// C) ENTREGA DE PROYECTOS
	case('3'):
		$query_rsData = "
			SELECT proy_id, proy_name, proy_date_start, proy_date_end, proy_type, client_name, user_fname, user_mname, user_lname, user_fav_name
			FROM clients_proyects_tb, clients_tb, sudi_users_tb
			WHERE proy_client_id = client_id AND proy_user_id = user_id AND proy_id = ".$_POST['ses_id'].";";
		// debug echo $query_rsData;
		$rsData = mysqli_query($connectMySql,$query_rsData);
		$row_rsData = mysqli_fetch_assoc($rsData);
		$totalRows_rsData = mysqli_num_rows($rsData);	
		
		$arrayType = array('','Diseño web','Aplicaciones web','Diseño gráfico','Fotografía','Video');
		
		$date = $row_rsData['proy_date_end'];
		$date_ini = $row_rsData['proy_date_start'];
		$date_end = $row_rsData['proy_date_end'];
		$user = 'Responsable: '.$row_rsData['user_'.$row_rsData['user_fav_name'].'name'].' '.$row_rsData['user_lname'];
		$title = 'Entrega de proyecto <br/>'.$row_rsData['proy_name'];
		$note = 'Proyecto de '.$arrayType[$row_rsData['proy_type']].' desarrollado para el cliente '.$row_rsData['client_name'];
	break;
}

?>

<style type="text/css">

#birthday_detail {
	text-align:center;
	padding:20px 5px;
}

	#birthday_detail img {
		width:150px;
		height:auto;
		border-radius:50%;
		box-shadow:rgba(0,0,0,.3) 2px 2px 4px;
		margin-bottom:20px;
	}

	#birthday_detail p {
	    color: #23486f;
    	font-size: .8em;	
		margin:5px 0px;
	}
	
	#birthday_detail span {
	    color: #e9aa55;
    	font-size: 1.3em;
		margin:2px 0px;
	}
	
	#birthday_detail a{
		display:block;
	    background-color: #e9aa55;
		width:60%;
		color:#FFF;
    	font-size: 1em;
		padding:5px 0px;
		border-radius:4px;
		margin:20px auto;
	}
	
	
	#confeti_div {
		position:absolute; top:0; left:0; width:100%; height:400px; z-index:-1; background-image:url(http://i.giphy.com/120ErahsQyf1q8.gif); background-size:80px 80px; background-repeat:repeat;
	}
	
		#confeti_div div {
			position:absolute; top:0; left:0; width:inherit; height:inherit;
			background: -moz-linear-gradient(top,  rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%); 
			background: -webkit-linear-gradient(top,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%); 
			background: linear-gradient(to bottom,  rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%); 
			filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=0 ); /* IE6-9 */
		}

	
	/* CURSOS Y TALLERES */
	
		.r_panel_bar {
			display: block;
			width: 100%;
			height: 45px;
			background-color: #EAEAEA;
			color: #FFF;
			text-align: center;
			padding-top: 16px;
			box-sizing: border-box;
			font-size: .8em;
			padding-right: 46px;
		}	
	
		#right_container {
			padding:10px;
			box-sizing: border-box;
		}
	
		#right_container .foto{
			width:80px;
			height:80px;
			display: inline-block;
			float: inherit;
			vertical-align: middle;}
	
		.event_icon {
			text-align: center;
			margin: 20px auto;
			font-size: 3em;
			display: block;
			color: #69508e;
		}
		.event-title{
			font-size: 1.1em;
			color: #23486f;
			font-family: 'montserratregular';
		}
			.event-subtitle {
				font-size: .9em;
    			color: #4f3249;
			}
		#time-event{
			margin:30px auto;
			display:flex;
			width:80%;
			justify-content:center;
			align-items:center;}	
			#time-event .circle {
				border-radius: 50%;
				border: 1px solid #69508e;
				background-color: #ffffff;
				display: block;
				padding: 20px 8px;
			}
			#time-event .line{
				width:250px;
				height:2px;
				background-color:#69508e;
				}
	
			.event_description {
				font-size: .7em;
				margin: 10px auto;
				text-align: left;
				color: #323232;				

			}
			.event-part{
					padding: 1em;}	
			.event-part:nth-child(odd){
					 background-color: #e0e0e0;
			}	
				.event-part p{ 
					width: 45%;
					font-size: .7em;
					vertical-align: middle;
					display: inline-block;
				}	
	
			.event_download {
				display:block;
				width: 90%;
				background-color: #323232;
				color:#FFF;
				text-align: center;
				padding: 10px 0px;

			}
	
			.event_download:hover {
				background-color:#929292; 			
			}
			
			.event_download {
				display:block;
				width: 90%;
				background-color: #CACACA;
				color:#FFF;
				text-align: center;
				padding: 10px 0px;
				position:relative;
				margin: 0px auto;
				cursor: pointer;
			}
	
			.event_download img {
			
				position:absolute;
				top:5px;
				left: 10px;

			}
	
	.date_start {
			text-align: center;
			padding: 10px 0px;
			font-size: 1.5em;
			display: block;
			color: #685a7f;
		}
		.date_start i { vertical-align: middle; }
	.date_sep {
			text-align: center;
			font-size: 1.5em;
			display: block;
			color: #685a7f;	
		}
		.date_sep i { vertical-align: middle; }
	.date_end {
			text-align: center;
		    padding: 10px 0px;
			font-size: 1.5em;
			display: block;
			color: #685a7f;	
		}
		.date_end i { vertical-align: middle; }
	
</style>


	<div class="r_panel_bar" style="text-transform: uppercase; background-color:<?php echo $eve_color[$_POST['eve_type']]; ?>;"><?php echo dateFormat($date,'ddd',true); ?></div>
	<section id="right_container" style="min-height:100%;">
		
	
		<span id="close_comments" class="transition"><i class="icon icon-iconos-sudi-close"></i></span>
		
		<br>
		
        <span class="event_icon"><i class="icon icon-iconos-sudi-<?php echo $eve_icon[$_POST['eve_type']]; ?>"></i></span>
		
		<h1 class="event-title" style="color:<?php echo $eve_color[$_POST['eve_type']]; ?>;"><?php echo $title; ?></h1>
		<span class="event-subtitle"><?php echo $user; ?></span>
		<?php 
            switch($_POST['eve_type']) {
                case('1'):
                case('2'):
        ?>
            <div id="time-event">
                <section>
                    <span class="circle">
                     <?php echo substr($hour_ini,0,-3); ?>
                    </span>
                </section>
                <span class="line"></span>
                <section>
                    <span class="circle">
                    <span>
                    <?php echo substr($hour_end,0,-3); ?>
                    </span>
                    </span>
                </section>
            </div>
        <?php break; case('3'): ?>
        	<br/><br/>
        	<span class="date_start"><i class="icon icon-iconos-sudi-calendar-2"></i> <?php echo dateFormat($date_ini,'mm',false); ?></span>
            <span class="date_sep"><i class="icon icon-iconos-sudi-arrow-double-circle-2"></i></span>
            <span class="date_end"><i class="icon icon-iconos-sudi-calendar-2"></i> <?php echo dateFormat($date_end,'mm',false); ?></span>
            <br/><br/>
        <?php } ?>
        
        <p><?php echo $note; ?></p>
        
        <br><br>
        
        <div class="loadContent event_download" data-target="silence" data-content="_calendarAssets/calendar.php?type=iframe" data-post="location_:_Renew_&_description_:_<?php echo $title. ": " . $patient; ?>_&_dtstart_:_<?php echo $date; ?>_&_dtend_:_<?php echo $date; ?>_&_summary_:_<?php echo $title; ?>_&_url_:_http://app.renew.armoniaestetica.com/">
      		<img src="_files/_img/_calendar/outlook.svg" width="30"/> Descargar evento
        </div>
       
	</section><!-- right container-->


