<?php 

	$pdf = new pdf_creator;
	$pdf->pdf_title = $page_title;
	$pdf->pdf_head = $pdf_header;
	$pdf->pdf_body = $body;
	$pdf->pdf_footer = $pdf_footer;
	$pdf->pdf_style = $css_files;
	$pdf->pdf_size= $page_size;
	$pdf->margins = $page_margins;
	$pdf->orientation = $page_orientation;
	$pdf->output = $pdf_output;
	echo $pdf->display();
	/*

	=== $page_orientation: Es la orientación de la pagina.
		0.- Vertical
		1.- Horizontal
		
	=== $page_size: Es el tamaño de la imagen
	
		OPCIONES (case-insensitive)
		A0 - A10, B0 - B10, C0 - C10
		4A0, 2A0, RA0 - RA4, SRA0 - SRA4
		Letter, Legal, Executive, Folio
		Demy, Royal
		A (Type A paperback 111x178mm)
		B (Type B paperback 128x198mm)
		Ledger, Tabloid*
	
	=== $pdf_output: Determina si se muestra en el explorador, se descarga o hasta se envia por correo electronico
	
		OPCIONES
		I: send the file inline to the browser. The plug-in is used if available. The name given by filename is used when one selects the "Save as" option on the link generating the PDF.
		D: send to the browser and force a file download with the name given by filename.
		F: save to a local file with the name given by filename (may include a path).
		S: return the document as a string. filename is ignored.
	
	=== $page_margins: Es el margen en mm de la pagina (Izquierdo, Derecho, Superior, Inferior)
	
	=== <pagebreak type="NEXT-ODD" resetpagenum="1" pagenumstyle="i" suppress="off" />
	
		Este codigo va dentro del HTML y sirve para insertar una nueva hoja al PDF
	
*/

?>