<?php 
	// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}
	require_once('../_sudiEngine/_engine/config.php');
	// incluimos la conexión a la base de datos
	include ("../../../".$root_folder."/connectMySql.php");
	include ("../../../".$root_folder."/sudi_functions.php");
	
	
	
	$query_rsQuery = sprintf("SELECT COUNT(comm_id) as commentSize FROM sudi_comments_tb WHERE sudi_comments_tb.hideField = 0 AND comm_tb_id = %s AND comm_table = '%s';", $_POST['idRegistro'], $_POST['thisTable']); 
	$rsQuery = mysqli_query($connectMySql,$query_rsQuery);
	if($rsQuery){
		$row_rsQuery = mysqli_fetch_assoc($rsQuery);
	}
	if(!$row_rsQuery['commentSize']){
		echo "no_data";
		exit;
	}
	
	if($row_rsQuery['commentSize'] != $_POST['commentSize']){
		
		include("../_phpClasses/class.CurrentUser.inc");
		$thisUser = new current_user;
		
		$query_rsComments = sprintf("SELECT comm_id, comm_table, comm_tb_id, comm_note, comm_user_id, user_fname, user_mname, user_photo, user_fav_name, user_lname, item_date FROM sudi_comments_tb, sudi_users_tb WHERE comm_user_id = user_id AND sudi_comments_tb.hideField = 0 AND comm_tb_id = %s AND comm_table = '%s' ORDER BY item_date DESC, comm_id DESC", $_POST['idRegistro'], $_POST['thisTable']);
		var_dump($query_rsComments);
		$rsComments = mysqli_query($connectMySql,$query_rsComments);
		if($rsComments){
			$row_rsComments = mysqli_fetch_assoc($rsComments);
			$totalRows_rsComments = mysqli_num_rows($rsComments);
		}
?>
	<?php if($totalRows_rsComments){
		//
		$current_date = '';
		$current_user = '';
		do{
			
			echo ($current_date !== date('Y-m-d',strtotime($row_rsComments['item_date']))) ? '<span class="day_comment">'.dateFormat($row_rsComments['item_date'],'ddd',false).'</span>': '';
			 
			?>
		<section class="comment">
        	
    		<p>
            <?php 
			echo ($current_user !== $row_rsComments['comm_user_id']) ? '<span class="comment_name'.(($row_rsComments['comm_user_id'] == $thisUser->user_id) ? ' actual_user': '').'"><img src="'.$root_webapp_path . viewThumb($row_rsComments['user_photo']).'" />'.$row_rsComments['user_'.$row_rsComments['user_fav_name'].'name'].' '. $row_rsComments['user_lname'] .'</span> <br>': '';
			
			echo $row_rsComments['comm_note'];?></p>
			<sup><?php echo date('h:i a',strtotime($row_rsComments['item_date'])); ?></sup>
    	</section>
	<?php
	
		$current_date = date('Y-m-d',strtotime($row_rsComments['item_date']));
		$current_user = $row_rsComments['comm_user_id'];
	 }while($row_rsComments = mysqli_fetch_assoc($rsComments));}else{?>
		<div class="comment_out">
    		<p>Se el primero en comentar.</p>
    	</div>
	<?php }?>
<?php }else{
	echo 0;
}?>
