<?php
/*
	# temp_files_eraser
	# Versión 1 - SUDI v3.0
	# Octubre 2015
	# Elimina archivos no utilizados
		@CRON
		
*/

/* Conexión a Base de datos */
require_once('../../_sudiEngine/_engine/config.php');
require_once("../../../../".$root_folder."/connectMySql.php");
/* Funciones PHP */
include_once("../../../../".$root_folder."/sudi_functions.php");


// A) Seleccionamos todos los archivos

$query_rsElement = "SELECT * FROM sudi_temp_files WHERE file_date < now() - interval 1 day;";
		$rsElement = mysqli_query($connectMySql,$query_rsElement);
		$row_rsElement = mysqli_fetch_assoc($rsElement);
		$totalRows_rsElement = mysqli_num_rows($rsElement);
		if($totalRows_rsElement){
			
			$i = 0;
			do{
					
				// a.1 Eliminamos el registro de la bse de datos
				$query_rsDelete = sprintf("DELETE FROM sudi_temp_files WHERE file_path = %s",GetSQLValueString($row_rsElement['file_path'],'text'));
				
				if(mysqli_query($connectMySql,$query_rsDelete)){
					
					$i++;			
					// a.2 Si existe el archivo en el servidor, lo eliminamos
					if (file_exists('../../'.$row_rsElement['file_path'])){
						if(unlink('../../'.$row_rsElement['file_path'])){
							
							// a.3 Eliminar miniatura si existe
							
							$thumbnail = viewThumb($row_rsElement['file_path']);
							if (file_exists('../../'.$thumbnail)){ unlink('../../'.$thumbnail); } // if thumb exists (end)
						} // if unlinked main file (end)
					} // if file exist (end)
				}else { // if query (end)
					echo "Los registros no son validos para eliminar";
				}
			}while($row_rsElement = mysqli_fetch_assoc($rsElement));
			
			echo "Registros eliminados: ". $i;
			
		}else{
			echo "Nada que hacer";
		}


?>