<?php 

//Condicional para verificar si isset $_POST['DB'] - EIPA
$root_folder = 'sudi_assets';

if(isset($_COOKIE["db_client"]) && $_COOKIE["db_client"] != ""){
	$GLOBALS['db_client'] = $_COOKIE["db_client"];
}
//Fin Condicional - EIPA

/* login_validate.php
Descripción.- Este archivo realiza multiples funciones segun los parametros GET o POST
*/
include ("../_sudiEngine/_engine/config.php");
include ("../../../".$root_folder."/connectMySql.php");
include ("../../../".$root_folder."/sudi_functions.php");
include ("../_phpClasses/class.Binnacle.inc");

	// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}else{
		//header("Location: index.php "); exit;
	}


	// A) ---> VALIDATE SESSION
	if(isset($_GET['method']) && $_GET['method'] == 'validate_session'){ 
		if(isset($_SESSION['MM_Username'])){
			validate_userPass($_SESSION['MM_Username'],$_SESSION['MM_Password']);
		}elseif(isset($_COOKIE['SUDI_user_Cookie'])){
			validate_userPass($_COOKIE['SUDI_user_Cookie'],$_COOKIE['SUDI_pass_Cookie']);
		}else{
			echo "unsuccessful";	
		}
	}// <-- FIN DE "VALIDATE SESSION"
	
	
	// B) ---> C E R R A R   S E S I O N
	if(isset($_POST['method']) && $_POST['method'] == 'do_logout'){
		// destruimos todas las variables de sesión
		$_SESSION['MM_Username'] = NULL;
		unset($_SESSION['MM_Username']);
		$_SESSION['MM_Password'] = NULL;
		unset($_SESSION['MM_Password']);
       // doctum  
		$_SESSION['db_client'] = NULL;

		
		if(isset($_COOKIE['SUDI_user_Cookie'])){
			unset($_COOKIE['SUDI_user_Cookie']);
			unset($_COOKIE['SUDI_pass_Cookie']);
			// doctum   
			unset($_COOKIE['db_client']);
			setcookie('SUDI_user_Cookie', null, -1, '/');
			setcookie('SUDI_pass_Cookie', null, -1, '/');
		}
		
		session_destroy();
		
		echo "successful";
		exit;
	}
	
	// C) ---> E S T A B L E C E R  P A S S W O R D

	if (isset($_GET['method']) && ($_GET['method'] == 'set_new_pass')){
		
		//Consulta del código
		
		
		$requestPs_query=sprintf("SELECT * FROM sudi_passrequest_tb WHERE pass_code = %s",
		GetSQLValueString($_POST['input_passrequest'], "text")); 
			
		$request_rs = mysqli_query($connectMySql,$requestPs_query);
		$row_requestPs = mysqli_fetch_assoc($request_rs);
		$requestFoundUser = mysqli_num_rows($request_rs);
		
		$hourdiff = round((strtotime($fecha_actual) - strtotime($row_requestPs['pass_fecha']))/3600, 1);
		
		//Si la fecha es válida
		if($hourdiff <= 24 && !$row_requestPs['pass_used']){
			
			
			$theNewPassword = sha1($_POST['login_password']);
			
			// Actualizamos el password del usuario
			
			$requestPs_query=sprintf(
				"UPDATE sudi_users_tb
				SET user_password = %s
				WHERE user_id = %s",
		GetSQLValueString($theNewPassword, "text"),GetSQLValueString($row_requestPs['pass_user'], "int")); 
			
				$request_rs = mysqli_query($connectMySql,$requestPs_query);
			
			
			$requestPs_query=sprintf(
				"UPDATE sudi_passrequest_tb
				SET pass_used = '1'
				WHERE pass_code = %s",
		GetSQLValueString($_POST['input_passrequest'], "text")); 
			
				$request_rs = mysqli_query($connectMySql,$requestPs_query);
						
			
			echo "success";
			exit;
			
		}else{
			
			echo "unsuccessful";
			exit;
		}
	
		
	}


	// D) ---> R E C U P E R A R   P A S S W O R D
	
	
	if (isset($_GET['method']) && ($_GET['method'] == 'request_pass')){
		
		
		
		$requestPs_query=sprintf("SELECT user_id, user_username, user_fname, user_mname, user_fav_name, user_gender FROM sudi_users_tb WHERE user_username=%s AND hideField = 0;",
		GetSQLValueString($_POST['login_user'], "text")); 
			
		
		
		$request_rs = mysqli_query($connectMySql,$requestPs_query);
		$row_requestPs = mysqli_fetch_assoc($request_rs);
		$requestFoundUser = mysqli_num_rows($request_rs);
		
		if($requestFoundUser){
			
			switch ($row_requestPs['user_fav_name']){
				case 'f':
					$userName = $row_requestPs['user_fname'];
				break;
				case 'm':
					$userName = $row_requestPs['user_mname'];
				break;			
			}
				$userMail = $_POST['login_user'];
				
				
				$pass_user = $row_requestPs['user_id'];
				$pass_code = randomCode(10);
				
				
				$requestPs_query=sprintf(
				"INSERT INTO sudi_passrequest_tb (pass_user, pass_code) VALUES (%s, %s)",
		GetSQLValueString($pass_user, "int"),GetSQLValueString($pass_code, "text")); 
			
				$request_rs = mysqli_query($connectMySql,$requestPs_query);
				
				
				
				$user_gender = ($row_requestPs['user_gender']) ? 'Estimado ' : 'Estimada ' ;
				
				
				include('request_mail.php');
				
				
				mail($userMail, $asunto, utf8_decode($mailContent), $header);
				mail('natsumi@upgrade.com.mx', $asunto, utf8_decode($mailContent), $header);
				
			
			$requestData = array($userName,$userMail);
			print_r(json_encode($requestData));
			exit;
			
			
		}else{
			
			echo "unsuccessful";
			exit;
			
			
		}
		
		
		
	}
	
	
	// E) ---> V A L I D A R   L O G I N  F O R M
	if (($_GET['method'] == 'validate_login' && isset($_POST['login_user'])))
	{
		if (isset($_POST['login_user']))
		{		
			$loginUsername = $_POST['login_user'];
			$password = sha1($_POST['login_password']);
		}else
		{
			$loginUsername = $_COOKIE['SUDI_user_Cookie'];
			$password = $_COOKIE['SUDI_pass_Cookie'];
		}
		

		validate_userPass($loginUsername,$password);

		

		
		
	} // <-- FIN DE "VALIDAR LOGIN FORM"


	// F) ---> C O N S T R U I R   I N F O R M A C I O N   D E   U S U A R I O
	
	
	if(isset($_POST['method']) && $_POST['method'] == 'build_sudi'){
		
		$userInfo = getUserInfo($_POST['username'],$_POST['password']);
		
		$allData = array();
			$user_data = array();
			
			$allData['userData'] = array();
			$allData['menu_data'] = array();
			
			// Nombre de usuario
			$allData['userData']['user_username'] = $userInfo->user_username;
			// Nombre Favorito
			$allData['userData']['user_name'] = $userInfo->user_fav_name;
			// Apellido
			$lastName = explode(' ',trim($userInfo->user_lname));
			$allData['userData']['user_lname'] = $lastName[0];
			// Foto
			$allData['userData']['user_photo'] = $userInfo->user_photo;
			// Genero
			$allData['userData']['user_gender'] = $userInfo->user_gender;
			// Perfil
			$allData['userData']['user_profile'] = $userInfo->user_profile;
			
		echo $_POST["DB"];

		print_r(json_encode($allData));
		exit;
		
	}
	
	
	
	// ---> F U N C I O N E S
	// SUDI_LOGIN_F.1 --> VALIDATE_USER_AND_PASSWORD
	function validate_userPass($loginUsername,$password){
		$LoginRS__query=sprintf("SELECT user_id, user_username, user_password FROM sudi_users_tb WHERE user_username=%s AND user_password=%s AND user_status=1",
		GetSQLValueString($loginUsername, "text"), GetSQLValueString($password, "text")); 
		$LoginRS = mysqli_query($GLOBALS['connectMySql'],$LoginRS__query);
		$loginFoundUser = mysqli_num_rows($LoginRS);
		$loginData = mysqli_fetch_assoc($LoginRS);

		// echo $database_connectMySql;
		//Si el login es exitoso
		if ($loginFoundUser)
		{
			//Si nos pide que guardemos sesión
			if(isset($_POST['saveSession']) && $_POST['saveSession'] == 'Yes')
			{	
				setcookie("SUDI_user_Cookie", $loginUsername, time() + 2419200,'/');
				setcookie("SUDI_pass_Cookie", $password, time() + 2419200,'/');

			}
			if (PHP_VERSION >= 5.1) {session_regenerate_id(true);} else {session_regenerate_id();}
			//Declaramos el nombre de usuario en la sesión
			$_SESSION['MM_Username'] = $loginUsername;
			$_SESSION['MM_Password'] = $password;
			$_SESSION['MM_version'] = $GLOBALS['version_connectMySql'];

			// var_dump($GLOBALS['connectMySql']);

			$sessionData = array($loginUsername,$password);
			print_r(json_encode($sessionData));
			
			
			$thisBinaccle = new binnacle($loginData['user_id'],'','','','login');
			
			
			exit;
		//Si no coincide el login
		}else
		{
			echo 'unsuccessful';

		}
	} // <--- Fin de validate_userPass();



?>