<?php 

/*
	main_menu.php
		Este archivo es cargado mediante Ajax para generar los vínculos a las secciones en el menú principal del SUDI

*/

// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}



require_once("../_sudiEngine/_engine/config.php");
/* Conexión a Base de datos */
include_once("../../../".$root_folder."/connectMySql.php");
/* Funciones*/
include_once("../../../".$root_folder."/sudi_functions.php");


//incluimos la clase "current_user"
require '../_phpClasses/class.CurrentUser.inc';
$thisUser = new current_user;

?>
<style type="text/css">
	
	#mobile_user_options li { display: flex; width: 100%; height: 65px; }
	#mobile_user_options li span { display: inline-flex; color: #bcbcbc; width:65px; justify-content: center; align-items: center;}
	#mobile_user_options li p { display: inline-flex; text-align: left; color: #4f4f4f; width: calc(100% - 65px); border-bottom:#c1c1c1 solid thin; align-items: center;  }
</style>

<div id="mobile_user_info">
	<img src="<?php echo $root_webapp_path . $thisUser->user_photo; ?>"/>
	<p><?php echo $thisUser->user_name . " " .$thisUser->user_lname; ?> <span><?php echo $thisUser->user_username; ?></span></p>
<span id="close_comments" class="transition"><i class="icon icon-iconos-sudi-close-mini"></i></span>
</div><!-- mobile_user_info-->

<div id="mobile_user_options">
	<li id="dev_token">
		<span>
			<i class="icon icon-iconos-sudi-apple-store"></i>
		</span>
	<p>Device token</p>
	</li>
	<li id="do_logout">
		<span>
			<i class="icon icon-iconos-sudi-arrow-in-left"></i>
		</span>
	<p>Cerrar sesión</p>
	</li>
	
	
	<img src="https://upgrade.com.mx/sudi/_includes/_img/themes/logos/logo_sudi_bk.svg" />
</div><!-- #mobile_user_options -->