<?php 
	// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}

	require_once("../_sudiEngine/_engine/config.php");
	/* Conexión a Base de datos */
	include_once("../../../".$root_folder."/connectMySql.php");
	/* Funciones*/
	include_once("../../../".$root_folder."/sudi_functions.php");

	// include ("../../../sudi_assets/connectMySql.php"); 
	// require ("../../../sudi_assets/sudi_functions.php"); 
	require ("../_phpClasses/class.Sections.inc"); 
	require ("../_phpClasses/class.SpryDatePicker.inc");
	require ("./inputs.php");
	
	//$data_id = 18;

	$data_id = ( $_POST['report_data'] ) ? $_POST['report_data'] : '';

	//var_dump($_POST['report_data']);

	$date1 = ( $_POST['dateStart'] ) ? $_POST['dateStart'] : date('Y-m-01');
	$date2 = ( $_POST['dateFin'] ) ? $_POST['dateFin'] : date('Y-m-d');
	$data_phase = ( $_POST['report_phase'] == -1) ? '' : 'AND v_phase =' . $_POST['report_phase'] ;
	$data_double = ( $_POST['report_double'] == -1 ) ?  '' :'AND v_dbl_id =' . $_POST['report_double'] ;
	
	$query_rsData = sprintf("
		SELECT v_value as Value, date_add as Dates,  v_unit_id, v_unit_cat_id, v_type_unit 
		FROM app_values2_tb
		WHERE v_data = '%s'  %s  %s AND date_add BETWEEN '%s' AND '%s' AND hideField = 0
		", 
		$data_id, $data_phase, $data_double, $date1.' 00:00:00', $date2.' 23:59:59'
	);
 	
 	

	
	$rsData = mysqli_query($connectMySql,$query_rsData);
	$row_rsData = mysqli_fetch_assoc($rsData);
	$totalRows_rsData = mysqli_num_rows($rsData);

	$jsondata = array();
  	$jsondata['units'] = array();

  	/****************** D E B U G ************************************************
  	// echo $query_rsData;
	// var_dump( $row_rsData );
	*****************************************************************************/
	do {
				
			// if ( $row_rsData['v_type_unit']== '1') {

			switch ($row_rsData['v_type_unit']) {
			/*TIPO 1 si el dato es tipo Data*/
			case '1':
				$query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $row_rsData['v_unit_id'] );
		    	 		$rsUnit = mysqli_query($connectMySql,$query_rsUnit);
		                $row_rsUnit = mysqli_fetch_assoc($rsUnit);

		                if( $rsUnit ) { 
						   //echo $row_rsUnit['unit_value'];
						   $unit = $row_rsUnit['unit_value'];
						   array_push($jsondata['units'], $unit);
						   //array_push($jsondata['units'], $row_rsUnit['unit_value']);
						}
					 
			/*TIPO 1 si el dato es tipo Data*/
			/*FIN TIPO 1*/
			break;
				// array_push($jsondata['units'], $unit);
			// }else ($row_rsData['v_type_unit']== '2') {
			case '2':

				//buscamos en la tabla indexada la relación respecto al tipo de data que es 
					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );
					//echo $query_rsIndexCatalogs;

					$rsIndexCatalogs = mysqli_query($connectMySql,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);

	                if( $rsIndexCatalogs ) { 
	                //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	                $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $row_rsData['v_unit_id']);
	                
	                //echo $query_rsCatalog ;

	                $rsCatalog = mysqli_query($connectMySql,$query_rsCatalog);
	                $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	               
		                    if( $rsCatalog ) { 
								$unit = $row_rsCatalog['cat_value'];
								array_push($jsondata['units'], $unit);
		                    }else{
		                   		$unit = '';
		                   		array_push($jsondata['units'], $unit);
		                   	}

	                }
			/*FIN TIPO 2*/
			break;	
			case '4':

			// }else ($row_rsData['v_type_unit']== '4') {
					$query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $row_rsData['v_unit_id'] );
		    	 		$rsUnit = mysqli_query($connectMySql,$query_rsUnit);
		                $row_rsUnit = mysqli_fetch_assoc($rsUnit);

		                if( $rsUnit ) { 
						   //echo $row_rsUnit['unit_value'];
						   $unit = $row_rsUnit['unit_value'];
						   array_push($jsondata['units'], $unit);
				
						 }
			
			/*FIN TIPO 4*/
			break;
			} //end switch
				/*
				//buscamos en la tabla indexada la relación respecto al tipo de data que es 
					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );
					//echo $query_rsIndexCatalogs;

					$rsIndexCatalogs = mysqli_query($connectMySql,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);

	                if( $rsIndexCatalogs ) { 
	                //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	                $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $row_rsData['v_unit_id']);
	                
	                //echo $query_rsCatalog ;

	                $rsCatalog = mysqli_query($connectMySql,$query_rsCatalog);
	                $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	               
		                    if( $rsCatalog ) { 
								$unit = $row_rsCatalog['cat_value'];
								array_push($jsondata['units'], $unit);
		                    }else{
		                   		$unit = '';
		                   		array_push($jsondata['units'], $unit);
		                   	}

	                }    
	            */
				
			// }

		} while($row_rsData = mysqli_fetch_assoc($rsData));
		mysqli_data_seek($rsData,0);
		$row_rsData = mysqli_fetch_assoc($rsData);

	//var_dump($query_rsData);



	 //var_dump($jsondata);
				
	//header('Content-type: application/json; charset=utf-8');
  	//echo json_encode($jsondata);
  	
  	//$array = json_decode($jsondata);  
  	//$end = count($array);

	
   	 //$array = json_decode($jsondata['units']); 
  //  	 $end = count($array);

  //  	 for ($i=0; $i < $end; $i++) {
	 //   		echo $array[$i];
	 // }
	 					
 //  						for ($i=0; $i < $end; $i++) {
	//   						echo $array[$i];
	// }

		
?>

<!-- 			$.each(data.doubles, function( index, value ) {
					$('#double_menu').children('ul').append('<li data-double="'+value.id+'">'+value.name+' <img alt="double_step" src="img/icons/'+value.step_img+'"/></li>');
				}); 
						// $d = explode(' ', $row_rsData['date_add']); 
     //                echo $d[0]; 

      <?php // $d = explode(' ', $row_rsData['Dates']); ?>
                         '<?php //echo $d[0]; ?>',   
-->
<style type="text/css">
	#info_container { height: auto; }

	.form-control{
		position: relative;
		display: inline-block;
		/* height: auto; */
		/* margin: 20px 0px; */
		vertical-align: top;
		box-sizing: border-box;
		font-family: 'montserratlight';
		border-radius: 20px;
		border: #025784 1px double !important;
		color: #017dbe;
	}

	d-flex{ margin: 0px 20px; }
</style>
<!-- Grafica que muestra la fuente de como se enteraron de la clínica  -->
<script>

var picker = new Lightpick({
		field: document.getElementById('demo-3_1'),
		singleDate: false,
		selectForward: true,
		firstDay:7,
		lang: 'en-US',
		format: "YYYY-MM-DD",
		onSelect: function(start, end){
			var str = '';
			str += start ? start.format('Do MMMM YYYY') + ' to ' : '';
			str += end ? end.format('Do MMMM YYYY') : '...';
			// document.getElementById('result-7').innerHTML = str;
		}
	});
</script>


<!-- Grafica que muestra la fuente de como se enteraron de la clínica  -->
<?php if( $totalRows_rsData ) {  //echo $row_rsData;	?>
<script>
	var ctx = document.getElementById("myChart");

	var myChart = new Chart(ctx, {
		type: 'line',
		data: {
			labels: [
			  <?php do {  ?>
                   <?php $d = explode(' ', $row_rsData['Dates']); ?>
                    '<?php echo $d[0]; ?>',
			  	<?php 
					} while($row_rsData = mysqli_fetch_assoc($rsData)); 
					mysqli_data_seek($rsData,0);
					$row_rsData = mysqli_fetch_assoc($rsData);
				?> 
			],
			datasets: [{
				label: "Values",
				data: [
					<?php do { 	?>
					<?php echo $row_rsData['Value'];?> ,
					<?php 	
						} while($row_rsData = mysqli_fetch_assoc($rsData)); 
						mysqli_data_seek($rsData,0);
						$row_rsData = mysqli_fetch_assoc($rsData);

						
					?>  
					
				],
				fill: false,
				backgroundColor : 'rgba(2,87,132,1)',
                borderColor : 'rgba(1, 125, 190, 1)',
				borderWidth: 2

			}],
		},
		fill: false,
		options: {
			tooltips: {
                enabled: true,  
                callbacks: {
                    label: function(tooltipItem, data) {
                    	console.log(data);
                    

                        var value = data.datasets[0].data[tooltipItem.index];
                        
                        return value+'  ';
                    }
                }
            },

			scales: {
				
				yAxes: [{
					ticks: {
						beginAtZero:true,
						maxTicksLimit: 20,
						
					}
				}]
			}
			
		}
	});

</script>
<?php  } ?>

<style type="text/css">
	#info_container { height: auto; }
</style>

<div id="crumb_nav">
	<span class="crumb_nav_btn loadContent" data-target="main" data-content="_phpEngine/home.php">Home</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_btn loadContent" data-target="main" data-content="_reportAssets/_report_list.php">Reports</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_txt">Reference</span>
</div>


<!-- 
<p id="result-3">Select date</p> -->
<div style="display: flex; justify-content: center;">
	<div class="d-flex">	
		<label for="item_date" class="label_spry">Select Date</label>
		<input type="text" id="demo-3_1" class="form-control form-control-sm aTextField" value="<?php echo $date1." - ".$date2; ?> ">
	</div>

	<!-- <div class="d-flex">
		<label for="item_date" class="label_spry">End Date</label>
		<input type="text" id="demo-3_2" class="form-control form-control-sm aTextField" value="<?php echo $date2; ?>">
	</div> -->
</div>

<section class="report_container" id="report_search_content">  
    <div class="upload_reports_results">
		<?php 
			
            // $date_start = new input_datepicker;
            // $date_start->spry = "spryFechaIni";
            // $date_start->name = "item_date";
            // $date_start->label = "Start Date";
            // $date_start->showM = true;
            // $date_start->showY = true;
            // $date_start->action = $action;
            // $date_start->required = false;
            // $date_start->class = "report_date_start";
            // $date_start->size = "3x";
			// $date_start->action = "edit";
			// $date_start->data = $date1;
            // echo $date_start->display();
			
			// $date_fin = new input_datepicker;
            // $date_fin->spry = "spryFechaFin";
            // $date_fin->name = "item_date";
            // $date_fin->label = "End Date";
            // $date_fin->showM = true;
            // $date_fin->showY = true;
            // $date_fin->action = $action;
            // $date_fin->required = false;
            // $date_fin->class = "report_date_end";
            // $date_fin->size = "3x";
			// $date_fin->action = "edit";
			// $date_fin->data = $date2;
            // echo $date_fin->display();

            $query_rsUser = sprintf("SELECT * FROM app_datas_tb WHERE type_data =1  AND hideField = 0 ORDER BY data_label ASC;");
			$rsUser = mysqli_query($connectMySql,$query_rsUser);
			$row_rsUser = mysqli_fetch_assoc($rsUser);
			$totalRows_rsUser = mysqli_num_rows($rsUser);

			$arrayUser = array();
			do {
				array_push($arrayUser,array(
					$row_rsUser['data_label'] ,$row_rsUser['data_id']
				));
			} while( $row_rsUser = mysqli_fetch_assoc($rsUser) );

			$data_label = new input_select;
			$data_label->spry = "spryData";
			$data_label->name = "item_data";
			$data_label->label = "Data";
			$data_label->title = "Select";
			$data_label->tooltip = "Select a data.";
			$data_label->options = $arrayUser;
			$data_label->required = false;
			$data_label->class = 'report_data';
			$data_label->size = "4x";
			$data_label->action = "edit";
			$data_label->data = ( $data_id ) ? $data_id : '-1';
			echo $data_label->display();

			$query_rsPhase = sprintf("SELECT * FROM app_phases_tb WHERE hideField = 0 AND phase_id <> 0 ORDER BY phase_id ASC;");
			$rsPhase = mysqli_query($connectMySql,$query_rsPhase);
			$row_rsPhase = mysqli_fetch_assoc($rsPhase);
			$totalRows_rsPhase = mysqli_num_rows($rsPhase);

			$arrayPhase = array();
			do {
				array_push($arrayPhase,array(
					$row_rsPhase['phase_label'] ,$row_rsPhase['phase_id']
				));
			} while( $row_rsPhase = mysqli_fetch_assoc($rsPhase) );

			$phase = new input_select;
			$phase->spry = "spryPhase";
			$phase->name = "v_phase";
			$phase->label = "Step";
			$phase->title = "Select";
			$phase->tooltip = "Select Phase.";
			$phase->options = $arrayPhase;
			$phase->required = false;
			$phase->class = 'report_phase';
			$phase->size = "4x";
			$phase->action = "edit";
			$phase->data = ( $data_phase ) ? $data_phase : '-1';
			echo $phase->display();

			$query_rsDouble = sprintf("SELECT * FROM mh_doubles_tb WHERE hideField = 0 ORDER BY dbl_label ASC;");
			$rsDouble = mysqli_query($connectMySql,$query_rsDouble);
			$row_rsDouble = mysqli_fetch_assoc($rsDouble);
			$totalRows_rsDouble = mysqli_num_rows($rsDouble);

			$arrayDouble = array();
			do {
				array_push($arrayDouble,array(
					$row_rsDouble['dbl_label'] ,$row_rsDouble['dbl_id']
				));
			} while( $row_rsDouble = mysqli_fetch_assoc($rsDouble) );

			$double = new input_select;
			$double->spry = "spryDouble";
			$double->name = "v_dbl_id";
			if($_COOKIE['db_type'] == 0) {
				$double->label = "House";
			} else{
				$double->label = "Crop";
			}
			$double->title = "Select";
			$double->tooltip = "Select House.";
			$double->options = $arrayDouble;
			$double->required = false;
			$double->class = 'report_double';
			$double->size = "4x";
			$double->action = "edit";
			$double->data = ( $data_double ) ? $data_double : '-1';
			echo $double->display();
        ?>
        <br/>
        <span class="report_search_btn" id="report_search_js" style="background-color: #145884;" data-type="report" data-enterprise="mother"><i class="icon icon-iconos-sudi-search-right-2"></i></span>
   		<span class="report_search_btn loadContent" data-target="main" data-content="_reportAssets/_report_list.php"><i class="icon icon-iconos-sudi-arrow-repeat-7"></i></span>
 	</div>
</section>	

<?php if( $totalRows_rsData ) { ?>

	<h4 style="padding-left: 20px; margin-top: 20px; margin-bottom: 10px;">Between the <strong><?php echo dateFormatEnglish($date1,'mmm',false).' and the '.dateFormatEnglish($date2,'mmm',false); ?><strong> 
	</h4>

	<div id="chartdiv">
		<canvas id="myChart" width="250px" height="250px"></canvas>
	</div>

    <section class="sudi_tb_container"> 
        <div class="st_head">
            <div class="st_item"><i class="icon icon-iconos-sudi-fileboard-checklist"></i>Date</div><!-- .st_item -->
            <div class="st_item"><i class="icon icon-iconos-sudi-control"></i>Value</div><!-- .st_item -->
            <div class="st_item"><i class="icon icon-iconos-sudi-control"></i>Unit</div><!-- .st_item -->

        </div><!-- .st_head -->
        <div class="sudi_tb_item_container">
            <?php do {  ?>
                <div class="st_row sudi_table_row" oncontextmenu="return false;">
                    <div class="st_item st_row_title">
                        <i class="icon icon-iconos-sudi-fileboard-checklist"></i>
                        <?php $d = explode(' ', $row_rsData['Dates']); 
                         echo $d[0];  ?>
                    </div><!-- .st_item -->
                    <div class="st_item">
                        <i class="icon icon-iconos-sudi-control"></i>
                        <?php echo $row_rsData['Value']; ?>
                    </div><!-- .st_item -->
                
                <div class="st_item st_row_title">
                        <i class="icon icon-iconos-sudi-fileboard-checklist"></i>

            <?php 

			switch ($row_rsData['v_type_unit']) {
			/*TIPO 1 si el dato es tipo Data*/
				case '1':
						$query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $row_rsData['v_unit_id'] );
		    	 		$rsUnit = mysqli_query($connectMySql,$query_rsUnit);
		                $row_rsUnit = mysqli_fetch_assoc($rsUnit);

		                if( $rsUnit ) { 
						   echo $row_rsUnit['unit_value'];
						}
					 

				/*FIN TIPO 1*/
				break;

				/*TIPO 2 si el dato es tipo catálogo*/
				case '2':

					//buscamos en la tabla indexada la relación respecto al tipo de data que es 
					$query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );
					//echo $query_rsIndexCatalogs;

					$rsIndexCatalogs = mysqli_query($connectMySql,$query_rsIndexCatalogs);
	               	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	                $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);

	                if( $rsIndexCatalogs ) { 
	                //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	                $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $row_rsData['v_unit_cat_id']);
	                
	                //echo $query_rsCatalog ;

	                $rsCatalog = mysqli_query($connectMySql,$query_rsCatalog);
	                $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	               
		                    if( $rsCatalog ) { 
								echo $row_rsCatalog['cat_value'];
		                    }else{
		                   		echo '';
		                   	}

	                }
				/*FIN TIPO 2*/
				break;


			//TIPO 3 si el dato es tipo SUBPROCESO
				case '3':
					echo '';
				//FIN TIPO 3
				break; 

			//TIPO 4 si el dato es tipo SUBPROCESO
				case '4':
					echo '';

					// array(5) { ["Value"]=> string(3) "589" ["Dates"]=> string(19) "2021-01-19 18:01:57" ["v_unit_id"]=> string(2) "31" ["v_unit_cat_id"]=> string(4) "1002" ["v_type_unit"]=> string(1) "4" }

					$query_rsUnit = sprintf("SELECT unit_value, unit_id FROM app_units_tb WHERE unit_id = %s AND hideField = 0;", $row_rsData['v_unit_id'] );
		    	 		$rsUnit = mysqli_query($connectMySql,$query_rsUnit);
		                $row_rsUnit = mysqli_fetch_assoc($rsUnit);

		                if( $rsUnit ) { 
						   echo $row_rsUnit['unit_value'];
						}


					// //buscamos en la tabla indexada la relación respecto al tipo de data que es 
					// $query_rsIndexCatalogs = sprintf("SELECT * FROM mh_catalogs_tb WHERE cat_id = %s AND hideField = 0;", $row_rsData['v_unit_cat_id'] );
					// //echo $query_rsIndexCatalogs;

					// $rsIndexCatalogs = mysqli_query($connectMySql,$query_rsIndexCatalogs);
	    //            	$row_rsIndexCatalogs = mysqli_fetch_assoc($rsIndexCatalogs);
	    //             $totalRows_rsIndexCatalogs = mysqli_num_rows($rsIndexCatalogs);

	    //             if( $rsIndexCatalogs ) { 
	    //             //se construye una consulta para traer el catálogo correspondiente Ej. Supplement, Compost, etc.
	    //             $query_rsCatalog = sprintf("SELECT * FROM %s WHERE  cat_id = %s;", $row_rsIndexCatalogs['cat_table'],  $row_rsData['v_unit_cat_id']);
	                
	    //             //echo $query_rsCatalog ;

	    //             $rsCatalog = mysqli_query($connectMySql,$query_rsCatalog);
	    //             $row_rsCatalog = mysqli_fetch_assoc($rsCatalog);
	               
		   //                  if( $rsCatalog ) { 
					// 			echo $row_rsCatalog['cat_value'];
		   //                  }else{
		   //                 		echo '';
		   //                 	}

	    //             }
				//FIN TIPO 4
				break;   

			}
 			?>
			</div><!-- .st_item -->
		</div> <!-- table -->
			<?php
                } while($row_rsData = mysqli_fetch_assoc($rsData)); 
                mysqli_data_seek($rsData,0);
                $row_rsData = mysqli_fetch_assoc($rsData);
            ?>
          <!--  <div class="st_row sudi_table_row" oncontextmenu="return false;">
                <div class="st_item st_row_title">
          
                </div>
                <div class="st_item">
                    <i class="icon icon-iconos-sudi-control"></i>
                 
                </div> .st_item 
            </div>-->
        </div>
    </section>
<?php } else { ?>
	<p class="vide_list" style="text-align: center; margin-top: 50px; font-size: 1.3em;">No current data for this date.</p>
<?php } ?>