<?php 
	// SESSION_START
	if (!isset($_SESSION)) {
		session_name('_upgrade');
		session_start();
	}

	require_once("../_sudiEngine/_engine/config.php");
	/* Conexión a Base de datos */
	include_once("../../../".$root_folder."/connectMySql.php");
	/* Funciones*/
	include_once("../../../".$root_folder."/sudi_functions.php");

	// include ("../../../sudi_assets/connectMySql.php"); 
	// require ("../../../sudi_assets/sudi_functions.php"); 
	require ("../_phpClasses/class.Sections.inc"); 
	require ("../_phpClasses/class.SpryDatePicker.inc");
	require ("./inputs.php");

	$arrayColors = ['rgba(54, 162, 235, 0.2)','rgba(255, 99, 132, 0.2)','rgba(255, 159, 64, 0.2)', 'rgba(255, 205, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(106, 106, 107, 0.2)','rgba(54, 162, 235, 0.2)','rgba(255, 99, 132, 0.2)','rgba(255, 159, 64, 0.2)', 'rgba(255, 205, 86, 0.2)', 'rgba(75, 192, 192, 0.2)', 'rgba(153, 102, 255, 0.2)', 'rgba(201, 203, 207, 0.2)','rgba(153, 102, 255, 0.2)','rgba(255, 99, 132, 0.2)','rgba(255, 159, 64, 0.2)', 'rgba(255, 205, 86, 0.2)', 'rgba(75, 192, 192, 0.2)'];
	
	$arrayBorderColors = ['rgb(54, 162, 235)','rgb(255, 99, 132)','rgb(255, 159, 64)','rgb(255, 205, 86)','rgb(75, 192, 192)','rgb(153, 102, 255)','rgb(201, 203, 207)','rgb(54, 162, 235)','rgb(255, 99, 132)','rgb(255, 159, 64)','rgb(255, 205, 86)','rgb(75, 192, 192)','rgb(153, 102, 255)','rgb(201, 203, 207)','rgb(54, 162, 235)','rgb(255, 99, 132)','rgb(255, 159, 64)','rgb(255, 205, 86)','rgb(75, 192, 192)','rgb(153, 102, 255)','rgb(201, 203, 207)'];

	if($_POST){
		// $data_double = ( $_POST['report_double'] == -1 ) ?  '' :'AND v_dbl_id = ' . $_POST['report_double'] ;
    	$data_folio = ( $_POST['report_folio'] == -1 ) ?  "" :"AND v_folio = '".$_POST['report_folio']."'" ;
	}

	if($_COOKIE['db_type'] == 0) {

		$query_rsData = sprintf("
		SELECT 
			*, v_value as Value, a.date_add as Date
		FROM 
			app_values2_tb a
		LEFT JOIN 
			app_units_tb u ON u.unit_id = a.v_unit_id
		WHERE 
			a.v_unit_id <> 0
		AND
			a.v_data NOT IN (6,33,71)
		AND
			a.hideField = 0 %s
		ORDER BY 
		  a.date_add ASC
		", $data_folio,
	);
	}

	if($_COOKIE['db_type'] == 1) {
		$query_rsData = sprintf("
			SELECT 
				*, v_value as Value, a.date_add as Date
			FROM 
				app_values3_tb a
			LEFT JOIN 
				app_units_tb u ON u.unit_id = a.v_unit_id
			WHERE 
				a.v_unit_id <> 0
			AND
				a.v_data NOT IN (6,33,71)
			AND
				a.hideField = 0 %s
			ORDER BY 
			a.date_add ASC
			", $data_folio,
		);
	}
 	
	//echo $query_rsData;
	$rsData = mysqli_query($connectMySql,$query_rsData);
	$row_rsData = mysqli_fetch_assoc($rsData);
	$totalRows_rsData = mysqli_num_rows($rsData);

	$arrayValues = array();

	do{
		$dateadd = explode(" ", $row_rsData['Date']);
		if(array_key_exists($row_rsData['v_data'], $arrayValues)){
			array_push($arrayValues[$row_rsData['v_data']], [$dateadd[0], $row_rsData['v_value']]);
		}else{
			$arrayValues[$row_rsData['v_data']][0] = [$dateadd[0],$row_rsData['v_value']];
		}
	}while($row_rsData = mysqli_fetch_assoc($rsData));
	
	$arrayKeys = array_keys($arrayValues);

	//echo '<pre>'; print_r($arrayValues); echo '</pre>';

	if( $_POST ) { 
		for ($i=0; $i <= sizeof($arrayKeys) ; $i++) { 

			if($_COOKIE['db_type'] == 0) {
				$query_rsCatalog = sprintf("
				SELECT 
					unit_value, data_label, data_chart
				FROM 
					app_values2_tb a
				LEFT JOIN 
					app_units_tb u ON u.unit_id = a.v_unit_id
				LEFT JOIN 
					app_datas_tb d ON d.data_id = a.v_data
				WHERE 
					data_id = %s;", $arrayKeys[$i]);
			}

			if($_COOKIE['db_type'] == 1) {
				$query_rsCatalog = sprintf("
				SELECT 
					unit_value, data_label, data_chart
				FROM 
					app_values3_tb a
				LEFT JOIN 
					app_units_tb u ON u.unit_id = a.v_unit_id
				LEFT JOIN 
					app_datas_tb d ON d.data_id = a.v_data
				WHERE 
					data_id = %s;", $arrayKeys[$i]);
			}

			//echo $query_rsCatalog;
			$rsCatalog = mysqli_query($GLOBALS['connectMySql'],$query_rsCatalog);
			$row_rsCatalog = mysqli_fetch_assoc($rsCatalog);

			$unit = $row_rsCatalog['unit_value'];
?>
<script>
	var ctx = document.getElementById("myChart"+<?php echo $i; ?>);

	var myChart = new Chart(ctx, {
		type: '<?php echo $row_rsCatalog['data_chart']; ?>',
		data: {
			labels: [
			  <?php for ($l=0; $l <= sizeof($arrayValues[$arrayKeys[$i]]); $l++) {  ?>
					'<?php if($arrayValues[$arrayKeys[$i]][$l][0] != ''){ echo dateFormatEnglish($arrayValues[$arrayKeys[$i]][$l][0], 'mm', true); }?>',
				  <?php 
					}
				?> 
			],
			datasets: [{
				label: 
					'<?php echo $row_rsCatalog['data_label']; ?>',
				
				data: [
					<?php for ($m=0; $m <= sizeof($arrayValues[$arrayKeys[$i]]); $m++) {  ?>
						'<?php if($arrayValues[$arrayKeys[$i]][$m][1] != ''){echo $arrayValues[$arrayKeys[$i]][$m][1]; }?>',
				  <?php 
					}
				?> 
					
				],
				fill: false,
				backgroundColor : '<?php echo $arrayColors[$i]; ?>',
				borderColor : '<?php echo $arrayBorderColors[$i]; ?>',
				borderWidth: 1

			}],
		},
		fill: false,
		options: {
			tooltips: {
				enabled: true,  
				callbacks: {
					label: function(tooltipItem, data) {
						console.log(data);
					

						var value = data.datasets[0].data[tooltipItem.index];
						
						return value+' <?php echo $unit.' - '.$row_rsCatalog['data_label'];?>';
					}
				}
			},

			scales: {
				
				yAxes: [{
					ticks: {
						beginAtZero:true,
						maxTicksLimit: 20,
						userCallback: function(value, index, values) {
							value = value.formatMoney(0);
							return value + ' <?php echo $unit;?> ' ;
							}
					}
				}]
			}
			
		}
	});

</script>
<?php  
		} 
	}
?>

<style type="text/css">
	#info_container { height: auto; }
</style>

<div id="crumb_nav">
	<span class="crumb_nav_btn loadContent" data-target="main" data-content="_phpEngine/home.php">Home</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_btn loadContent" data-target="main" data-content="_reportAssets/_report_list.php">Reports</span> 
    <span class="crumb_nav_icon"><i class="icon icon-iconos-sudi-arrow-right-12"></i></span>
    <span class="crumb_nav_txt">Report for Cycle Number</span>
</div>

<section class="report_container" id="report_search_content">  
    <div class="upload_reports_results">
		<?php 
            if($_COOKIE['db_type'] == 0) {
				$query_rsDouble = sprintf("SELECT * FROM mh_doubles_tb WHERE hideField = 0 ORDER BY dbl_label ASC;");
				$rsDouble = mysqli_query($connectMySql,$query_rsDouble);
				$row_rsDouble = mysqli_fetch_assoc($rsDouble);
				$totalRows_rsDouble = mysqli_num_rows($rsDouble);

				$arrayDouble = array();
				do {
					array_push($arrayDouble,array(
						$row_rsDouble['dbl_label'] ,$row_rsDouble['dbl_id']
					));
				} while( $row_rsDouble = mysqli_fetch_assoc($rsDouble) );
			}

			if($_COOKIE['db_type'] == 1) {
				$query_rsCrop = sprintf("SELECT * FROM mh_crops_tb WHERE hideField = 0 ORDER BY c_label ASC;");
				$rsCrop = mysqli_query($connectMySql,$query_rsCrop);
				$row_rsCrop = mysqli_fetch_assoc($rsCrop);
				$totalRows_rsCrop = mysqli_num_rows($rsCrop);

				$arrayCrop = array();
				do {
					array_push($arrayCrop,array(
						$row_rsCrop['c_label'] ,$row_rsCrop['crop_id']
					));
				} while( $row_rsCrop = mysqli_fetch_assoc($rsCrop) );
			}

			

			$double = new input_select;
			$double->spry = "spryDouble";
			$double->name = "v_dbl_id";
			if($_COOKIE['db_type'] == 0) {
				$double->label = "House";
			} else{
				$double->label = "Crop";
			}
			$double->title = "Select";
			if($_COOKIE['db_type'] == 0) {
				$double->tooltip = "Select Double.";
			}else{
				$double->tooltip = "Select Crop.";
			}
			if($_COOKIE['db_type'] == 0) {
				$double->options = $arrayDouble;
			}else{
				$double->options = $arrayCrop;
			}
			$double->required = false;
			$double->class = 'report_double';
			$double->size = "4x";
			$double->action = "edit";
			$double->data = $_POST['report_double'];
			echo $double->display();

			//if($data_folio == -1 || !$_POST){

				if($_COOKIE['db_type'] == 0) {
					$query_rsFolio = sprintf("SELECT * FROM app_values2_tb WHERE v_data <> 0 AND hideField = 0 GROUP BY v_folio ORDER BY date_add;");
				}

				if($_COOKIE['db_type'] == 1) {
					$query_rsFolio = sprintf("SELECT * FROM app_values3_tb WHERE v_data <> 0 AND hideField = 0 GROUP BY v_folio ORDER BY date_add;");
				}
				
				$rsFolio = mysqli_query($connectMySql,$query_rsFolio);
				$row_rsFolio = mysqli_fetch_assoc($rsFolio);
				$totalRows_rsFolio = mysqli_num_rows($rsFolio);

				$arrayFolio = array();
				do {
					$folio = explode("-",$row_rsFolio['v_folio']);
					$dateadd = explode(" ",$row_rsFolio['date_add']);
					array_push($arrayFolio,array(
						$folio[1]." - ".dateFormat($dateadd[0],'mm', true), $row_rsFolio['v_folio']
					));
				} while( $row_rsFolio = mysqli_fetch_assoc($rsFolio) );
			//}

			//if(!$_POST['report_double']){

				// if($_COOKIE['db_type'] == 0) {
				// 	$query_rsFolio = sprintf("SELECT * FROM app_values2_tb WHERE v_dbl_id = %s AND v_data <> 0 AND hideField = 0 GROUP BY v_folio ORDER BY date_add;", $_POST['report_double']);
				// }

				// if($_COOKIE['db_type'] == 1) {
				// 	$query_rsFolio = sprintf("SELECT * FROM app_values3_tb WHERE v_dbl_id = %s AND v_data <> 0 AND hideField = 0 GROUP BY v_folio ORDER BY date_add;", $_POST['report_double']);
				// }

				// $rsFolio = mysqli_query($connectMySql,$query_rsFolio);
				// $row_rsFolio = mysqli_fetch_assoc($rsFolio);
				// $totalRows_rsFolio = mysqli_num_rows($rsFolio);

				// //echo $query_rsFolio;

				// $arrayFolio = array();
				// do {
				// 	$folio = explode("-",$row_rsFolio['v_folio']);
				// 	$dateadd = explode(" ",$row_rsFolio['date_add']);
				// 	array_push($arrayFolio,array(
				// 		$folio[1]." - ".dateFormat($dateadd[0],'mm', true), $row_rsFolio['v_folio']
				// 	));
				// } while( $row_rsFolio = mysqli_fetch_assoc($rsFolio) );
			//}

            $folio = new input_select;
            $folio->spry = "spryFolio";
            $folio->name = "v_folio";
            $folio->label = "Cycle Number";
            $folio->title = "Select value";
            $folio->tooltip = "Select Cycle number.";
            $folio->options = $arrayFolio;
            $folio->required = false;
            $folio->class = 'report_folio';
            $folio->size = "4x";
            $folio->action = "edit";
            $folio->data = $_POST['report_folio'];
            echo $folio->display();

        ?>
        <br/>
        <span class="report_search_btn" id="report_search_js" data-type="report_process" data-enterprise="upgrade" style="background-color: #52ad2d;"><i class="icon icon-iconos-sudi-search-right-2"></i></span>
 	</div>
</section>	

<?php if( $_POST ) { 
	$reference = explode('-', $_POST['report_folio']);
	if($_COOKIE['db_type'] == 0) {
		$query_rsDouble2 = sprintf("SELECT * FROM mh_doubles_tb WHERE dbl_id = %s AND hideField = 0 ORDER BY dbl_label ASC;",$_POST['report_double'] );
	}

	if($_COOKIE['db_type'] == 1) {
		$query_rsDouble2 = sprintf("SELECT * FROM mh_crops_tb WHERE crop_id = %s AND hideField = 0 ORDER BY c_label ASC;",$_POST['report_double'] );
	}

	$rsDouble2 = mysqli_query($connectMySql,$query_rsDouble2);
	$row_rsDouble2 = mysqli_fetch_assoc($rsDouble2);
	$totalRows_rsDouble2 = mysqli_num_rows($rsDouble2);
	
?>

<h4 style="padding-left: 20px; margin-top: 20px; margin-bottom: 10px;"><strong><?php echo $row_rsDouble2['dbl_label'].' Cycle Number: '.$reference[1]; ?><strong> 
</h4>

<div id="chartdiv">
	<?php for ($k=0; $k < sizeof($arrayKeys) ; $k++) { 
		echo '<canvas id="myChart'.$k.'" style="height:10%; margin: 25px 0px;" ></canvas>';
	} ?>
	
</div>
<?php } else { ?>
<p class="vide_list" style="text-align: center; margin-top: 50px; font-size: 1.3em;">Select values for the information.</p>
<?php } ?>