<?php

/*
List Generator.- Este archivo genera la paginación y la consulta para la creación de los list

$listInfo Contiene en un array las columnas a utilizar (size, name, field)
*/

# PARAMETROS PRINCIPALES

	//Nombre de la lista (Cookie)
			$cookie_name = $_POST['folder']."_list";
			$search_cookie_name = $_POST['folder']."_search";
	// Página actual
			$current_page = ($_POST['current_page']) ? $_POST['current_page'] : ((isset($_COOKIE[$cookie_name])) ? $_COOKIE[$cookie_name] : 1);
				$current_page = ($current_page >= 1) ? $current_page : 1;


/* WHERE OPTIONS */

// ¿Existe Búsqueda?
$listOnSearch = ($_POST['list_search']) ? true: false;

	// Almacenar búsqueda
		// Si hay bçusqueda - Asignamos el valor a la Cookie
	if($listOnSearch){
		setcookie($search_cookie_name, $_POST['search_tb'] . "_:_" . $_POST['search_data'], time() + (86400 * 30), "/");
		// Si recibimos la instrucción de eliminar la búsqueda
	}elseif(isset($_POST['search_clean'])){
		unset($_COOKIE[$search_cookie_name]);
		setcookie($search_cookie_name, null, -1, '/');
		// Si no hay busqueda, pero si búsqueda almacenada
	}elseif(!$listOnSearch && isset($_COOKIE[$search_cookie_name])){
		$search_cookie_array = explode("_:_",$_COOKIE[$search_cookie_name]);
		$listOnSearch = true;
			$_POST['search_tb'] = $search_cookie_array[0];
			$_POST['search_data'] = $search_cookie_array[1];
	}

// echo "<pre>";  print_r($_POST);

// Si vamos a agrupar por fecha y no hay búsqueda.
if($list_by_date && !$listOnSearch){

	$by_date_where = ($multi_where) ? 'AND '. $multi_where: '';
	// $oldest_record Registro más antiguo para calcular páginas posteriormente.
	$query_rsOldest = sprintf("SELECT %s, %s FROM %s WHERE %s != '0000-00-00' %s AND %s.hideField = 0 ORDER BY %s ASC LIMIT 1", $secInfo->main_id, $list_by_date[1], ($multi_tables) ? $multi_tables: $secInfo->table, $list_by_date[1], $by_date_where, ($multi_tables) ? (($main_table_alias) ? $main_table_alias: $secInfo->table): $secInfo->table, $list_by_date[1]);

	$rsOldest = mysqli_query($connectMySql,$query_rsOldest);
	$row_rsOldest = mysqli_fetch_assoc($rsOldest);

	$oldest_record = daysPassed($row_rsOldest[$list_by_date[1]],$hoy);

	// Parametros necesarios según el tipo
	switch ($list_by_date[0]) {
		case 'week':

$total_pages_by_date = round(($oldest_record/7)) + 1;

$daysToRemove = (7 * $current_page)-7;
$current_w_day = ($current_page == 1) ? $hoy: date('Y-m-d', strtotime('-'.$daysToRemove.' day'));


# a) Datos de fecha actual
$theYear=substr($current_w_day,0,4); $theMonth=substr($current_w_day,5,2); $theDay=substr($current_w_day,8,2);
# b) Obtenemos el numero de la semana
$theWeek=date("W",mktime(0,0,0,$theMonth,$theDay,$theYear));
# c) Obtenemos el día de la semana de la fecha dada
$dayWeek=date("w",mktime(0,0,0,$theMonth,$theDay,$theYear));
# d) el 0 equivale al domingo...
if($dayWeek==0){ $dayWeek=7; }
# e) A la fecha recibida, le restamos el dia de la semana y obtendremos el lunes
$wFirstDay=date("Y-m-d",mktime(0,0,0,$theMonth,$theDay-$dayWeek+1,$theYear));
# f) A la fecha recibida, le sumamos el dia de la semana menos siete y obtendremos el domingo
$wLastDay=date("Y-m-d",mktime(0,0,0,$theMonth,$theDay+(7-$dayWeek),$theYear));

// Inicio: $wFirstDay | Final |$wLastDay

$dateWhere = "(".$list_by_date[1]." BETWEEN '".$wFirstDay."' AND '".$wLastDay."')";
		break;

		case 'month':

$total_pages_by_date = round(($oldest_record/30)) + 1;

$daysToRemove = (30 * $current_page)-30;
$current_w_day = ($current_page == 1) ? $hoy: date('Y-m-d', strtotime('-'.$daysToRemove.' day'));
# a) Datos de fecha actual
$theYear=substr($current_w_day,0,4); $theMonth=substr($current_w_day,5,2); $theDay=substr($current_w_day,8,2);
# b) Datos del día inicial
$wFirstDay = date("$theYear-$theMonth-01");
# c) Datos del día final
$wLastDay = date("$theYear-$theMonth-t", strtotime($wFirstDay));
// Inicio: $wFirstDay | Final |$wLastDay
$dateWhere = "(".$list_by_date[1]." BETWEEN '".$wFirstDay."' AND '".$wLastDay."')";
		break;
		default:
			echo "Error en el parámetro de búsqueda por tipo"; exit;
		break;
	} // switch [end]
}else{$dateWhere='';}


	if($multi_where && $listOnSearch){
	// a) Existe un $multi_where y también una búsqueda
		$where_clause = 'WHERE ' . $multi_where . ' AND ' . $_POST['search_tb'] . ' LIKE \'%'.$_POST['search_data'].'%\' AND '.(($main_table_alias) ? $main_table_alias : $secInfo->table) .'.hideField = 0';
	}elseif($multi_where){
	// b) Solo existe un $multi_where pero no la búsqueda
		$where_clause_total = 'WHERE ' . $multi_where . ' AND ' . (($main_table_alias) ? $main_table_alias : $secInfo->table) .'.hideField = 0';

		$where_clause = 'WHERE ' . $multi_where . ' AND '. (($dateWhere) ? $dateWhere . ' AND ': '') . (($main_table_alias) ? $main_table_alias : $secInfo->table) .'.hideField = 0';

	}elseif($listOnSearch){
	// c) Solo exíste la búsqueda pero no el $multi_where
		$where_clause = 'WHERE ' . $_POST['search_tb'] . ' LIKE \'%'.$_POST['search_data'].'%\' AND '. (($main_table_alias) ? $main_table_alias : $secInfo->table) .'.hideField = 0';

	}else{
	// d) No existe la búsqueda ni el $multi_where
		$where_clause_total = 'WHERE ' . (($main_table_alias) ? $main_table_alias : $secInfo->table) . '.hideField = 0';

		$where_clause = 'WHERE ' . (($dateWhere) ? $dateWhere . ' AND ': '') . (($main_table_alias) ? $main_table_alias : $secInfo->table) . '.hideField = 0';
	}

// TOTAL ITEMS
//
$query_rsTotal = sprintf("SELECT COUNT(1) as total FROM %s %s %s %s",

	($multi_tables) ? $multi_tables: $secInfo->table,
	($join_clause) ? $join_clause : '',
	($where_clause_total) ? (($list_by_date) ? $where_clause : $where_clause_total) : $where_clause,
	($list_group_by) ? 'GROUP BY ' .$list_group_by: ''
	);

	//debug echo $secInfo->main_id . "<br>"; echo $query_rsTotal;// exit;
$rsTotal = mysqli_query($connectMySql,$query_rsTotal);
$row_rsTotal = mysqli_fetch_assoc($rsTotal);
$totalRows_rsTotal = mysqli_num_rows($rsTotal);

// No hay grupos
if($totalRows_rsTotal == 1){

	$all_total = $row_rsTotal['total'];

// Hay grupos <-- REVISAR
}else{
	$i = 0;
	do {
		$i++;
	}while($row_rsTotal = mysqli_fetch_assoc($rsTotal));

	$all_total = $i;
}


/* PARAMETROS  SECUNDARIOS */


	//Total items fuera de la papelera
		$total_items = $all_total;

	//Limite de resultados por página
		$limit_page = ($list_by_date && !$listOnSearch) ? $total_items : (($listLimit) ? $listLimit : 8);

	// Total de páginas
		$total_pages = ($list_by_date && !$listOnSearch) ? $total_pages_by_date : ceil($total_items/$limit_page);

	// LUGAR ANTERIOR DE CURRENT_PAGE

	//Si no supera la página actual
		$current_page = ($current_page <= $total_pages) ? $current_page : $total_pages;

	//Establecer cookie
		setcookie($cookie_name, $current_page, time() + (86400 * 30), "/");

	// Elemento a seleccionar #2017 - se elimina si la agrupación es por fecha
		$offset = ($list_by_date && !$listOnSearch) ? 0: ($current_page - 1) * $limit_page;
			// Validamos que no sea negativo
			$offset = ($offset < 0) ? 0 : $offset;
	// Siguiente página
		$next_page = ($current_page != $total_pages) ? $current_page + 1 : false;

	// Página anterior
		$prev_page = ($current_page != 1) ?  $current_page - 1 : false ;


// QUERY list_auto.php

// $validFields contendrá los campos a seleccionar (para consultas eficientes)
$validFields = "";
// total de campos
$totalFields = count($listInfo);
$i=0;
$isID = false;
foreach ($listInfo as $key=>$value) {
	$validFields .= $value->field;
	$validFields .= ($i == $totalFields - 1) ? '' : ', ' ;
	$isID = ($validFields === $secInfo->main_id) ? true : $isID;
	$i++;
}
$validFields = ($isID) ? $validFields : $validFields . ', ' . $secInfo->main_id ;

$validFields = (!$multi_values) ? $validFields : $validFields . ', ' . $multi_values;


$query_rsData = ($special_query) ? $special_query : sprintf(
	"SELECT
		%s
	FROM
			%s
				%s
					%s
						%s
	ORDER BY
							%s
	LIMIT
								%s
	OFFSET
									%s",
		$validFields,
			($multi_tables) ? $multi_tables : $secInfo->table,
				($join_clause) ? $join_clause : '',
					$where_clause,
						($list_group_by) ? 'GROUP BY '.$list_group_by : '',
							($list_order_by) ? $list_order_by : $secInfo->main_id . " ASC",
								$limit_page,
									$offset
	);

 	//debug echo $query_rsData;
$rsData = mysqli_query($connectMySql,$query_rsData);
if( $rsData ) {
	$row_rsData = mysqli_fetch_assoc($rsData);
	$totalRows_rsData = mysqli_num_rows($rsData);
}


?>